# NVDA最新情報

## 2023.3

このリリースでは、オーディオ出力の性能、応答性、および安定性が向上しました。 NVDAの音とビープの音量を制御するオプションが追加され、使用している音声の音量に合わせることもできます。

NVDAの文字認識は、新たなテキストが表示されたときにそれを読み上げる形で、定期的に結果を更新できるようになりました。 これは、NVDAの設定ダイアログのWindows 文字認識のカテゴリで設定できます。

点字ディスプレイについては、デバイスの検出とテキストカーソルの制御を改善しました。 不要なドライバーを自動検出から除外することで、自動検出の性能が向上します。 新しいBRLTTYコマンドも追加されています。

また、アドオンストア、Microsoft Office、Microsoft Edgeのコンテキストメニュー、およびWindows電卓に対するバグ修正も行いました。

### 新機能

- オーディオ制御の強化：
  - 新しい「オーディオ設定」パネル：
    - これは`NVDA+control+u`で開くことができます。 (#15497)
    - オーディオ設定に、NVDAの音とビープの音量を使用中の音声の音量に合わせるオプションがあります。 (#1409)
    - オーディオ設定に、NVDAの音の音量を個別に設定するオプションがあります。 (#1409, #15038)
    - オーディオ出力デバイスを変更したり、オーディオのダッキングを切り替える設定は「音声エンジンの選択」ダイアログから新しい「オーディオ設定」パネルに移動しました。 これらのオプションは、2024.1で「音声エンジンの選択」ダイアログから削除されます。 (#15486, #8711)
  - NVDAは、Windows Audio Session API（WASAPI）を介してオーディオを出力するようになります。これにより、NVDAの音声と音の応答性、性能、および安定性が向上する可能性があります。 (#14697, #11169, #11615, #5096, #10185, #11061)
  - 注：WASAPIは一部のアドオンと互換性がありません。 これらのアドオンには互換性のあるアップデートが利用可能ですので、NVDAをアップデートする前にアドオンをアップデートしてください。 互換性のないバージョンの以下のアドオンは、NVDAをアップデートする際に無効化されます：
    - Tony's Enhancements バージョン1.15またはそれ以前。 (#15402)
    - NVDA global commands extension 12.0.8またはそれ以前。 (#15443)
- NVDAは、文字認識（OCR）を実行する際に結果を継続的に更新し、新しいテキストが表示されたときにそれを読み上げることができるようになりました。 (#2797)
  - この機能を有効にするには、NVDAの設定ダイアログのWindows文字認識カテゴリで「定期的に認識した内容を更新する」オプションを有効にしてください。
  - 有効にしたら、動的なコンテンツの変更を報告する設定（`NVDA+5`を押す）を切り替えることで、新しいテキストの読み上げを切り替えることができます。
- 点字ディスプレイの自動検出を使用する際、点字ディスプレイ選択ダイアログから特定のドライバーを検出対象から除外できます。 (#15196)
- 書式とドキュメント情報の設定に新たなオプション、「行インデント報告において空行を無視する」が追加されました。 (#13394)
- ブラウズモードでタブグループごとにナビゲーションするための未割り当てジェスチャが追加されました。 (#15046)

### 変更点

- 点字ディスプレイ：
  - テキストカーソルの更新なしにターミナル内のテキストが変更された場合、点字ディスプレイ上のテキストは、変更された行に移動したときに正確に更新されるようになりました。 これには、点字がレビューに連動している状況も含まれます。 (#15115)
  - より多くのBRLTTYキーのバインディングがNVDAのコマンドにマッピングされました（#6483）：
    - `learn`：NVDAの入力ヘルプを切り替え
    - `prefmenu`：NVDAメニューを開く
    - `prefload`/`prefsave`：NVDA設定の読み込み/保存
    - `time`：時間を表示
    - `say_line`：レビューカーソルが位置している現在の行を読み上げ
    - `say_below`：レビューカーソルを使用してすべてを読み上げ
  - BRLTTYドライバーは、BrlAPIが有効になっているBRLTTYインスタンスが動作している場合にのみ利用可能です。 (#15335)
  - HID点字のサポートを有効にする高度な設定は、新しいオプションに置き換えられたため、削除されました。 点字ディスプレイ選択ダイアログで特定のドライバーを自動検出から無効にすることができます。 (#15196)
- アドオンストア：インストール済みのアドオンは、ストアで利用可能であれば、利用可能なアドオンのタブに表示されるようになります。 (#15374)
- NVDAメニュー内のいくつかのショートカットキーが更新されました。 (#15364)

### バグ修正

- Microsoft Office：
  - 書式とドキュメント情報「見出しの報告」および「コメントとメモの報告」のオプションが有効でないときにMicrosoft Wordでクラッシュする問題を修正しました。 (#15019)
  - WordとExcelで、より多くの状況でテキストの配置が正確に報告されるようになりました。 (#15206, #15220)
  - Excelでのいくつかのセル書式の報告のショートカットを修正しました。 (#15527)
- Microsoft Edge：
  - NVDAは、Microsoft Edgeでコンテキストメニューを開いたときに最後のブラウズモードの位置に戻らなくなりました。 (#15309)
  - NVDAは、Microsoft Edgeでのダウンロードのコンテキストメニューを読み取れなかった問題を修正しました。 (#14916)
- 点字ディスプレイ：
  - 点字カーソルと選択インジケーターについて、これらをジェスチャーで表示または非表示にした後、常に正確に更新されるようになりました。 (#15115)
  - Albatross点字ディスプレイが、他の点字デバイスが接続されているにもかかわらず初期化しようとするバグを修正しました。 (#15226)
- アドオンストア：
  - 「互換性のないアドオンを含める」のチェックを外しても、互換性のないアドオンがストアに表示され続けるバグを修正しました。 (#15411)
  - 互換性の理由でブロックされたアドオンは、有効/無効のフィルターを切り替えるときに正確にフィルタリングされるようになりました。 (#15416)
  - 上書きされた有効な互換性のないアドオンを外部インストールツールを使用してアップグレードまたは置き換えることができないバグを修正しました。 (#15417)
  - アドオンのインストール後にNVDAが再起動するまで読み上げしないバグを修正しました。 (#14525)
  - 前回のダウンロードが失敗した場合やキャンセルされた場合にアドオンをインストールできないバグを修正しました。 (#15469)
  - NVDAをアップグレードする際に互換性のないアドオンで起きていた問題を修正しました。 (#15414, #15412, #15437)
- NVDAが、WindowsのServer、LTSC、およびLTSBバージョンで32ビットのWindows電卓の計算結果を報告できなかった問題を修正しました。 (#15230)
- NVDAは、ネストされたウィンドウ（孫ウィンドウ）がフォーカスを得たときにフォーカスの変更を無視しなくなりました。 (#15432)
- NVDAの起動中にクラッシュする潜在的な原因を修正しました。 (#15517)

### 開発者向けの変更

- NVDAのAPIの非推奨および削除プロセスに関する情報は、開発者ガイドを参照してください。
- `braille.handler.handleUpdate`と`braille.handler.handleReviewMove`は、即座に更新しないように変更されました。 この変更前には、これらのメソッドが非常に頻繁に呼び出されると、多くのリソースが消耗されていました。 これらのメソッドは、今後は各コアサイクルの終わりに更新をキューに入れます。 また、スレッドセーフであるため、バックグラウンドスレッドから呼び出すことも可能です。 (#15163)
- 自動点字ディスプレイ検出プロセスでカスタム点字ディスプレイドライバーを登録するAPIが追加されました。 詳細は、`braille.BrailleDisplayDriver`クラスのドキュメントを参照してください。 特に注目すべきは、`supportsAutomaticDetection`属性を`True`に設定し、`registerAutomaticDetection` `classmethod`を実装する必要がある点です。 (#15196)

#### 非推奨となったAPI

- `braille.BrailleHandler.handlePendingCaretUpdate`は非推奨となり、代替手段はありません。 これは2024.1で削除される予定です。(#15163)
- `NVDAObjects.window.excel`から定数`xlCenter`、`xlJustify`、`xlLeft`、`xlRight`、`xlDistributed`、`xlBottom`、`xlTop`をインポートすることは非推奨です。 代わりに`XlHAlign`または`XlVAlign`の列挙を使用してください。(#15205)
- マッピング`NVDAObjects.window.excel.alignmentLabels`は非推奨です。 代わりに`XlHAlign`または`XlVAlign`の列挙の`displayString`メソッドを使用してください。(#15205)
- `bdDetect.addUsbDevices`と`bdDetect.addBluetoothDevices`は非推奨となりました。 点字ディスプレイドライバーは、代わりに`registerAutomaticDetection`クラスメソッドを実装する必要があります。 このメソッドは`DriverRegistrar`オブジェクトを受け取り、その上で`addUsbDevices`と`addBluetoothDevices`メソッドを使用できます。(#15200)
- `BrailleDisplayDriver`の`check`メソッドのデフォルト実装は、デバイスがスレッドセーフとマークされている場合に`bdDetect.driverHasPossibleDevices`を使用します。 NVDA 2024.1から、基底メソッドが`bdDetect.driverHasPossibleDevices`を使用できるためには、`supportsAutomaticDetection`属性も`True`に設定する必要があります。(#15200)

## 2023.2

このリリースでアドオンマネージャーがアドオンストアに変わりました。 アドオンストアではコミュニティが提供するアドオンの閲覧、検索、インストール、更新ができます。 古くなった互換性のないアドオンを自己責任で有効化できるようになりました。

点字ディスプレイに関する新機能、新しいコマンド、新しい機器への対応もあります。 文字認識と、フラットビューでのオブジェクトナビゲーションについて、新しい入力ジェスチャーが導入されました。 Microsoft Office のナビゲーションや書式の報告が改善されました。

点字ディスプレイ、Microsoft Office、ウェブブラウザ、Windows 11 への対応などで、多くのバグを修正しました。

eSpeak-NG, LibLouis 点訳エンジン、 Unicode CLDR を更新しました。

### 新機能

- NVDAにアドオンストアが追加されました。(#13985)
  - コミュニティのアドオンを閲覧、検索、インストール、更新します。
  - 古いアドオンとの互換性問題を手動でオーバーライドします。
  - アドオンマネージャーは削除され、アドオンストアに置き換えられました。
  - 詳細情報は更新されたユーザーガイドをご覧ください。
- 新しい入力ジェスチャー:
  - Windows 文字認識の利用可能な言語を切り替えるための未割り当てジェスチャー。(#13036)
  - 点字メッセージモードを切り替えるための未割り当てジェスチャー。(#14864)
  - 点字の選択範囲の表示を切り替えるための未割り当てジェスチャー。(#14948)
  - フラットビューで前後のオブジェクトに移動するキーボード入力ジェスチャーを追加しました。 (#15053)
    - デスクトップ: `NVDA+テンキー9` と `NVDA+テンキー3` でそれぞれ前のオブジェクト、次のオブジェクトに移動します。
    - ラップトップ: `shift+NVDA+[` と `shift+NVDA+]` でそれぞれ前のオブジェクト、次のオブジェクトに移動します。
- 点字ディスプレイの新機能:
  - Help Tech Activator 点字ディスプレイに対応しました。 (#14917)
  - 点字オプション「選択範囲の点字表示」（7と8の点）を追加しました。 (#14948)
  - 点字オプション「点字タッチカーソルでテキストカーソルを移動」を追加しました。 (#14885, #3166)
  - テンキー2を3回押してレビューカーソルの位置の文字コードを報告すると、点字ディスプレイにも表示されます。 (#14826)
  - `aria-brailleroledescription` ARIA 1.3属性のサポートを追加しました。これにより、ウェブ著者が点字ディスプレイに表示される要素のタイプを上書きすることが可能になります。(#14748)
  - Baum Brailleドライバー：`windows+d`、`alt+tab`などの一般的なキーボードコマンドを実行するための点字コードジェスチャーを追加しました。 詳細は、NVDAユーザーガイドを参照してください。(#14714)
- 記号の読みを追加しました:
  - "⠐⠣⠃⠗⠇⠐⠜" のようなUnicode点字パターン (#14548)
  - "⌥" Mac Option キー (#14682)
- Tivomatic Caiku Albatross 点字ディスプレイ用のジェスチャーを追加しました。(#14844、#15002)
  - 点字設定ダイアログの表示
  - ステータスバーへのアクセス
  - 点字カーソル形状の切り替え
  - 点字メッセージ表示モードの切り替え
  - 点字カーソルのオン/オフ切り替え
  - 点字選択インジケータ状態の切り替え
  - 点字タッチカーソルでテキストカーソル移動の切り替え (#15122)
- Microsoft Office の新機能:
  - 書式とドキュメント情報でハイライトテキストが有効になっている場合、Microsoft Wordでハイライト色が報告されるようになりました。(#7396, #12101, #5866)
  - 書式とドキュメント情報で色が有効になっている場合、Microsoft Wordで背景色が報告されるようになりました。(#5866)
  - Excelでセルのフォーマット（太字、斜体、下線、取り消し線）を切り替えるためのExcelショートカットを使用すると、結果が報告されるようになりました。 (#14923)
- 高度な設定（オーディオ）:
  - NVDA のオーディオ出力に Windows Audio Session API (WASAPI) を利用できます。NVDAの音声とサウンドの応答性、パフォーマンス、安定性が向上する可能性があります。 (#14697)
  - WASAPI は「高度な設定」で有効化できます。 WASAPI を有効化すると、高度な設定で、さらに以下を有効化できます。
    - NVDAの音声の音量にNVDAの音声とサウンドの音量が追従するオプション (#1409)
    - NVDAのサウンドの音量を個別に制御するオプション (#1409, #15038)
  - WASAPI が有効の場合にクラッシュが発生する既知の問題があります。 (#15150)
- Mozilla Firefox と Google Chrome において、Webコンテンツが `aria-haspopup` を使用している場合に NVDA はそのコントロールがサブメニュー、ダイアログ、グリッド、リスト、またはツリーを開くことを報告します。 (#14709)
- NVDAのポータブル版を作成するときに、パス指定でシステム変数（`%temp%` や `%homepath%` など）を使えるようになりました。(#14680)
- Windows 10 May 2019 Update以降で仮想デスクトップを開いたり、切り替えたり、閉じたりする操作を NVDA が報告するようになりました。 (#5641)
- ユーザーやシステム管理者が NVDA を強制的にセキュアモードで起動するためのシステム全体のパラメータが追加されました。 (#10018)

### 変更点

- コンポーネントの更新:
  - eSpeak NG を 1.52-dev commit `ed9a7bcf` に更新しました。 (#15036)
  - LibLouis 点訳エンジンを 3.26.0 に更新しました。 (#14970)
  - CLDR をバージョン 43.0 に更新しました。 (#14918)
- LibreOfficeの変更点：
  - レビューカーソルの位置を報告する際、現在のカーソル/キャレットの位置が、LibreOfficeバージョン7.6以降のLibreOffice Writerにおいて、Microsoft Wordと同様に現在のページに対して相対的に報告されるようになりました。(#11696)
  - ステータスバーの報告（`NVDA+end`）がLibreOfficeでも利用できます。 (#11698)
  - NVDA の設定でセル座標の報告が無効の場合に LibreOffice Calc でセルの移動を行ったときに、直前にフォーカスされていたセルの座標を誤って報告していた問題を修正しました。 (#15098)
- 点字ディスプレイの変更点:
  - 標準HID点字ドライバーを介して点字ディスプレイを使用する場合、dpadを使って矢印キーとEnterをエミュレートできます。 また、space+dot1とspace+dot4は、それぞれ上矢印と下矢印に割り当てました。(#14713)
  - 動的なWebコンテンツの変更(ARIA ライブリージョン)を点字で報告します。 これは「高度な設定」で無効化できます。 (#7756)
- ダッシュとエムダッシュの記号を常に音声エンジンに送るようになりました。 (#13830)
- Microsoft Wordで報告される距離は、Wordの詳細オプションで定義された単位を、UIAを使ってWordドキュメントにアクセスする場合であっても、遵守されるようになりました。 (#14542)
- 編集コントロール内でカーソルを移動させる際の性能を改善しました。(#14708)
- リンク先を報告するスクリプトは、ナビゲーターオブジェクトではなく、キャレット/フォーカス位置から報告するようになりました。(#14659)
- ポータブル版の作成では、絶対パス指定でドライブレターの入力が不要になりました。(#14680)
- Windowsがシステムトレイの時計に秒を表示するように設定されている場合、NVDA+f12を使用して時間を報告すると、その設定が適用されます。(#14742)
- NVDAは、Microsoft Office 365のメニューなど、有用な位置情報を持つラベルのないグループを報告するようになりました。(#14878)

### バグ修正

- 点字ディスプレイ:
  - NVDAの点字ディスプレイの入出力に関する安定性の改善を行い、エラーやクラッシュが発生しにくくなりました。 (#14627)
  - NVDAは、点字ディスプレイの自動検出において、不必要に何度も点字なしに切り替えることがなくなりました。ログ出力が減り、性能が改善されます。(#14524)
  - HID Bluetoothデバイス（HumanWare BrailliantやAPH Mantisなど）が自動検出されたあとにUSB接続が利用可能になった場合、USB接続に戻すようになりました。 これは、以前はBluetoothシリアルポートでのみ動作していました。(#14524)
  - 点字ディスプレイが接続されていない場合、または点字ビューアを `alt+f4` を押すか閉じるボタンをクリックして閉じた場合、点字の表示サイズをリセットするようになりました。 (#15214)
- ウェブブラウザ:
  - NVDAがMozilla Firefoxをクラッシュさせたりフリーズさせたりしていた問題を修正しました。(#14647)
  - Mozilla Firefox と Google Chrome において「入力文字の読み上げ」が無効の場合に一部のテキストボックスで入力文字が報告されていた問題を修正しました。 (#8442)
  - 以前は使用できなかったChromium Embeddedコントロールでブラウズモードを使用できるようになりました。(#13493, #8553)
  - Mozilla Firefoxで、リンクの後のテキストにマウスを移動させると、テキストが報告されなかった問題を修正しました。(#9235)
  - 画像のリンク先がChromeとEdgeでより正確に報告されるようになりました。 (#14783)
  - href属性のないリンクのURL（リンク先）を報告しようとすると、NVDAが無音になっている問題を修正しました。 NVDAはリンク先がないことを報告します。(#14723)
  - ブラウズモードにおいて、親または子コントロールへのフォーカス移動（コントロールから親のリスト項目やグリッドセルへの移動など）を、NVDAが誤って無視していた問題を修正しました。(#14611)
    - ただし、この修正は「ブラウズモード設定」の「フォーカスの変化を追跡する自動フォーカスモード」オプションがオフになっている場合（これは既定の設定です）にのみ適用されます。
- Windows 11:
  - Notepadでステータスバーの内容を報告できなかった問題を修正しました。(#14573)
  - NotepadおよびFile Explorerにおいてタブを切り替えるとタブの名前と位置を報告するようになりました。(#14587, #14388)
  - 中国語や日本語などの言語でテキストを入力する際に変換候補を報告できなかった問題を修正しました。 (#14509)
  - Windows 11でNVDAのヘルプメニューから「貢献者」と「ライセンス」の項目を開けなかった問題を修正しました。 (#14725)
- Microsoft Office:
  - Excelのセルを素早く移動する際に、NVDAが誤ったセルや選択を報告する問題を改善しました。 (#14983, #12200, #12108)
  - Excelのワークシートの外からセルに移動した場合、点字とフォーカスハイライトの場所が直前のフォーカス位置のオブジェクトになっていた問題を修正しました。 (#15136)
  - Microsoft ExcelとOutlookでパスワードフィールドにフォーカスを移動したときにNVDAが報告できなかった問題を修正しました。 (#14839)
- 現在のロケールで記号の説明がない記号の場合、英語の記号読み上げレベルが使用されます。(#14558, #14417)
- 読み上げ辞書の種別が正規表現に設定されていない場合、「読み」フィールドでバックスラッシュ文字を使用できるようになりました。(#14556)
- Windows 10および11の電卓で、NVDAのポータブル版を使用している場合、「計算機を常に手前に表示」（コンパクトオーバーレイ）モードの標準電卓で式を入力する際に無反応になる、またはエラー音が鳴る、などの問題を修正しました。(#14679)
- アプリの応答停止などでNVDAがフリーズする問題について改善を行いました。(#14759)
- 特定のターミナルやコンソールでUIオートメーションを強制的に有効化した場合に、フリーズやログの大量発生を引き起こす不具合が修正されました。 (#14689)
- 設定をリセットした後に、NVDAの設定を保存できなかった問題を修正しました。 (#13187)
- インストーラーから一時的な環境でNVDAを実行する場合、NVDAのユーザー設定を保存できないことを、正しくユーザーに伝えるようになりました。(#14914)
- NVDAはコマンドやフォーカスの変更により迅速に応答するようになりました。 (#14928)
- Windows文字認識の設定が、一部の環境で表示できなかった問題を修正しました。 (#15017)
- NVDAの設定の保存と読み込み、合成音声の切り替えに関連する不具合を修正しました。 (#14760)
- テキストレビューの「上スワイプ」タッチジェスチャーで前の行に移動せずページ移動になっていた不具合を修正しました。 (#15127)

### 開発者向けの変更

NVDAのAPIの非推奨化および削除プロセスに関する情報は、開発者ガイドを参照してください。

- アドオンマニフェスト仕様に推奨される規約が追加されました。 これらはNVDAの互換性のためにオプションですが、アドオンストアに提出する場合は推奨または必須です。
  - 名前のフィールドには `lowerCamelCase` を使用します。
  - バージョンのフィールドには `<major>.<minor>.<patch>` 形式を使用します（アドオンデータストアに必要です）。
  - URLのフィールドには `https://` をスキーマとして使用します（アドオンデータストアに必要です）。
- `Chain`という新しい拡張ポイントタイプを追加しました。これは、登録されたハンドラーが返すイテラブルを反復処理するために使用できます。(#14531)
- `bdDetect.scanForDevices`拡張ポイントを追加しました。 USBやBluetoothなどの既存のカテゴリに収まらないような`BrailleDisplayDriver/DeviceMatch`ペアを yield するハンドラを登録できます。(#14531)
- `synthDriverHandler.synthChanged`拡張ポイントを追加しました。(#14618)
- 簡単音声設定は、初めて必要になったときに利用可能な設定値をキャッシュするようになりました。従来は音声エンジンを読み込むときに実行していました。(#14704)
- ジェスチャーマップの export メソッドを呼び出して、それを dict にエクスポートできるようになりました。 この dict は、別のジェスチャーにインポートできます。それを`GlobalGestureMap`のコンストラクタに渡すか、既存のマップの update メソッドに渡すことで行います。(#14582)
- `hwIo.base.IoBase` およびその派生クラスには、新しいコンストラクタパラメータが追加され、`hwIo.ioThread.IoThread` を受け取るようになりました。 指定しない場合は、デフォルトのスレッドが使用されます。 (#14627)
- `hwIo.ioThread.IoThread` には、Python関数を使用して待機可能なタイマーを設定するための setWaitableTimer メソッドが追加されました。 同様に、新しいメソッド `getCompletionRoutine` を使用すると、Pythonメソッドを安全に補完ルーチンに変換できます。 (#14627)
- `offsets.OffsetsTextInfo._get_boundingRects` は、`textInfos.TextInfo` のサブクラスに対して期待される、常に List[locationHelper.rectLTWH] を返す仕様になりました。(#12424)
- `highlight-color` がフォーマットフィールド属性として使用できるようになりました。 (#14610)
- NVDAのログメッセージがNVDAコアに由来するかどうかをより正確に判断できるようになりました。 (#14812)
- NVDAは、廃止予定のappModulesに関する不正確な警告やエラーをログに記録しなくなりました。 (#14806)
- NVDAのすべての拡張ポイントの説明が Developer Guide に追加されました。 (#14648)
- `scons checkpot` は `userConfig` サブフォルダをチェックしなくなりました。 (#14820)
- `ngettext` および `npgettext` を使用して、単数形と複数形の形式で翻訳可能な文字列を定義できるようになりました。 (#12445)

#### 非推奨となったAPI

- `hwIo.ioThread.IoThread.queueAsApc` にラムダ関数を渡すことは非推奨です。 代わりに、関数は弱参照可能である必要があります。(#14627)
- `hwIo.base` から `LPOVERLAPPED_COMPLETION_ROUTINE` をインポートすることは非推奨です。 代わりに、`hwIo.ioThread` からインポートします。(#14627)
- `IoThread.autoDeleteApcReference` は非推奨です。 NVDA 2023.1で導入され、公開APIの一部であることを意図していませんでした。 削除されるまで、何もしないコンテキストマネージャーとして動作します。 (#14924)
- `gui.MainFrame.onAddonsManagerCommand` は非推奨です。代わりに `gui.MainFrame.onAddonStoreCommand` を使用します。(#13985)
- `speechDictHandler.speechDictVars.speechDictsPath` は非推奨です。代わりに `WritePaths.speechDictsDir` を使用します。(#15021)
- `speechDictHandler.dictFormatUpgrade` からの `voiceDictsPath` と `voiceDictsBackupPath` のインポートは非推奨です。 代わりに `NVDAState` から `WritePaths.voiceDictsDir` と `WritePaths.voiceDictsBackupDir` を使用します。(#15048)
- `config.CONFIG_IN_LOCAL_APPDATA_SUBKEY` は非推奨です。 代わりに `config.RegistryKey.CONFIG_IN_LOCAL_APPDATA_SUBKEY` を使用します。 (#15049)

## 2023.1

設定「ドキュメントナビゲーション」カテゴリに「段落の区切り方法」オプションが追加されました。 アプリ側での段落の区切り処理に対応していないテキストエディター、例えばメモ帳や Notepad++ などで有用です。

リンク先の報告を行う新しいグローバルコマンドが `NVDA+K` で利用できます。

Webコンテンツのアノテーション（注釈、例えばコメントや脚注など）への対応を改善しました。 複数の注釈が付けられた場所で `NVDA+D` を押すと、それぞれの注釈を順番に報告します。例えば「コメントあり」「脚注あり」などです。

Tivomatic Caiku Albatross 46/80 点字ディスプレイに対応しました。

Windows の ARM64 および AMD64 環境への対応を改善しました。

Windows 11 対応など多くのバグ修正を行いました。

eSpeak, LibLouis, Sonic 音声速度変換ライブラリ、および Unicode CLDR を更新しました。 ジョージア語非縮約点字、スワヒリ語(ケニア)、チェワ語(マラウイ)の点字テーブルを追加しました。

注意:

- このリリースでは、既存のアドオンとの互換性が失われています。

### 新機能

- UI オートメーションで Microsoft Excel を使うときにテーブルの行や列の見出しの自動報告が可能になりました。 (#14228)
  - 注意: リボンの「挿入」「テーブル」ボタンでフォーマットされたテーブルが対象です。 「テーブルの書式オプション」の「最初の列」および「先頭行」が行見出しと列見出しにそれぞれ対応します。
  - 「名前の定義」を使うスクリーンリーダー独自の見出し読み上げ機能とは異なります。こちらは UI オートメーションでは未対応です。
- 「テキストカーソル移動のすこし後で文字を説明」を切り替えるジェスチャー未割り当てのスクリプトが利用可能になりました。 (#14267)
- 実験的な機能に「Windows ターミナルで新しいテキストを読み上げる方法」を追加しました。この設定は安定性や性能の改善に役立つ可能性があります。 (#13781)
  - この機能の制約についてはユーザーガイドを参照してください。
- Windows 11 ARM64 環境で、Firefox, Google Chrome および 1Password などの AMD64 アプリのブラウズモードが利用可能になりました。 (#14397)
- 設定「ドキュメントナビゲーション」の「段落の区切り方法」オプションが追加されました。 段落の区切りと解釈するものを改行または1行以上の連続する空白行に切り替えることができます。 アプリ側での段落の区切り処理に対応していないテキストエディター、例えばメモ帳や Notepad++ などで有用です。 (#13797)
- 複数の注釈の存在を報告できるようになりました。 `NVDA+D` は複数の注釈がつけられた場所で、それぞれの注釈を順番に報告する操作となります。 例えば、ある1カ所のテキストにコメントと脚注がある場合などです。 (#14507, #14480)
- Tivomatic Caiku Albatross 46/80 点字ディスプレイに対応しました。 (#13045)
- 新しいグローバルコマンド: リンク先の報告 `NVDA+K` が利用できます。 1回押すとナビゲーターオブジェクトのリンク先を音声と点字で報告します。 2回押すとウィンドウを開いて情報を表示します。 (#14583)
- 入力ジェスチャーの割り当てのない新しいグローバルコマンド（「ツール」カテゴリ）: ナビゲーターオブジェクトのリンク先をウィンドウを開いて表示 `NVDA+K` を2回押すことと同じですが、点字ユーザーに役立つ可能性があります。 (#14583)

### 変更点

- LibLouis 点訳エンジンを 3.24.0 に更新しました。 (#14436)
  - ハンガリー語、UEB、中国語ボポモフォ注音符号の大幅な更新
  - デンマーク語点字標準 2022 への対応
  - ジョージア語非縮約点字、スワヒリ語(ケニア)、チェワ語(マラウイ)の点字テーブルの追加
- Sonic 音声速度変換ライブラリを commit `1d70513` に更新しました。 (#14180)
- CLDR をバージョン 42.0 に更新しました。 (#14273)
- eSpeak NG を 1.52-dev commit `f520fecb` に更新しました。 (#14281, #14675)
  - 大きな数の読み上げに関する修正 (#14241)
- Javaアプリのコントロールにおいて選択可能な状態を、項目が選択されたときではなく、選択されていないときに報告するようになりました。 (#14336)

### バグ修正

- Windows 11 対応の改善:
  - NVDA は、スタートメニューを開くと、検索のハイライトを報告します。 (#13841)
  - ARM 環境において、x64 アプリが ARM64 アプリとして識別されなくなりました。 (#14403)
  - クリップボード履歴で「アイテムの固定」などにアクセスできるようになりました。(#14508)
  - Windows 11 22H2 とそれ以降において、マウスとタッチを使用して、システムトレイのオーバーフローウィンドウや「プログラムから開く」のダイアログボックスなどを操作できなかった問題を修正しました。 (#14538, #14539)
- Microsoft Excel のコメントで@メンションを入力すると、提案が報告されます。(#13764)
- Google Chrome ロケーションバーで提案コントロール(タブへの切り替え、提案の削除など)を選択したときに報告されるようになりました。 (#13522)
- ワードパッドやログビューアーの書式情報において、色を明示的に報告するようになりました。従来は「既定の色」と報告していました。 (#13959)
- Firefox で GitHub issues ページの "Show options" ボタンをアクティブ化するときの動作がより確実になりました。 (#14269)
- Outlook 2016/365 の詳細検索ダイアログの日付選択コントロールにおいて、ラベルと値を報告するようになりました。 (#12726)
- Firefox、Chrome および Edge において、ARIA switch コントロールはチェックボックスではなく、実際にスイッチと報告されるようになりました。 (#11310)
- NVDA は HTML テーブルの列ヘッダーで内側のボタンを押してソート状態を変更すると、自動的に報告します。 (#10890)
- ブラウズモードで1文字ナビゲーションまたはフォーカスを使用してランドマークまたはリージョンの外から中にジャンプすると、その名前が常に自動的に読み上げられます。 (#13307)
- 「テキストカーソル移動のすこし後で文字を説明」で大文字のビープ音または報告が有効になっている場合、NVDA はビープ音または「大文字」の報告を2回行わなくなりました。 (#14239)
- NVDA はJavaアプリのテーブル内のコントロールをより正確に報告するようになりました。 (#14347)
- 複数のプロファイルを使用したときに、一部の設定が予想外に異なることがなくなりました。 (#14170)
  - 次の設定が修正されました:
    - 書式とドキュメント情報の「行インデント」
    - 書式とドキュメント情報の「セルの罫線」
    - 点字の「メッセージの表示」
    - 点字の「点字表示切り替え」
  - このバージョンのNVDAをインストールすると、プロファイルで使用されているこれらの設定が予期せず変更されることがあります。
  - NVDAをこのバージョンに更新した後で、プロファイルのこれらのオプションを確認してください。
- 絵文字がより多くの言語で報告されるようになりました。 (#14433)
- 一部の要素で、点字で注釈が表示されなかった不具合を修正しました。 (#13815)
- 設定の変更において「既定」オプションと既定の値を切り替えたときに正しく保存されない問題を修正しました。 (#14133)
- NVDAを設定する場合、少なくとも1つのキーが常にNVDAキーとして定義されます。 (#14527)
- 通知領域からNVDAメニューを開くとき、利用可能な更新がないにも関わらず保留中の更新を提示していた問題を修正しました。 (#14523)
- Foobar2000 における残り時間、経過時間、トラックの長さが1日を超える場合に正しく報告できるようになりました。 (#14127)
- ChromeやFirefoxなどのWebブラウザで、ファイルのダウンロードなどのアラートが、音声だけでなく点字でも表示されるようになりました。 (#14562)
- Firefox で行や列の最初や最後に移動する操作の不具合を修正しました。 (#14554)
- NVDA の起動オプションで `--lang=Windows` を指定したときに NVDA の設定ダイアログの「一般」を表示できなかった不具合を修正しました。 (#14407)

### 開発者向けの変更

注意: このリリースでは、既存のアドオンとの互換性が失われています。 アドオンは再テストとマニフェストの更新を行う必要があります。 NVDA の API 廃止および削除のプロセスについては the developer guide を参照してください。

- 非英語の環境でシステムテストが失敗しないようになりました。 (#13362)
- Windows 11 on ARM において x64 apps は ARM64 アプリと判定されないようになりました。 (#14403)
- 新しい UI オートメーションのシナリオでは `SearchField` および `SuggestionListItem` `UIA` `NVDAObjects` は不要です。検索候補の自動報告と文字入力は `controllerFor` パターンで通知されます。 この機能は現在 `behaviours.EditableText` またはそのベースクラス `NVDAObject` を介して使用できます。
- UIA debug logging カテゴリは有効化すると UIA イベントハンドラやユーティリティのログを従来よりも多く出力します。 (#14256)
- NVDAHelper ビルドの標準の更新 (#13072)
  - C++17 から C++20 標準に移行しました。
  - `/permissive-` コンパイラーフラグを指定しています。より厳格に標準に準拠する '/Zc' が設定されます。
- ドライバーやアドオンなどのプラグインオブジェクトについて NVDA Python コンソールで得られる情報が改善されました。 (#14463)
- NVDA は Visual Studio 2022 でコンパイルできるようになりました。 Visual Studio 2019 build tools は不要となりました。(#14326)
- NVDA がフリーズした場合に得られるログが詳細になり、デバッグしやすくなりました。 (#14309)
- シングルトン `braille._BgThread` クラスが `hwIo.ioThread.IoThread` に変更されました。 (#14130)
  - このクラスの単一のインスタンス `hwIo.bgThread` (NVDA core 内) はスレッドセーフな点字ディスプレイドライバーのためのバックグラウンド I/O を提供します。
  - 新しいクラスはシングルトンとして設計されていません。アドオン開発者はハードウェア I/O を行う場合にそれぞれインスタンスを作る必要があります。
- PC のプロセッサーアーキテクチャーは `winVersion.WinVersion.processorArchitecture` attribute から取得できます。(#14439)
- 以下の extension point が追加されました。 (#14503)
  - `inputCore.decide_executeGesture`
  - `tones.decide_beep`
  - `nvwave.decide_playWaveFile`
  - `braille.pre_writeCells`
  - `braille.filter_displaySize`
  - `braille.decide_enabled`
  - `braille.displayChanged`
  - `braille.displaySizeChanged`
- 音声ドライバーのサポートされている設定で useConfig を False にできます。 (#14601)

#### API の重大な変更

API の重大な変更があります。 あなたがアドオン開発者で新しいAPIへの移行において問題がある場合は GitHub issue を作成してください。

- 設定ファイルの仕様を変更しました。キーの削除や変更があります:
  - `[documentFormatting]` セクション (#14233):
    - `reportLineIndentation` の値は boolean から int value (0 to 3) に変更されました。
    - `reportLineIndentationWithTones` は削除されました。
    - `reportBorderStyle` と `reportBorderColor` は削除されました。かわりに `reportCellBorders` を使用します。
  - `[braille]` セクション (#14233):
    - `noMessageTimeout` は削除されました。かわりに `showMessages` を使います。
    - `messageTimeout` が 0 の値を取ることはなくなりました。かわりに `showMessages` を使います。
    - `autoTether` は削除されました。 `tetherTo` は "auto" の値を取ることができます。
  - `[keyboard]` セクション (#14528):
    - `useCapsLockAsNVDAModifierKey`, `useNumpadInsertAsNVDAModifierKey`, `useExtendedInsertAsNVDAModifierKey` は削除されました。 かわりに `NVDAModifierKeys` を使います。
- `NVDAHelper.RemoteLoader64` クラスは削除されました。代替はありません。 (#14449)
- `winAPI.sessionTracking` から以下の関数が削除されました。代替はありません。(#14416, #14490)
  - `isWindowsLocked`
  - `handleSessionChange`
  - `unregister`
  - `register`
  - `isLockStateSuccessfullyTracked`
- braille handler を `braille.handler.enabled` で有効化／無効化できなくなりました。 braille handler を無効化したい場合は `braille.handler.decide_enabled` にハンドラーを登録します。 (#14503)
- braille handler の display size を `braille.handler.displaySize` で変更できなくなりました。 displaySize を変更したい場合は `braille.handler.filter_displaySize` にハンドラーを登録します。 実装方法の例は `brailleViewer` を参照してください。 (#14503)
- `addonHandler.Addon.loadModule` に関する仕様を変更しました。 (#14481)
  - `loadModule` は backslash ではなく dot を区切り文字として使います。 例えば "lib\example" は "lib.example" となります。
  - `loadModule` はモジュールの読み込み失敗やエラーで例外を投げます。従来は理由を通知せずに `None` を返していました。
- `appModules.foobar2000` から以下のシンボルを削除しました。代替はありません。 (#14570)
  - `statusBarTimes`
  - `parseIntervalToTimestamp`
  - `getOutputFormat`
  - `getParsingFormat`
- 以下はシングルトンではなくなりました。これらの get メソッドは削除されました。 `Example.get()` のようなコードは `Example()` のように書きます。 (#14248)
  - `UIAHandler.customAnnotations.CustomAnnotationTypesCommon`
  - `UIAHandler.customProps.CustomPropertiesCommon`
  - `NVDAObjects.UIA.excel.ExcelCustomProperties`
  - `NVDAObjects.UIA.excel.ExcelCustomAnnotationTypes`

#### 非推奨となったAPI

- `NVDAObjects.UIA.winConsoleUIA.WinTerminalUIA` は非推奨です。 (#14047)
- `config.addConfigDirsToPythonPackagePath` は変更されました。 かわりに `addonHandler.packaging.addDirsToPythonPackagePath` を使います。 (#14350)
- `braille.BrailleHandler.TETHER_*` は非推奨です。 かわりに `configFlags.TetherTo.*.value` を使います。 (#14233)
- `utils.security.postSessionLockStateChanged` は非推奨です。 かわりに `utils.security.post_sessionLockStateChanged` を使います。 (#14486)
- `NVDAObject.hasDetails`, `NVDAObject.detailsSummary`, `NVDAObject.detailsRole` は非推奨です。 かわりに `NVDAObject.annotations` を使います。 (#14507)
- `keyboardHandler.SUPPORTED_NVDA_MODIFIER_KEYS` は非推奨です。直接の代替はありません。 `config.configFlags.NVDAKey` に移行してください。 (#14528)
- `gui.MainFrame.evaluateUpdatePendingUpdateMenuItemCommand` は非推奨です。 かわりに `gui.MainFrame.SysTrayIcon.evaluateUpdatePendingUpdateMenuItemCommand` を使います。 (#14523)

## 2022.4

このリリースではテーブルの行や列の読み上げなど、新しいコマンドが追加されました。 ユーザーガイドに「クイックスタートガイド」を追加しました。 バグ修正も行われました。

音声エンジン eSpeak と点訳エンジン LibLouis も更新されました。 中国語、スウェーデン語、ルガンダ語、キンヤルワンダ語のテーブルが追加されました。

### 新機能

- ユーザーガイドに「クイックスタートガイド」を追加しました。 (#13934)
- 現在のフォーカスの要素のショートカットキーを報告する新しいコマンドを追加しました。 (#13960)
  - デスクトップ: `Shift+テンキー2`.
  - ラップトップ: `NVDA+Ctrl+Shift+ピリオド`.
- ページ単位でレビューカーソルを移動する新しいコマンドを追加しました。アプリが対応している場合に使用できます。 (#14021)
  - 前のページ:
    - デスクトップ: `NVDA+pageUp`.
    - ラップトップ: `NVDA+shift+pageUp`.
  - 次のページ:
    - デスクトップ: `NVDA+pageDown`.
    - ラップトップ: `NVDA+shift+pageDown`.
- テーブル内で使える以下のコマンドを追加しました。 (#14070)
  - 現在のセルから列を読み上げ: `NVDA+control+alt+下矢印`
  - 現在のセルから行を読み上げ: `NVDA+control+alt+右矢印`
  - 現在の列を読み上げ: `NVDA+control+alt+上矢印`
  - 現在の行を読み上げ: `NVDA+control+alt+左矢印`
- Microsoft Excel で UI オートメーションが有効な場合: スプレッドシートにおいてテーブルの中に入ったり外に出たりしたときに報告するようになりました。 (#14165)
- テーブルの行の見出しと列の見出しの報告を独立して設定できるようになりました。 (#14075)

### 変更点

- eSpeak NG を 1.52-dev commit `735ecdb8` に更新しました。 (#14060, #14079, #14118, #14203)
  - 標準中国語におけるラテン文字の読み上げの修正 (#12952, #13572, #14197)
- LibLouis 点訳エンジンを 3.23.0 に更新しました。 (#14112)
  - 新しいテーブル:
    - 中国語共通点字 (簡体字)
    - キンヤルワンダ語非縮約点字
    - ルガンダ語非縮約点字
    - スウェーデン語非縮約点字
    - スウェーデン語一部縮約点字
    - スウェーデン語縮約点字
    - 中国語(中国、北京語) 従来方式の点字(声調なし) (#14138)
- NVDA 使用状況統計のために取得する情報に OS architecture を追加しました。 (#14019)

### バグ修正

- Windows Package Manager CLI (winget) を使って NVDA を更新した場合に、インストールされたアルファ版よりもリリース版のほうが常に新しいものとして扱われていた問題を修正しました。 (#12469)
- Java アプリのグループボックスを正しく報告できなかった問題を修正しました。 (#13962)
- Bookworm や WordPad および NVDA ログビューアーなどのアプリで、「すべて読み上げ」の実行中にテキストカーソルが読み上げに追従できないことがあった問題を修正しました。 (#13420, #9179)
- UI オートメーションを使用するアプリにおいて、一部チェックされたチェックボックスが正しく報告されるようになりました。 (#13975)
- Microsoft Visual Studio, Windows Terminal, その他の UI オートメーションを使用するアプリにおいて性能や信頼性を改善しました。 (#11077, #11209)
  - Windows 11 Sun Valley 2 (version 22H2) およびそれ以降で有効です。
  - イベントとプロパティ変更の取得を選択的に行う設定が既定の選択になりました。
- Visual Studio 2022 に埋め込まれた Windows Terminal コントロールにおいてテキストの報告、点字出力、パスワード非表示などが期待通りに動作するようになりました。 (#14194)
- マルチディスプレイ環境などで DPI を正しく処理できるようになりました。 DPI 設定を100パーセントよりも大きくした場合や、マルチディスプレイ環境における複数の問題が修正されました。 ただし Windows 10 1809 よりも以前のバージョンでは改善されない場合があります。 この修正が期待通りに動作するためには NVDA で操作するアプリも高 DPI への対応が必要です。 Chrome および Edge への対応では既知の不具合が残っています。 (#13254)
  - 多くのアプリにおいてビジュアルハイライトが期待通りの位置に表示されます。 (#13370, #3875, #12070)
  - 多くのアプリにおいてタッチ対応が適切に動作します。 (#7083)
  - 多くのアプリにおいてマウスカーソル位置に関する処理が適切に動作します。 (#6722)
- ディスプレイなどの向き（ランドスケープ／ポートレート）の変化がない場合に、報告を適切に省略するようになりました。 (#14035)
- Windows 10 のスタートメニューのタイルや Windows 11 の仮想デスクトップなどを並べ替えるときに、項目のドラッグを報告するようになりました。 (#12271, #14081)
- 「設定を戻す」を実行したときに高度な設定「ログ出力したエラーを音で報告」が既定の設定に戻らなかった不具合を修正しました。 (#14149)
- Java アプリでキーボードショートカット `NVDA+f10` によるテキスト選択ができなかった不具合を修正しました。 (#14163)
- Microsoft Teams の会話スレッドを上下に移動するときにメニュー操作で起きていた不具合を修正しました。 (#14355)

### 開発者向けの変更

NVDA の API の非推奨と廃止については the developer guide を参照してください。

- NVDA API Announcement mailing list を開設しました。 (#13999)
- 多くの UI Automation アプリにおいて NVDA は `textChange` イベントを処理しません。性能の低下を回避するためです。 (#11002, #14067)

#### 非推奨となったAPI

- `core.post_windowMessageReceipt` は非推奨です。 `winAPI.messageWindow.pre_handleWindowMessage` を使います。
- `winKernel.SYSTEM_POWER_STATUS` は非推奨です。 `winAPI._powerTracking.SystemPowerStatus` を使います。
- `winUser.SM_*` 定数は非推奨です。 `winAPI.winUser.constants.SystemMetrics` を使います。

## 2022.3.3

これは 2022.3.2, 2022.3.1, 2022.3 で発生した不具合を修正するリリースです。 セキュリティに関する修正が含まれています。

### セキュリティ修正

- 権限のないユーザーによる(NVDA Python console 経由の)システムレベルのアクセスに関する問題を修正しました。 (GHSA-fpwc-2gxx-j9v7)

### バグ修正

- Windows ロック画面において NVDA がフリーズするとユーザーのデスクトップ画面へのアクセスを制限できなかった不具合を修正しました。(#14416)
- Windows ロック画面において NVDA がフリーズすると NVDA が正しく動作しなくなることがある不具合を修正しました。 (#14416)
- Windowsの「PINを忘れた場合」や Windows Update/Install エクスペリエンスにおけるアクセシビリティの不具合を修正しました。 (#14368)
- 一部の Windows 環境 (Windows Server) における NVDA のインストールの不具合を修正しました。 (#14379)

### 開発者向けの変更

#### 非推奨となったAPI

- `utils.security.isObjectAboveLockScreen(obj)` は非推奨です。 `obj.isBelowLockScreen` を使います。 (#14416)
- `winAPI.sessionTracking` の以下の関数は非推奨です。これらは 2023.1 で削除されます。 (#14416)
  - `isWindowsLocked`
  - `handleSessionChange`
  - `unregister`
  - `register`
  - `isLockStateSuccessfullyTracked`

## 2022.3.2

これはセキュリティ問題と、2022.3.1で発生した不具合を修正するためのリリースです。

### セキュリティ修正

- 権限のないユーザーによるシステムレベルのアクセスに関する問題を修正しました。 (GHSA-3jj9-295f-h69w)

### バグ修正

- 2022.3.1 で発生したロック画面での一部の機能の不具合を修正しました。 (#14286)
- 2022.3.1 で NVDA がロック画面から起動した場合に、サインインの直後に一部の機能で起きていた不具合を修正しました。(#14301)

## 2022.3.1

これはセキュリティ問題を修正するためのリリースです。 セキュリティ問題は info@nvaccess.org に報告してください。

### セキュリティ修正

- ユーザーが不適切に管理者権限に昇格できる問題を修正しました。 (GHSA-q7c2-pgqm-vvw5)
- NVDA起動の競合状態を使ってロック画面で NVDA Python コンソールを開くことができる問題を修正しました。 (GHSA-72mj-mqhj-qh4w)
- Windows がロック画面に切り替わった後で、スピーチビューアーで以前の内容を参照できる問題を修正しました。 (GHSA-grvr-j2h8-3qm4)

### バグ修正

- Windows ロック画面においてスピーチビューアーおよび点字ビューアーの設定が不適切な権限で可能になっていた問題を修正しました。 (GHSA-grvr-j2h8-3qm4)

## 2022.3

このリリースにおける改善の多くは NVDA 開発コミュニティの貢献によるものです。 「テキストカーソル移動のすこし後で文字を説明」や Windows コンソール対応の改善などが含まれます。

このリリースではバグ修正も行われています。 特に Adobe Acrobat および Reader の最新版で PDF ドキュメントを読むときにクラッシュしていた問題に対応しました。

eSpeak が更新され、ベラルーシ語、ルクセンブルク語、トトンテペック・ミヘ語の3つの新しい言語が導入されました。

### 新機能

- コマンドプロンプト、PowerShell、Windows Subsystem for Linux などに使われている Windows コンソールホストの Windows 11 バージョン 22H2 (Sun Valley 2) およびそれ以降において:
  - 性能と安定性を大幅に改善しました。 (#10964)
  - `Ctrl+f` を押してテキストを検索すると、見つかった箇所にレビューカーソルを移動します。 (#11172)
  - パスワード入力など、入力テキストが画面に表示されない場合に、入力テキストの報告が既定の設定で無効になりました。 NVDA「高度な設定」パネルで有効化できます。 (#11554)
  - スクロールで画面の外になり表示されなくなったテキストをレビューできます。コンソールウィンドウをスクロールする必要はありません。 (#12669)
  - テキストの書式に関する詳細な情報はこちらです (microsoft/terminal PR 10336)
- テキストカーソル移動のすこし後で文字を説明するかどうかを NVDA 設定「音声」カテゴリで選択できるようになりました。 (#13509)
- 点字表示をスクロールして進む（または戻る）ときに読み上げを中断するかどうかを NVDA 設定「点字」カテゴリで選択できるようになりました。 (#2124)

### 変更点

- eSpeak NG を 1.52-dev commit `9de65fcb` に更新しました。 (#13295)
  - 追加された言語:
    - ベラルーシ語
    - ルクセンブルク語
    - トトンテペック・ミヘ語
- Microsoft Excel スプレッドシートコントロールを UI オートメーションで操作するときに NVDA が結合されたセルを報告できるようになりました。 (#12843)
- 詳細情報の目的が利用可能な場合に「詳細あり」ではなく（例えば「コメント付き」など）より具体的に報告するようになりました。 (#13649)
- Windows の「アプリと機能」にインストールされた NVDA の容量を表示するようになりました。 (#13909)

### バグ修正

- Adobe Acrobat / Reader 64 ビットで PDF ドキュメントを読むときにクラッシュしていた問題を修正しました。 (#12920)
  - この不具合を解決するには NVDA に加えて Adobe Acrobat または Reader も最新版に更新する必要があります。
- NVDA がフォントの大きさの値をローカライズできるようになりました。 (#13573)
- Java アプリのウィンドウハンドルが見つからない場合に Java Access Bridge イベントを無視するようになりました。 これにより IntelliJ IDEA など一部のアプリにおいて性能が改善されます。 (#13039)
- LibreOffice Calc でセルの選択を報告する処理の性能が改善され、数多くのセルが選択されたときに Calc がフリーズしていた問題が修正されました。 (#13232)
- Microsoft Edge でユーザーを切り替えるとアクセシブルでなくなっていた問題を修正しました。 (#13032)
- eSpeak で高速読み上げを無効にすると速さ 99 と 100 の間で値が不適切に変化していた問題を修正しました。 (#13876)
- 入力ジェスチャーのダイアログを2個同時に開くことができる不具合を修正しました。 (#13854)

### 開発者向けの変更

- Comtypes をバージョン 1.1.11 に更新しました。 (#12953)
- Windows コンソール (`conhost.exe`) の特定のバージョン(例えば Windows 11 バージョン 22H2 (Sun Valley 2) に含まれるもの)と NVDA の対応 API レベル 2 (`FORMATTED`) およびそれ以上の組み合わせで、UI オートメーションの有効化が既定の設定になりました。 (#10964)
  - この設定は NVDA の設定「高度な設定」パネル「Windows コンソール対応」で変更できます。
  - 現在の Windows コンソールに対応する NVDA の API レベルを調べるには、「Windows コンソール対応」を「可能な場合にUIオートメーションを使用」にして、実行中の Windows コンソールから NVDA+F1 でログを確認します。
- Chromium においてドキュメントオブジェクトが IA2 経由で MSAA の `STATE_SYSTEM_BUSY` を公開していても、仮想バッファーを読み込むようになりました。 (#13306)
- config spec に `featureFlag` という型が追加されました。これは NVDA の実験的な機能で使用します。詳細は `devDocs/featureFlag.md` を参照してください。 (#13859)

#### 非推奨となったAPI

バージョン 2022.3 において API の廃止や破壊的変更は提案されていません。

## 2022.2.4

これはセキュリティ問題を修正するためのリリースです。

### バグ修正

- ロック画面でログビューアーから NVDA Python コンソールを開くことができた問題を修正しました。 (GHSA-585m-rpvv-93qg)

## 2022.2.3

2022.2.1 で起きた API 互換性の不具合を修正するためのパッチリリースです。

### バグ修正

- セキュアデスクトップに切り替わるときに「セキュアデスクトップ」と NVDA が報告しなくなった不具合を修正しました。 この不具合で「NVDA リモート」アドオンがセキュアデスクトップの切り替えを検知できなくなっていました。 (#14094)

## 2022.2.2

2022.2.1 で起きた入力ジェスチャーの不具合を修正するためのパッチリリースです。

### バグ修正

- 入力ジェスチャーの不具合を修正しました。 (#14065)

## 2022.2.1

これはセキュリティ問題を修正するためのリリースです。 セキュリティ問題は info@nvaccess.org に報告してください。

### セキュリティ修正

- ロック画面からPythonコンソールを実行できる脆弱性を修正しました。 (GHSA-rmq3-vvhq-gp32)
- オブジェクトナビゲーションを利用してロック画面の外に移動できる脆弱性を修正しました。 (GHSA-rmq3-vvhq-gp32)

### 開発者向けの変更

#### 非推奨となったAPI

以下の非推奨 API は、廃止の時期がまだ決まっていません。 今後、廃止のお知らせを行うまで、利用可能です。 新しい API をテストしてフィードバックをお寄せください。 アドオン作成者の場合、これらの変更によって API がニーズを満たすことができなくなった場合は、GitHub の issue を作成してください。

- `appModules.lockapp.LockAppObject` は非推奨です。`NVDAObjects.lockscreen.LockScreenObject` を使います。 (GHSA-rmq3-vvhq-gp32)
- `appModules.lockapp.AppModule.SAFE_SCRIPTS` は非推奨です。`utils.security.getSafeScripts()` を使います。 (GHSA-rmq3-vvhq-gp32)

## 2022.2

このリリースでは多くのバグ修正を行いました。 特に Java ベースのアプリ、点字ディスプレイ、Windows の機能への対応を大幅に改善しました。

新しいテーブルナビゲーションコマンドが導入されました。 Unicode CLDR が更新されました。 LibLouis が更新され、新しいドイツ語の点字テーブルが追加されました。

### 新機能

- Microsoft Office 製品の Microsoft Loop コンポーネント操作に対応しました。(#13617)
- 新しいテーブルナビゲーションコマンドが追加されました。 (#957)
  - `control+alt+home/end` 最初または最後の列に移動
  - `control+alt+pageUp/pageDown` 最初または最後の行に移動
- 言語と方言を順番に切り替えるスクリプトが追加されました。初期設定では入力ジェスチャーの割り当てはありません。 (#10253)

### 変更点

- NSIS をバージョン 3.08 に更新しました。 (#9134)
- CLDR をバージョン 41.0 に更新しました。 (#13582)
- LibLouis 点訳エンジンを 3.22.0 に更新しました。 (#13775)
  - 新しい点字テーブル: ドイツ語2級点字(詳細)
- 「ビジーインジケーター」コントロールのロールが追加されました。(#10644)
- NVDA のアクションを実行できない場合に報告するようになりました。(#13500)
  - 例えば以下の場合です:
    - NVDA の Microsoft Store 版を使用している場合
    - セキュアモードで実行している場合
    - モーダルダイアログへの応答を待っている場合

### バグ修正

- Java ベースのアプリに関する修正:
  - NVDA が readonly state を報告します。 (#13692)
  - NVDA が disabled/enabled state を正しく報告します。 (#10993)
  - NVDA がファンクションキーのショートカットを報告します。 (#13643)
  - NVDA がプログレスバーをビープ音や読み上げで報告します。 (#13594)
  - NVDA がウィジェットから不適切にテキストを取り除いてユーザーに提示することがあった問題を修正しました。(#13102)
  - NVDA がトグルボタンの state を報告します。(#9728)
  - NVDA が複数ウィンドウの Java アプリでウィンドウを識別します。 (#9184)
  - NVDA がタブコントロールの位置情報を報告します。 (#13744)
- 点字対応の修正:
  - Thunderbird でのメッセージの下書き作成など、Mozilla のリッチエディットコントロールで特定のテキストをナビゲートする際の点字出力を修正しました。 (#12542)
  - 点字表示切り替えを自動に設定し、マウスカーソル位置のテキストの報告を有効にして、マウスを動かすと、 テキストレビューコマンドは、音声読み上げに合わせて点字表示を更新するようになりました。 (#11519)
  - テキストレビューコマンドの使用後に、点字表示をスクロールしてコンテンツを確認できるようになりました。 (#8682)
- NVDA インストーラーが、特殊文字を含む名前のディレクトリから実行できるようになりました。 (#13270)
- Firefox において aria-rowindex, aria-colindex, aria-rowcount または aria-colcount 属性が無効な値である場合に NVDA が Web ページの項目の報告に失敗していた問題を修正しました。 (#13405)
- テーブルナビゲーションを使用して結合されたセルの間を移動するときに、行または列の移動が不適切になる問題を修正しました。(#7278)
- インタラクティブでない PDF を Adobe Reader で読むときに、フォームフィールド(チェックボックスやラジオボタンなど)の種別と状態が報告されるようになりました。 (#13285)
- セキュアモードにおいて NVDA メニューから「設定のリセット」が利用できるようになりました。(#13547)
- NVDA が終了すると、ロックされたマウスキーがロック解除されます。これまではマウスボタンはロックされたままでした。(#13410)
- Visual Studio において行番号を報告するようになりました。(#13604)
  - 行番号を報告するには Visual Studio と NVDA の両方で行番号の表示や報告を有効にする必要があります。
- Visual Studio が行インデントを正しく報告するようになりました。(#13574)
- 最近の Windows 10 と 11 リリースにおいて、スタートメニューの検索結果の詳細を報告していなかった問題を修正しました。(#13544)
- Windows 10 および 11 の電卓バージョン10.1908 以降において、 NVDA は科学計算モードなどより多くの場合に、コマンドが押されたときに結果を報告するようになりました。(#13383)
- Windows 11 のタスクバーやタスクビューなどのユーザーインターフェイス要素において、 マウスやタッチによるナビゲーションと操作ができない場合があった問題を修正しました。 (#13506)
- NVDA は Windows 11 のメモ帳でステータスバーの内容を報告するようになりました。 (#13688)
- ナビゲータオブジェクトのハイライト機能を有効にするとハイライトがすぐに表示されるようになりました。(#13641)
- 単一列のリストビュー項目の読み上げを修正しました。(#13659, #13735)
- 英語とフランス語の eSpeak 自動言語切り替えが、それぞれ、英国英語とフランス語(フランス)にフォールバックするように修正されました。 (#13727)
- OneCore 音声の自動言語切り替えにおいて、以前にインストールされていた言語に切り替える際に起きていた問題を修正しました。 (#13732)

### 開発者向けの変更

- NVDA の依存モジュールを Visual Studio 2022 (17.0) でコンパイルできるようになりました。 開発ビルドおよびリリースビルドでは Visual Studio 2019 をひきつづき使います。 (#13033)
- accSelection で選択された子要素の個数を取得する場合、 子要素の ID が負の場合、および IDispatch が ''IAccessible::get_accSelection'' によって返される場合に、正しく処理されるようになりました。 (#13277)
- 新しい便利な関数 ''registerExecutableWithAppModule'' と ''unregisterExecutable'' が ''appModuleHandler'' モジュールに追加されました。 これらは、複数の実行可能ファイルで単一のアプリモジュールを使用するために使用できます。 (#13366)

#### 非推奨となったAPI

以下の通り API の破壊的変更が提案されています。 非推奨となった API は、廃止されるリリースが明記されている場合は、それまで引き続き使用可能です。 リリースが明記されていない場合は API の廃止は決定されていません。 廃止に関するロードマップは「ベストエフォート」であり、変更される可能性があります。 新しい API をテストしてフィードバックをお寄せください。 アドオン作成者の場合、これらの変更によって API がニーズを満たすことができなくなった場合は、GitHub の issue を作成してください。

- `appModuleHandler.NVDAProcessID` は非推奨です。`globalVars.appPid` を使います。 (#13646)
- `gui.quit` は非推奨です。`wx.CallAfter(mainFrame.onExitCommand, None)` を使います。 (#13498) -
- appModules の以下の別名は非推奨です。 これらをインポートしていたコードは代替のモジュールを使用します。 (#13366)

削除されるモジュール | 代替のモジュール
--- | ---
azuredatastudio | code
azuredatastudio-insiders | code
calculatorapp | calculator
code - insiders | code
commsapps | hxmail
dbeaver | eclipse
digitaleditionspreview | digitaleditions
esybraille | esysuite
hxoutlook | hxmail
miranda64 | miranda32
mpc-hc | mplayerc
mpc-hc64 | mplayerc
notepad++ | notepadPlusPlus
searchapp | searchui
searchhost | searchui
springtoolsuite4 | eclipse
sts | eclipse
teamtalk3 | teamtalk4classic
textinputhost | windowsinternal_composableshell_experiences_textinput_inputapp
totalcmd64 | totalcmd
win32calc | calc
winmail | msimn
zend-eclipse-php | eclipse
zendstudio | eclipse

## 2022.1

このリリースでは Microsoft Office での UI オートメーション対応を大幅に改善しました。 Microsoft Office 16.0.15000 およびそれ以降と Windows 11 の組み合わせで NVDA は Microsoft Word ドキュメントに UI オートメーションを使います。 旧式のオブジェクトモデルと比べて性能が改善します。

清華 Notetaker、Papenmeier、HID 点字仕様などの点字ディスプレイドライバを改善しました。 また、電卓、コンソール、ターミナル、メール、絵文字パネルなどのさまざまな Windows 11 のアプリに対応するバグ修正を行いました。

eSpeak-NG と LibLouis を更新し、新しい日本語（漢点字）、ドイツ語、カタロニア語の点字テーブルを追加しました。

注意:

- このリリースでは、既存のアドオンとの互換性が失われています。

### 新機能

- Windows 11 と UI オートメーションが有効になった Microsoft Excel において、メモの報告に対応しました。 (#12861)
- Windows 11 と UI オートメーションが有効になった Microsoft Word の最近のビルドにおいて、ブックマーク、下書きコメント、および解決されたコメントが存在するときに、音声と点字の両方で報告されるようになりました。 (#12861)
- 新しい `--lang` コマンドライン引数により、NVDA の言語の設定を上書きできます。 (#10044)
- 不明なコマンドライン引数があり、アドオンからも使用されていない場合に NVDA は警告するようになりました。 (#12795)
- UI オートメーションが有効になった Microsoft Word において、NVDA は MathPlayer を使用して Office の数式を読み取ったり移動したりするようになりました。 (#12946)
  - Microsoft Word 365/2016 ビルド 14326 以降が必要です。
  - MathType の数式は Office 数式に手動で変換する必要があります。数式を選択し、コンテクストメニューを開き、[数式オプション]、[Office 数式に変換] の順に操作します。
- 「詳細あり」の報告と、関連づけられた注釈の報告が、フォーカスモードで利用できるようになりました。 (#13106)
- 清華 Notetaker が USB および Bluetooth 経由で接続された場合に自動検出されるようになりました。 (#13191, #13142)
  - 対応デバイス: MiniSeika (16, 24 セル), V6, および V6Pro (40 セル)
  - Bluetooth COM ポートの手動選択にも対応しています。
- 点字ビューアーを有効または無効にするコマンドを追加しました。既定のジェスチャーはありません。 (#13258)
- 点字ディスプレイで複数の修飾キーを同時に切り替えるためのコマンドを追加しました。 (#13152)
- [読み上げ辞書]ダイアログボックスに、辞書全体をクリアするのに役立つ[すべて削除]ボタンを追加しました。 (#11802)
- Windows 11 電卓に対応しました。 (#13212)
- UI オートメーションが有効になった Microsoft Word において、行番号とセクション番号を報告できるようになりました。 (#13283, #13515)
- Microsoft Office 16.0.15000 およびそれ以降と Windows 11 の組み合わせで NVDA は Microsoft Word ドキュメントに UI オートメーションを使います。旧式のオブジェクトモデルと比べて性能が改善します。 (#13437)
  - Microsoft Word ドキュメント、Microsoft Outlook のメッセージの表示と編集が含まれます。

### 変更点

- Espeak-ng をバージョン 1.51-dev commit `7e5457f91e10` に更新しました。 (#12950)
- liblouis 点訳エンジンを 3.21.0 に更新しました。 (#13141, #13438)
  - 新しいテーブル: 日本語漢点字
  - 新しいテーブル: ドイツ語6点コンピューター点字
  - 新しいテーブル: カタロニア語1級点字 (#13408)
- NVDA LibreOffice Calc 7.3 およびそれ以降でセルの選択や結合を報告するようになりました。 (#9310, #6897)
- Unicode 共通ロケールデータリポジトリ (CLDR) をバージョン 40.0 に更新しました。 (#12999)
- 既定の設定で `NVDA+テンキーDelete` はテキストカーソルまたはフォーカスのあるオブジェクトの位置を報告します。 (#13060)
- `NVDA+Shift+テンキーDelete` はレビューカーソルの位置を報告します。 (#13060)
- 点字ディスプレイで修飾キーをトグルする既定のジェスチャーの割り当てを追加しました。 (#13152)
- テキストの書式を報告するコマンド (`NVDA+f`) において「ベースライン」を報告しなくなりました。 (#11815)
- 詳細な説明 (longdesc) をアクティブ化するコマンドに既定のジェスチャーが割り当てられなくなりました。 (#13380)
- 注釈の報告コマンドに既定のジェスチャー (`NVDA+d`) が割り当てられました。 (#13380)
- MathPlayer のインストール後にNVDAを再起動する必要があります。 (#13486)

### バグ修正

- 一部の Office アプリを開くときに、クリップボードマネージャのペインに誤ってフォーカスが移動していた問題を修正しました。 (#12736)
- マウスの主ボタンを右クリックに変更した環境において、Webブラウザなどのアプリで、NVDAが項目をアクティブ化する代わりに誤ってコンテキストメニューを表示することがなくなりました。 (#12642)
- UIオートメーションが有効になった Microsoft Word などにおいて、レビューカーソルをテキストコントロールの末尾を超えて移動しようとすると「下の端」を報告できなかった問題を改善しました。 (#12808)
- NVDA を64ビット版Windowsで実行している場合に system32 フォルダに配置された実行ファイルのアプリ名やバージョンを報告できるようになりました。 (#12943)
- ターミナルの出力をより一貫性のある方法で読み込むようになりました。 (#12974)
  - 行の途中で文字を挿入または削除すると、テキストカーソル以降の文字を再度読み上げることがあります。
- UIオートメーションが有効になった Microsoft Word: ブラウズモードでの見出しの1文字ナビゲーションを使うとドキュメントの最後の見出しで止まって動かなくなる問題や、このような見出しがNVDA要素リストに重複して表示される問題などを修正しました。 (#9540)
- Windows 8 以降において、ステータスバーの標準のジェスチャー NVDA+End (デスクトップ配列) / NVDA+Shift+End (ラップトップ配列)を使用して、ファイルエクスプローラのステータスバーを取得できるようになりました。 (#12845)
- Skype for Businessのチャットで受信したメッセージが報告されなかった問題を修正しました。 (#9295)
- Windows 11 で SAPI5 音声エンジンを使用しているときに音のダッキングができなかった問題を修正しました。 (#12913)
- Windows 10 の電卓で、履歴のラベルとメモリのリスト項目を報告するようになりました。 (#11858)
- HID点字仕様のディスプレイでスクロールやタッチカーソルなどのジェスチャーが動作しなかった問題を修正しました。 (#13228)
- Windows 11 メール: 長いメールを読んでいる途中でアプリ間でフォーカスを切り替えると、NVDA がメールの読んでいる行から他の場所に移動できなくなる問題を修正しました。 (#13050)
- HID点字ディスプレイ: ジェスチャーの組み合わせ (例えば `スペース+4の点`) を点字ディスプレイから実行できるようになりました。 (#13326)
- 複数の設定ダイアログを同時に開くことができる問題を修正しました。 (#12818)
- PC をスリープ解除した後、一部の Focus Blue 点字ディスプレイが動作しなくなる問題を修正しました。 (#9830)
- 「上付き文字と下付き文字の報告」オプションが有効な場合に、誤って「ベースライン」と報告していた問題を修正しました。 (#11078)
- Windows 11 で絵文字を選択するときに絵文字パネルで NVDA のナビゲーションができなかった問題を修正しました。 (#13104)
- Windowsコンソールとターミナルを使用しているときに報告が2重に行われていた問題を修正しました。 (#13261)
- REAPER などの64ビットアプリでリスト項目を報告できなかった問題を修正しました。 (#8175)
- Microsoft Edge ダウンロードマネージャで、最新のダウンロードのリスト項目にフォーカスが移動すると、NVDA が自動的にフォーカスモードに切り替わるようになりました。 (#13221)
- 64ビット版の Notepad++ バージョン 8.3 以上がクラッシュする問題を修正しました。 (#13311)
- Adobe Readerの保護モードが有効になっている場合、Adobe Readerが起動時にクラッシュする問題を修正しました。 (#11568)
- Papenmeier 点字ディスプレイドライバを選択すると NVDA がクラッシュする問題を修正しました。 (#13348)
- UIオートメーションが有効になった Microsoft Word: 表の空白セルから内容を含むセルに移動したり、ドキュメントの最後から既存の内容のある場所に移動したりするときに、ページ番号やその他の書式が不適切に報告される問題を修正しました。 (#13458, #13459)
- Google Chrome バージョン 100 でページ読み込み時に NVDA によるページタイトルの読み上げや自動でのページの読み上げが失敗していた問題を修正しました。 (#13571)
- コマンドキーの読み上げを有効にして NVDA の設定をリセットするとクラッシュしていた問題を修正しました。 (#13634)

### 開発者向けの変更

- 注意: これはアドオン API 非互換のリリースです。アドオンは再テストとマニフェストの更新が必要です。
- NVDA の開発にはひきつづき Visual Studio 2019 が必要ですが、同時により新しいバージョン(2022など) の Visual Studio がインストールされている場合に、ビルドが失敗しないようになりました。 (#13033, #13387)
- SCons をバージョン 4.3.0 に更新しました。 (#13033)
- py2exe をバージョン 0.11.1.0 に更新しました。 (#13510)
- `NVDAObjects.UIA.winConsoleUIA.WinConsoleUIA.isImprovedTextRangeAvailable` を削除しました。かわりに `apiLevel` を使います。 (#12955, #12660)
- `TVItemStruct` を `sysTreeView32` から削除しました。 (#12935)
- `MessageItem` を Outlook appModule から削除しました。 (#12935)
- `audioDucking.AUDIODUCKINGMODE_*` 定数を `DisplayStringIntEnum` に移行しました。 (#12926)
  - これらの定数のかわりに `AudioDuckingMode.*` を使います。
  - `audioDucking.audioDuckingModes` のかわりに `AudioDuckingMode.*.displayString` を使います。
- `audioDucking.ANRUS_ducking_*` 定数は `ANRUSDucking.*` に移行しました。 (#12926)
- `synthDrivers.sapi5` の変更 (#12927):
  - `SPAS_*` のかわりに `SPAudioState.*` を使います。
  - `constants.SVSF*` のかわりに `SpeechVoiceSpeakFlags.*` を使います。
    - 注意: `SVSFlagsAsync` のかわりに `SpeechVoiceSpeakFlags.Async` を使います。 `SpeechVoiceSpeakFlags.lagsAsync` ではありません。
  - `constants.SVE*` のかわりに `SpeechVoiceEvents.*` を使います。
- `soffice` appModule におけるクラスと関数の廃止: `JAB_OOTableCell`, `JAB_OOTable`, `gridCoordStringToNumbers`. (#12849)
- `core.CallCancelled` のかわりに `exceptions.CallCancelled` を使います。 (#12940)
- `core` および `logHandler` において RPC で始まる定数はすべて `RPCConstants.RPC` enum に移行しました。 (#12940)
- マウスでアクティブ化(主ボタン)やコンテクストメニュー表示など(副ボタン)のクリックを実行するために、論理アクション関数 `mouseHandler.doPrimaryClick` および `mouseHandler.doSecondaryClick` を推奨します。 `executeMouseEvent` の使用や、マウスのボタンの左右を特定することは避けるべきです。 Windows の設定「マウスの主ボタン」の変更に適切に対応するためです。 (#12642)
- `config.getSystemConfigPath` を削除しました。代替の手段はありません。 (#12943)
- `shlobj.SHGetFolderPath` を削除しました。かわりに `shlobj.SHGetKnownFolderPath` を使います。 (#12943)
- `shlobj` 定数を削除しました。かわりに列挙型 `shlobj.FolderId` を導入しました。使い方は `SHGetKnownFolderPath` を参照してください。 (#12943)
- `diffHandler.get_dmp_algo` および `diffHandler.get_difflib_algo` はそれぞれ `diffHandler.prefer_dmp` および `diffHandler.prefer_difflib` に移行しました。 (#12974)
- `languageHandler.curLang` を削除しました。現在の NVDA の言語は `languageHandler.getLanguage()` で取得します。 (#13082)
- アプリモジュールに `getStatusBarText` メソッドを実装して、NVDA がステータスバーのテキストを読み取る方法をカスタマイズできるようになりました。 (#12845)
- `globalVars.appArgsExtra` を削除しました。 (#13087)
  - アドオンから追加のコマンドライン引数を扱いたい場合は `addonHandler.isCLIParamKnown` のドキュメントと開発者ドキュメントで詳細をご確認ください。
- UIA ハンドラーモジュールとその他の UIA サポートモジュールは UIAHandler パッケージにまとめられました。 (#10916)
  - `UIAUtils` の移行先は `UIAHandler.utils`
  - `UIABrowseMode` の移行先は `UIAHandler.browseMode`
  - `_UIAConstants` の移行先は `UIAHandler.constants`
  - `_UIACustomProps` の移行先は `UIAHandler.customProps`
  - `_UIACustomAnnotations` の移行先は `UIAHandler.customAnnotations`
- `IAccessibleHandler` `IA2_RELATION_*` の各定数は `IAccessibleHandler.RelationType` 列挙型に移行しました。 (#13096)
  - `IA2_RELATION_FLOWS_FROM` を削除しました。
  - `IA2_RELATION_FLOWS_TO` を削除しました。
  - `IA2_RELATION_CONTAINING_DOCUMENT` を削除しました。
- `LOCALE_SLANGUAGE`, `LOCALE_SLIST` および `LOCALE_SLANGDISPLAYNAME` を `languageHandler` から削除しました。かわりに `languageHandler.LOCALE` のメンバーを使います。 (#12753)
- NVDA が使用するフックライブラリーは Minhook から Microsoft Detours に変わりました。これは主にディスプレイモデルのために使われています。 (#12964)
- `winVersion.WIN10_RELEASE_NAME_TO_BUILDS` を削除しました。 (#13211)
- SCons はシステムの論理プロセッサ数と同じ数のジョブでビルドをすると警告を行います。 このときマルチコアシステムでのビルド時間は非常に遅くなります。 (#13226, #13371)
- `characterProcessing.SYMLVL_*` 定数を削除しました。かわりに `characterProcessing.SymbolLevel.*` を使います。 (#13248)
- addonHandler から `loadState` および `saveState` を削除しました。かわりに `addonHandler.state.load` および `addonHandler.state.save` を使います。 (#13245)
- NVDAHelper の UWP/OneCore 関連の実装を C++/CX から C++/Winrt に移行しました。 (#10662)
- `DictionaryDialog` を使うときにはサブクラスが必須となりました。 (#13268)
- `config.RUN_REGKEY`, `config.NVDA_REGKEY` は 2023 年に廃止される予定です。かわりに `config.RegistryKey.RUN`, `config.RegistryKey.NVDA` を使います。 (#13242)
- `easeOfAccess.ROOT_KEY`, `easeOfAccess.APP_KEY_PATH` は 2023 年に廃止される予定です。かわりに `easeOfAccess.RegistryKey.ROOT`, `easeOfAccess.RegistryKey.APP` を使います。 (#13242)
- `easeOfAccess.APP_KEY_NAME` は 2023 年に廃止・削除される予定です。 (#13242)
- `DictionaryDialog` および `DictionaryEntryDialog` は `gui.settingsDialogs` から `gui.speechDict` に移動しました。 (#13294)
- IAccessible2 relations は IAccessible2 objects の developer info に表示されるようになりました。 (#13315)
- `languageHandler.windowsPrimaryLCIDsToLocaleNames` を削除しました。かわりに `languageHandler.windowsLCIDToLocaleName` または `winKernel.LCIDToLocaleName` を使います。 (#13342)
- UIA オブジェクトの `UIAAutomationId` プロパティの使用を推奨します。 `cachedAutomationId` は非推奨です。 (#13125, #11447)
  - `cachedAutomationId` は要素から直接取得した場合は利用できます。
- `NVDAObjects.window.scintilla.CharacterRangeStruct` は `NVDAObjects.window.scintilla.Scintilla.CharacterRangeStruct` に移動しました。 (#13364)
- ブール型の値 `gui.isInMessageBox` を削除しました。かわりに関数 `gui.message.isModalMessageBoxActive` を使います。 (#12984, #13376)
- `controlTypes` は複数のサブモジュールに分割されました。 (#12510, #13588)
  - `ROLE_*` および `STATE_*` はそれぞれ `Role.*` および `State.*` になりました。
  - 以下は廃止されていませんが非推奨となりました:
    - `ROLE_*` および `STATE_*` は非推奨です。それぞれ `Role.*` および `State.*` を使います。
    - `roleLabels`, `stateLabels` および `negativeStateLabels` は非推奨です。例えば `roleLabels[ROLE_*]` のような場合は `Role.*.displayString` や `State.*.negativeDisplayString` を使います。
    - `processPositiveStates` および `processNegativeStates` は非推奨です。`processAndLabelStates` を使います。
- Excel セルの状態の定数 (`NVSTATE_*`) は `NvCellState` 列挙型の値になりました。`NVDAObjects/window/excel.py` の列挙型 `NvCellState` は _nvCellStatesToStates 経由で `controlTypes.State` にマッピングされます。 (#13465)
- `EXCEL_CELLINFO` 構造体メンバー `state` は `nvCellStates` になりました。
- `mathPres.ensureInit` を削除しました。 MathPlayer は NVDA の起動時に初期化されます。 (#13486)

## 2021.3.5

これは、いくつかのセキュリティ上の問題を修正するためのマイナーリリースです。 セキュリティ問題を info@nvaccess.org に責任を持って開示してください。

### セキュリティ修正

- セキュリティアドバイザリ `GHSA-xc5m-v23f-pgr7` への対処
  - NVDA のセキュアモードで句読点/記号読み辞書設定ダイアログが無効になりました。

## 2021.3.4

これは、いくつかのセキュリティ上の問題を修正するためのマイナーリリースです。 セキュリティ問題を info@nvaccess.org に責任を持って開示してください。

### セキュリティ修正

- セキュリティアドバイザリ `GHSA-354r-wr4v-cx28` への対処 (#13488)
  - NVDA のセキュアモードでデバッグログを有効にして NVDA を再起動できなくなりました。
  - NVDA のセキュアモードで NVDA を更新できなくなりました。
- セキュリティアドバイザリ `GHSA-wg65-7r23-h6p9` への対処 (#13489)
  - NVDA のセキュアモードで入力ジェスチャーのダイアログが無効になりました。
  - NVDA のセキュアモードで既定、一時、音声の読み上げ辞書ダイアログが無効になりました。
- セキュリティアドバイザリ `GHSA-mvc8-5rv9-w3hx` への対処 (#13487)
  - NVDA のセキュアモードで wx GUI 検査ツールが無効になりました。

## 2021.3.3

このリリースは 2021.3.2 と同じです。 NVDA 2021.3.2 にはバグがあり、NVDA 自身を 2021.3.1 と誤って識別していました。 このリリースは、NVDA 自身を 2021.3.3 として正しく識別します。

## 2021.3.2

これは、いくつかのセキュリティ上の問題を修正するためのマイナーリリースです。 セキュリティ問題を info@nvaccess.org に責任を持って開示してください。

### バグ修正

- セキュリティ修正: オブジェクトナビゲーションで Windows 10 および 11 のロック画面の外に移動できなくなりました。 (#13328)
- セキュリティ修正: NVDA のセキュアモードで、アドオンマネージャーのダイアログが無効になりました。 (#13059)
- セキュリティ修正: NVDA のセキュアモードで、NVDA のコンテキストヘルプが無効になりました。 (#13353)

## 2021.3.1

### 変更点

- 従来の点字ディスプレイドライバーが利用できる場合には、新しい HID 点字仕様のドライバーよりも優先されるようになりました。 (#13153)

### バグ修正

- 点字ディスプレイでランドマークの省略表記が使われていなかった不具合を修正しました。 (#13158)
- Humanware Brailliant および APH Mantis Q40 点字ディスプレイを Bluetooth 接続する場合に、点字ディスプレイの自動検出に失敗していた問題を修正しました。 (#13153)

## 2021.3

このリリースでは新しい HID 点字仕様をサポートしました。 この仕様の目的は点字ディスプレイの標準化とドライバーの共通化です。 eSpeak-NG と LibLouis も更新されました。ロシア語とシヴェンダ語の点字テーブルが追加されています。 設定ダイアログの「高度な設定」に「ログ出力したエラーを音で報告」が追加されました。 Microsoft Word で「すべて読み上げ」を行う場合にドキュメントが適切にスクロールされるようになりました。 Microsoft Office の UI オートメーション対応でさまざまな改善が行われました。 例えば Outlook でメッセージのレイアウトテーブルを無視する処理が改善されています。

重要な注意事項:

セキュリティ証明書の変更の影響で NVDA が更新をチェックするときに一部のユーザーの環境でエラーが発生するようになりました。 NVDA 2021.3 では Windows のセキュリティ証明書を更新できなかった不具合が修正されました。これにより、今後このエラーは発生しなくなります。 この問題の影響を受けたユーザーは NVDA 2021.3 を手動でダウンロードして更新する必要があります。

### 新機能

- セルの罫線の報告を切り替える入力ジェスチャーが追加されました。 (#10408)
- 点字ディスプレイの標準化を目的とした新しい HID 点字仕様をサポートしました。 (#12523)
  - この仕様をサポートするデバイスを NVDA は自動検出します。
  - NVDA の実装に関する技術的な詳細は https://github.com/nvaccess/nvda/blob/master/devDocs/hidBrailleTechnicalNotes.md を参照してください。
- VisioBraille Vario 4 点字ディスプレイに対応しました。 (#12607)
- 設定ダイアログの「高度な設定」に「ログ出力したエラーを音で報告」が追加されました。 (#12672)
- Windows 10 以降で「設定」アプリや Microsoft Store アプリの検索にキーワードを入力するときに、提案される候補の数を報告するようになりました。 (#7330, #12758, #12790)
- PowerShell の Out-GridView コマンドレットを使用して作成されたグリッドコントロールで、テーブルナビゲーションが可能になりました。 (#12928)

### 変更点

- Espeak-ng を 1.51-dev commit `74068b91bcd578bd7030a7a6cde2085114b79b44` に更新しました。 (#12665)
- インストール済みの OneCore 音声が NVDA の優先言語に対応していない場合に NVDA の既定の音声として eSpeak を使用するようになりました。 (#10451)
- OneCore 音声が連続して起動に失敗する場合に eSpeak を代替の音声エンジンとして使用するようになりました。 (#11544)
- `NVDA+end` でステータスバーの報告を行うときに、レビューカーソルがステータスバーに移動しないようになりました。 この機能をひきつづき使用したい場合は、「入力ジェスチャー」ダイアログの「オブジェクトナビゲーション」カテゴリの適切なスクリプトにジェスチャーを割り当ててください。 (#8600)
- 設定ダイアログがすでに開いているときに、さらに設定ダイアログを開く操作を行うと、エラーとせず、開いている設定ダイアログにフォーカスを移動するようになりました。 (#5383)
- liblouis 点訳エンジンをバージョン 3.19.0 に更新しました。 (#12810)
  - 新しい点字テーブル: ロシア語1級, シヴェンダ語1級, シヴェンダ語2級
- 音声および点字ディスプレイで「マーク」または "mrkd" と報告していた情報が「ハイライト」または "hlght" と報告されるようになりました。(#12892)
- 確認やキャンセルなどアクションを待つダイアログを表示している間に NVDA の終了を行わないようになりました。 (#12984)

### バグ修正

- ウォッチドッグ処理が行われている場合に、キーボード修飾キー(ControlやInsertなど)が押されたことをより確実に処理できるようになりました。 (#12609)
- クリーンインストールされた Windows など、特定のシステムにおいて、NVDA の更新をチェックすることが再び可能になりました。 (#12729)
- Microsoft Word で UI オートメーションを使用している場合、NVDA は表の空白セルを正しく報告するようになりました。 (#11043)
- Web 上の ARIA データグリッドセルにおいて、Esc キーが押されたときにグリッドに渡されるようになりました。以前は無条件にフォーカスモードがオフになっていました。 (#12413)
- Chrome でテーブルの見出しセルを読み取る場合、列の名前が2回報告されていた問題が修正されました。 (#10840)
- UIA スライダーに値のテキスト表現が定義されている場合に、不適切に数値を報告しなくなりました。(UIA ValuePattern が RangeValuePattern よりも優先されるようになりました。) (#12724)
- NVDA は UIA スライダーの値を常にパーセントの値として処理していた問題が修正されました。
- Microsoft Excel で UI オートメーションを使用している場合に、Windows 11 でセルの位置を正しく報告しなかった問題が修正されました。 (#12782)
- NVDA は無効な Python ロケールを設定することがあった問題が修正されました。 (#12753)
- 無効にしたアドオンをアンインストールしてから再インストールすると、再び有効になるように改善されました。 (#12792)
- アドオンの更新と削除において、アドオンのフォルダ名が変更された場合やファイルをオープンしていた場合に起きるバグが修正されました。 (#12792, #12629)
- Microsoft Excel スプレッドシート・コントロールで UI オートメーションを使用している場合に、NVDA がセルが1つ選択されたことを冗長に報告していた問題を修正しました。 (#12530)
- LibreOffice Writer の確認ダイアログなどにおけるテキストの報告が改善されました。 (#11687)
- Microsoft Word のブラウズモードで UI オートメーションを使用して読み取りや移動を行う場合に、ドキュメントが常に適切にスクロールされるようになりました。これにより、現在のブラウズモードの位置が画面に表示されない、あるいは、フォーカスモードでのテキストカーソルの位置がブラウズモードの現在の位置に正しく反映されない、といった問題が改善されました。 (#9611)
- Microsoft Word で UI オートメーションを使用して「すべて読み上げ」を実行すると、ドキュメントが自動的にスクロールされ、テキストカーソルの位置が正しく更新されるようになりました。 (#9611)
- Outlook で UI オートメーションを使用して電子メールのメッセージを表示している場合、特定のテーブルをレイアウトテーブルと判断するようになりました。つまり、既定の設定ではレイアウト目的と判断されたテーブルを報告しなくなります。 (#11430)
- オーディオデバイスを変更するときに、まれに起きていたエラーが修正されました。 (#12620)
- エディットフィールドにおいて、非縮約の点字テーブルを使用した文字入力がより確実に動作するようになりました。 (#12667)
- Windows システムトレイのカレンダーでナビゲーションする場合の曜日の報告が改善されました。 (#12757)
- Microsoft Word で台湾 Microsoft Quick などの中国語入力メソッドを使用する場合、点字ディスプレイを前後にスクロールするとテキストカーソルが不適切に制御されていた問題を修正しました。 (#12855)
- Microsoft Word ドキュメントで UI オートメーションを使用するときに、文を単位とするのナビゲーション(alt+下矢印/alt+上矢印)ができなくなっていた問題を修正しました。 (#9254)
- Microsoft Word ドキュメントで UI オートメーションを使用するときに、段落のインデントが報告されるようになりました。 (#12899)
- Microsoft Word ドキュメントで UI オートメーションを使用するときに、変更の追跡およびその他のコマンドがローカライズされていても報告されるようになりました。 (#12904)
- description が content または name と一致する場合に、点字や音声が重複していた問題を修正しました。 (#12888)
- Microsoft Word ドキュメントで UI オートメーションを使用するときに、入力時にスペルミスのサウンドをより正確に再生できるようになりました。 (#12161)
- Windows 11 において Alt+Tab キーを押してアプリを切り替えるときに「ペイン」を報告しないようになりました。 (#12648)
- Microsoft Word ドキュメントで UI オートメーションを使用しないときに、新しいコメントのペインの操作に対応しました。このペインとドキュメントの間を移動するには alt+f12 キーを押します。 (#12982)

### 開発者向けの変更

- NVDA をビルドするには Visual Studio 2019 16.10.4 以降が必要になりました。 本番ビルド環境に揃えるためには、Visual Studio を 現在 AppVeyor が使用しているバージョン に合わせて更新してください。 (#12728)
- `NVDAObjects.UIA.winConsoleUIA.WinConsoleUIA.isImprovedTextRangeAvailable` は廃止予定です。NVDA 2022.1 で削除されます。 (#12660)
  - `apiLevel` を使用してください(詳細は `_UIAConstants.WinConsoleAPILevel` のコメントを参照してください)。
- ディスプレイモデルを介して GDI アプリから取得したテキスト背景色の透過性がアドオンやアプリモジュールで利用できるようになりました。 (#12658)
- `LOCALE_SLANGUAGE`, `LOCALE_SLIST` および `LOCALE_SLANGDISPLAYNAME` は languageHandler の `LOCALE` 列挙値に変更されました。移動しました。 従来のモジュールレベルの値はまだ利用できますが NVDA 2022.1 で廃止され、削除される予定です。 (#12753)
- 関数 `addonHandler.loadState` および `addonHandler.saveState` は NVDA 2022.1 に対応するために `addonHandler.state.save` および `addonHandler.state.load` に移行する必要があります。 (#12792)
- システムテストで点字出力の確認ができるようになりました。 (#12917)

## 2021.2

このリリースでは Windows 11 への暫定的な対応を行いました。 Windows 11 はまだリリースされていませんが、NVDA 2021.2 は Windows 11 のプレビュー版でテストされています。 スクリーンカーテンの重要な更新を行っています。後述の「重要な注意事項」を参照してください。 COM 登録修復ツールが改良され、NVDA の実行時に起きる問題を、さらに解決できるようになりました。 音声エンジン eSpeak-NG や点訳エンジン LibLouis も更新されました。 点字ディスプレイや Windows ターミナル、電卓、絵文字パネル、クリップボード履歴への対応など、さまざまなバグ修正や改善も行われました。

### 重要な注意事項

最新バージョンの Windows で変更された Windows 拡大鏡 API に対応するためにスクリーンカーテンが更新されました。 Windows 10 21H2(10.0.19044)以降でスクリーンカーテンを有効するには NVDA 2021.2 以降を使用してください。 この更新には Windows 10 Insider と Windows 11 への対応が含まれます。 セキュリティ上の理由から、新しいバージョンの Windows を使用する場合は、スクリーンカーテンによって画面が完全に黒くなることを視覚的に確認してください。

### 新機能

- ARIA アノテーション(注釈)への実験的な対応:
  - オブジェクトに詳細情報 (aria-details) がある場合に、詳細情報のまとめを読み上げるコマンドが追加されました。(#12364)
  - オブジェクトに詳細情報があるかどうかをブラウズモードで報告するオプションが「高度な設定」に追加されました。 (#12439)
- Windows 10 バージョン 1909 以降(Windows 11 を含む)において、ファイルエクスプローラーで検索を実行するときに NVDA は候補数を報告するようになりました。 (#10341, #12628)
- Microsoft Word において、インデントとぶら下げインデントのショートカットキーが押されたときに結果を NVDA が報告するようになりました。 (#6269)

### 変更点

- Espeak-ng を 1.51-dev commit `ab11439b18238b7a08b965d1d5a6ef31cbb05cbb` に更新しました。 (#12449, #12202, #12280, #12568)
- NVDA 設定ダイアログ「書式とドキュメント情報」で「記事」の報告が有効になっている場合、NVDA はコンテンツの後に「記事」と報告します。 (#11103)
- liblouis 点訳エンジンを 3.18.0 に更新しました。 (#12526)
  - 新しい点字テーブル: ブルガリア語1級点字、ビルマ語1級点字、ビルマ語2級点字、カザフ語1級点字、クメール語1級点字、北クルド語0級点字、セペディ語1級点字、セペディ語2級点字、セソト語1級点字、セソト語2級点字、セツワナ語1級点字、セツワナ語2級点字、タタル語1級点字、ベトナム語0級点字、ベトナム語2級点字、南ベトナム語1級点字、コサ語1級点字、コサ語2級点字、ヤクート語1級点字、ズールー語1級点字、ズールー語2級点字
- 「Windows 10 文字認識」は「Windows 文字認識」になりました。(#12690)

### バグ修正

- NVDA は Windows 10 電卓の計算式を点字ディスプレイに表示できるようになりました。 (#12268)
- Windows 10 バージョン 1607 以降のターミナルアプリにおいて、行の途中で文字を挿入または削除したときに、テキストカーソルの右側の文字が報告されていた問題を修正しました。 (#3200)
  - 既定の設定でディフマッチパッチ(Diff Match Patch)が有効になりました。(#12485)
- アラビア語2級、スペイン語2級、ウルドゥ語2級、中国語（中国、北京語）2級の各点字テーブルで、文字入力が利用可能になりました。 (#12541)
- COM 登録修復ツールが、特に64ビット Windows において、より多くの問題を解決できるようになりました。 (#12560)
- 日本テレソフトの清華ノートテーカーにおいてボタン操作が改善されました。 (#12598)
- Windows 絵文字パネルとクリップボード履歴の報告が改善されました。 (#11485)
- ベンガル文字の文字説明を更新しました。 (#12502)
- NVDA の新しいプロセスが開始するときに、以前のプロセスが安全に終了するようになりました。 (#12605)
- Handy Tech 点字ディスプレイドライバーを設定ダイアログで再選択されたときに、エラーが発生しなくなりました。 (#12618)
- Windows バージョン 10.0.22000 およびそれ以降が Windows 10 ではなく Windows 11 として認識されるようになりました。 (#12626)
- バージョン 10.0.22000 までの Windows でスクリーンカーテンが動作するようになりました。 (#12684)
- 入力ジェスチャーのフィルターを使用して結果が見つからなかった場合に、入力ジェスチャーの設定ダイアログが期待通りに動作していなかった問題を解決しました。 (#12673)
- サブメニューの最初のメニュー項目を読み上げないことがある問題を修正しました。 (#12624)

### 開発者向けの変更

- 定数 `characterProcessing.SYMLVL_*` は 2022.1 までに新しい定数 `SymbolLevel.*` に移行する必要があります。 (#11856, #12636)
- `controlTypes` はさまざまなサブモジュールに分割されました。廃止予定のシンボルは 2022.1 までに新しい記述方法に移行する必要があります。 (#12510)
  - `ROLE_*` および `STATE_*` の各定数は `Role.*` および `State.*` に移行する必要があります。
  - `roleLabels`, `stateLabels` および `negativeStateLabels` は廃止予定です。 `roleLabels[ROLE_*]` のような記述は `Role.*.displayString` または `State.*.negativeDisplayString` などに移行する必要があります。
  - `processPositiveStates` および `processNegativeStates` は廃止され削除される予定です。
- Windows 10 Version 1511 およびそれ以降（Insider Preview ビルドを含む）において、Windows レジストリから、現在有効な Windows 機能更新プログラムの名前を取得するようになりました。 (#12509)
- `winVersion.WIN10_RELEASE_NAME_TO_BUILDS` は 2022.1 で廃止される予定です。代替の値を設ける予定はありません。 (#12544)

## 2021.1

このリリースは Excel および Chromium ブラウザでの UI オートメーションを実験的にサポートしています。これはオプションです。 点字はいくつかの言語への対応について修正が行われました。また、点字ディスプレイでリンクを操作する方法が改善されました。 Unicode 共通ロケールデータリポジトリ、数学記号、点訳エンジンなどが更新されました。 Microsoft Office、Visual Studio、およびいくつかの言語に関する多くのバグ修正と改善が行われました。

注意:

- このリリースでは、既存のアドオンとの互換性が失われています。
- このリリースでは、Adobe Flash のサポートが廃止されました。

### 新機能

- Chromium ベースのブラウザ(Edgeなど)での UI オートメーションの初期サポート (#12025)
- UI オートメーションによる Microsoft Excel の実験的サポート(オプション)。Microsoft Excel ビルド 16.0.13522.10000 以上でのみ推奨されます。 (#12210)
- NVDA Python コンソールで出力のナビゲーションが容易になりました。 (#9784)
  - Alt+上矢印/下矢印は、前/次の出力結果にジャンプします。さらに Shift も同時に押すと選択できます。
  - Ctrl+L で出力ペインをクリアします。
- NVDA は Microsoft Outlook で予定に割り当てられたカテゴリがあれば、それを報告するようになりました。 (#11598)
- 日本テレソフトの点字ディスプレイ「清華ノートテイカー」に対応しました。 (#11514)

### 変更点

- ブラウズモードにおいて、コントロールの省略表記(例えばリンクは lnk など)で点字ディスプレイのタッチカーソルを使ってアクションの実行ができるようになりました。これはラベルのないチェックボックスなどを選択する場合に特に有効です。 (#7447)
- スクリーンカーテンが有効の場合に Windows 10 文字認識を実行できないことを NVDA が報告するようになりました。 (#11911)
- Unicode 共通ロケールデータリポジトリ (CLDR) をバージョン 39.0 に更新しました。 (#11943, #12314)
- 記号読み上げ辞書に数学記号を追加しました。 (#11467)
- ユーザーガイド、最新情報、コマンド一覧表のスタイルを更新しました。 (#12027)
- 画面レイアウトをサポートしていないアプリ（Microsoft Word など）で画面レイアウトに切り替えようとすると「サポートされていない入力」と報告されるようになりました。 (#7297)
- 高度な設定パネルの「失効したフォーカスイベントの読み上げを停止」は既定の設定で有効になりました。 (#10885)
  - このオプションを「しない」に設定すると無効になります。
  - Webアプリ(Gmailなど)において、フォーカスを速く移動する場合に、古い情報を報告していた問題が改善されました。
- liblouis 点訳エンジンを 3.17.0 に更新しました。 (#12137)
  - 新しい点訳テーブル: ベラルーシ語非縮約点字、ベラルーシ語コンピューター点字、ウルドゥ語1級点字、ウルドゥ語2級点字
- NVDA の Adobe Flash 対応を削除しました。Adobe が Flash 技術を非推奨としたためです。 (#11131)
- NVDA のウィンドウが開いていても NVDA を終了できるようになりました。NVDA を終了すると NVDA のウィンドウとダイアログはすべて閉じられます。 (#1740)
- スピーチビューアーを `Alt+F4` で閉じられるようになりました。また標準的な「閉じる」ボタンが追加され、GUI での操作が容易になりました。(#12330)
- 点字ビューアーに標準的な「閉じる」ボタンが追加され、GUI での操作が容易になりました。 (#12328)
- 要素リストのダイアログにおいて、種別のラジオボタンのラベルとの衝突を回避するために、一部の言語で「アクションの実行」ボタンのアクセラレーターキーが削除されました。使用可能な場合、このボタンはダイアログの既定のアクションであり、要素リスト自体で Enter キーを押すことでアクションを実行できます。 (#6167)

### バグ修正

- Outlook 2010 のメッセージ一覧が読めなくなっていた問題を修正しました。 (#12241)
- Windows 10 バージョン 1607 以降のターミナルで、行の途中にある文字を削除または挿入するときに、テキストカーソルの右側の文字を読み上げていた問題に対応しました。 (#3200)
  - これは実験的な修正です。有効にするには、NVDA の高度な設定の「差分アルゴリズム」で「ディフマッチパッチを許可」する必要があります。
- Microsoft Outlook においてメッセージ本文から件名のフィールドに Shift+Tab で移動したときに、不適切に距離を読み上げていた問題を修正しました。 (#10254)
- Python コンソールにおいて、空でない入力行の先頭へのインデント用のタブの挿入と、入力行の途中でのタブ補完が可能になりました。 (#11532)
- 画面レイアウトを使用しない場合に、フォーマット情報などブラウズ可能なメッセージで、不適切に空行が報告されていた問題を修正しました。 (#12004)
- Microsoft Word で UI オートメーションを有効にした場合に、コメントの読み上げが可能になりました。(#9285)
- Visual Studio を操作する場合の性能が向上しました。 (#12171)
- RTL（右から左）レイアウトを NVDA で扱う場合に、要素の欠落などグラフィックに関する不具合を修正しました。 (#8859)
- システムのロケールではなく NVDA の言語設定に基づいて GUI のレイアウト方向を判断するようになりました。 (#638)
  - RTL言語の既知の問題: ラベルやコントロールでクリップするグループの右の境界 (#12181)
- 「既定の言語」を選択している場合に Python ロケールは環境設定で選択された言語と一貫して一致するように設定されます。 (#12214)
- NVDAログビューアなどのリッチエディットコントロールにおいて TextInfo.getTextInChunks がフリーズする問題を修正しました。 (#11613)
- Windows 10 1803 および 1809 において、ロケール名にアンダースコアが含まれる言語(de_CHなど)で NVDA が使用できなくなっていた問題を修正しました。 (#12250)
- WordPad において、上付き文字や下付き文字の報告の設定が正しく動作するようになりました。 (#12262)
- ウェブページである場所がフォーカスされなくなり、同じ場所に新たにフォーカスが移動した場合に、NVDA が新たにフォーカスされたコンテンツを報告できなかった問題を修正しました。 (#12147)
- 書式とドキュメント情報で対応するオプションを有効にした場合に、Excel セル全体の打ち消し線、上付き文字および下付き文字の書式が報告されるようになりました。 (#12264)
- ポータブル版からのインストールにおいて、デフォルトのコピー先設定フォルダが空の場合に設定がコピーされる問題が修正されました。 (#12071, #12205)
- 「大文字の前にオオモジと読む」オプションが有効の場合に、アクセント記号や発音区別記号がついた一部の文字が誤って読み上げられていた問題を修正しました。 (#11948)
- SAPI4 音声エンジンのピッチ変更の不具合を修正しました。 (#12311)
- NVDA インストーラーがコマンドライン引数 `--minimal` を受け付けるようになりました。このとき起動音は再生されません。インストールされた場合やポータブル版の NVDA 実行ファイルについてユーザーガイドで説明された仕様と同じです。 (#12289)
- Microsoft Word または Outlook において、ブラウズモード設定で「レイアウト目的のテーブルを区別しない」が有効の場合に、テーブルの1文字ナビゲーションでレイアウトテーブルに移動できるようになりました。 (#11899)
- NVDA が特定の言語の絵文字を "↑↑↑" と報告していた問題を修正しました。 (#11963)
- Espeak が広東語と北京語を再びサポートしました。 (#10418)
- Chromium ベースの Microsoft Edge において、アドレスバーなどのテキストフィールドが、内容が空のときに報告されなかった問題を修正しました。 (#12474)
- 清華点字ディスプレイのドライバーを更新しました。 (#10787)

### 開発者向けの変更

- 注意: これはアドオン API 非互換のリリースです。アドオンは再テストとマニフェストの更新が必要です。
- NVDA のビルドシステムは、依存している Python パッケージを pip で取得し仮想環境に格納するようになりました。これはすべて透過的に行われます。
  - NVDA をビルドするには従来の方法で SCons を使用します。つまりリポジトリのルートで scons.bat を実行します。`py -m SCons` の実行はサポートされなくなり `scons.py` も削除されました。
  - ソースから NVDA を実行するには `source/nvda.pyw` のではなく、リポジトリのルートで `runnvda.bat` を使用する必要があります。`source/nvda.pyw` を実行すると、サポートされなくなったことを警告するメッセージボックスが表示されます。
  - ユニットテストを実行するには `rununittests.bat [<extra unittest discover options>]` を使います。
  - システムテストを実行するには `runsystemtests.bat [<extra robot options>]` を使います。
  - linting を行うには `runlint.bat <base branch>` を使います。
  - 詳細は readme.md を参照してください。
- 下記の Python パッケージの更新も行われました:
  - comtypes 1.1.8
  - pySerial 3.5
  - wxPython 4.1.1
  - Py2exe 0.10.1.0
- `LiveText._getTextLines` は削除されました。 (#11639)
  - かわりに、オブジェクト内のすべてのテキストの文字列を返す `_getText` をオーバーライドします。
- `LiveText` オブジェクトが文字単位で差分を計算できるようになりました。 (#11639)
  - オブジェクトの差分の処理を変更するには `diffAlgo` プロパティをオーバーライドします(詳細はdocstringを参照)。
- script デコレータを使用してスクリプトを定義する場合 'allowInSleepMode' ブール引数を指定して、スクリプトがスリープモードで使用可能かどうかを制御できます。 (#11979)
- config モジュールから以下の関数が削除されました。 (#11935)
  - canStartOnSecureScreens - かわりに config.isInstalledCopy を使用します。
  - hasUiAccess および execElevated - かわりに systemUtils モジュールを使用します。
  - getConfigDirs - かわりに globalVars.appArgs.configPath を使用します。
- モジュールレベルの REASON_* 定数が controlTypes から削除されました - かわりに controlTypes.OutputReason を使用します。 (#11969)
- REASON_QUICKNAV は browseMode から削除されました - かわりに controlTypes.OutputReason.QUICKNAV を使用します。 (#11969)
- `NVDAObject` (およびその派生) のプロパティ `isCurrent` は Enum クラス `controlTypes.IsCurrent` を返します。 (#11782)
  - `isCurrent` は Optional ではありません。つまり None を返さなくなりました。
  - オブジェクトが current でない場合は `controlTypes.IsCurrent.NO` を返します。
- `controlTypes.isCurrentLabels` のマッピングを削除しました。 (#11782)
  - かわりに `controlTypes.IsCurrent` enum 値の `displayString` プロパティを使います。例えば `controlTypes.IsCurrent.YES.displayString` です。
    - 例: `controlTypes.IsCurrent.YES.displayString`
- `winKernel.GetTimeFormat` が削除されました - かわりに `winKernel.GetTimeFormatEx` を使用します。 (#12139)
- `winKernel.GetDateFormat` が削除されました - かわりに `winKernel.GetDateFormatEx` を使用します。 (#12139)
- `gui.DriverSettingsMixin` が削除されました - かわりに `gui.AutoSettingsMixin` を使用します。 (#12144)
- `speech.getSpeechForSpelling` が削除されました - かわりに `speech.getSpellingSpeech` を使用します。 (#12145)
- speech モジュールから `import speech; speech.ExampleCommand()` または `import speech.manager; speech.manager.ExampleCommand()` のようにコマンドを直接インポートすることはできません - かわりに`from speech.commands import ExampleCommand` を使用します。 (#12126)
- `speakTextInfo` は reason が `SAYALL` の場合に `speakWithoutPauses` を使って音声を出力しません。かわりに `SayAllHandler` を使用します。 (#12150)
- `synthDriverHandler` モジュールから `globalCommands` および `gui.settingsDialogs` へのスターインポートは行われません - かわりに `from synthDriverHandler import synthFunctionExample` を使います。 (#12172)
- controlTypes から `ROLE_EQUATION` が削除されました - かわりに `ROLE_MATH` を使います。 (#12164)
- `autoSettingsUtils.driverSetting` で定義されたクラスが `driverHandler` から削除されました - かわりに `autoSettingsUtils.driverSetting` から直接インポートします。 (#12168)
- `autoSettingsUtils.utils` で定義されたクラスが `driverHandler` から削除されました - かわりに `autoSettingsUtils.utils` から直接インポートします。 (#12168)
- `contentRecog.BaseContentRecogTextInfo` を継承しない `TextInfo` はサポートされなくなりました。 (#12157)
- `speech.speakWithoutPauses` が削除されました - かわりに `speech.speechWithoutPauses.SpeechWithoutPauses(speakFunc=speech.speak).speakWithoutPauses` を使用します。 (#12195, #12251)
- `speech.re_last_pause` が削除されました - かわりに `speech.speechWithoutPauses.SpeechWithoutPauses.re_last_pause` を使用します。 (#12195, #12251)
- `WelcomeDialog`, `LauncherDialog`, `AskAllowUsageStatsDialog` は `gui.startupDialogs` に移動しました。 (#12105)
- `getDocFilePath` は `gui` モジュールから `documentationUtils` モジュールに移動しました。 (#12105)
- `gui.accPropServer` モジュール、 `AccPropertyOverride` クラス、および `ListCtrlAccPropServer` クラスは gui.nvdaControls モジュールから削除されました。 wx はアクセシビリティプロパティのオーバーライドをネイティブサポートします。 wx のコントロールのアクセシビリティを改善するには wx.Accessible を実装します。 (#12215)
- `source/comInterfaces/` に含まれていたファイルが IDE などの開発者ツールから利用しやすくなりました。 (#12201)
- Windows バージョンを取得・比較するための便利なメソッドと型が winVersion モジュールに追加されました。 (#11909)
  - winVersion モジュールの isWin10 関数が削除されました。
  - クラス winVersion.WinVersion は比較やソートに対応しており Windows バージョン情報をカプセル化しています。
  - 関数 winVersion.getWinVer が追加されました。これは現在実行中の OS の情報を winVersion.WinVersion として取得できます。
  - 既知の Windows リリースに関する定数が追加されました。詳細は winVersion.WIN* を参照してください。
- IAccessibleHandler は IAccessible と IA2 COM インタフェースをスターインポートしません - これらを使用するには直接インポートします。 (#12232)
- TextInfo オブジェクトは start と end の各プロパティを持ちます。これらは < <= == != >= > などの演算子で数学的に比較できます。 (#11613)
  - 例 ti1.start <= ti2.end
  - これは ti1.compareEndPoints(ti2,"startToEnd") <= 0 よりも望ましい記法です。
- TextInfo の start と end の各プロパティは相互に代入もできます。 (#11613)
  - 例 ti1.start = ti2.end
  - これは ti1.SetEndPoint(ti2,"startToEnd") よりも望ましい記法です。
- `wx.CENTRE_ON_SCREEN` および `wx.CENTER_ON_SCREEN` が削除されました。かわりに `self.CentreOnScreen()` を使います。 (#12309)
- `easeOfAccess.isSupported` が削除されました。現在の NVDA はこの値が `True` となるバージョンの Windows だけをサポートしています。 (#12222)
- `sayAllHandler` が `speech.sayAll` に移動しました。 (#12251)
  - `speech.sayAll.SayAllHandler` が公開する関数は `stop`, `isRunning`, `readObjects`, `readText`, `lastSayAllMode` です。
  - `SayAllHandler.stop` は `SayAllHandler` `SpeechWithoutPauses` の各インスタンスをリセットします。
  - `CURSOR_REVIEW` と `CURSOR_CARET` はそれぞれ `CURSOR.REVIEW` と `CURSOR.CARET` に変更されました。
- `speech.SpeechWithoutPauses` は `speech.speechWithoutPauses.SpeechWithoutPauses` に移動しました。 (#12251)
- `speech.curWordChars` は `speech._curWordChars` に変更されました。 (#12395)
- 以下は `speech` モジュールから削除され `speech.getState()` から参照できる読み取り専用の値になりました。 (#12395)
  - speechMode
  - speechMode_beeps_ms
  - beenCanceled
  - isPaused
- `speech.speechMode` を変更するには `speech.setSpeechMode` を使います。 (#12395)
- 下記は `speech.SpeechMode` に移動しました。 (#12395)
  - `speech.speechMode_off` の移動先は `speech.SpeechMode.off`
  - `speech.speechMode_beeps` の移動先は `speech.SpeechMode.beeps`
  - `speech.speechMode_talk` の移動先は `speech.SpeechMode.talk`
- `IAccessibleHandler.IAccessibleObjectIdentifierType` は `IAccessibleHandler.types.IAccessibleObjectIdentifierType` に移動しました。 (#12367)
- `NVDAObjects.UIA.WinConsoleUIA` において以下が変更されました。 (#12094)
  - `NVDAObjects.UIA.winConsoleUIA.is21H1Plus` の新しい名前は `NVDAObjects.UIA.winConsoleUIA.isImprovedTextRangeAvailable`.
  - `NVDAObjects.UIA.winConsoleUIA.consoleUIATextInfo` は大文字で始まるクラス名に変更されました。
  - `NVDAObjects.UIA.winConsoleUIA.consoleUIATextInfoPre21H1` の新しい名前は `NVDAObjects.UIA.winConsoleUIA.ConsoleUIATextInfoWorkaroundEndInclusive`
    - テキスト範囲において両端点を含む（microsoft/terminal PR 4018 以前の）場合への対策
    - `expand`, `collapse`, `compareEndPoints`, `setEndPoint` などへの対応

## 2020.4

このリリースでは、新しい中国語入力メソッドへの対応や点訳エンジン Liblouis の更新などが行われました。また要素リスト(NVDA+f7)がフォーカスモードで動作するようになりました。 NVDA ダイアログで F1 キーを押したときに、コンテキスト依存のヘルプが利用できるようになりました。 句読点/記号読み辞書、読み上げ辞書、点字メッセージ、流し読みなどの機能が改良されました。 Mail, Outlook, Teams, Visual Studio, Azure Data Studio, Foobar2000 などへの対応でバグ修正や改良が行われました。 Google Docs への対応、 ARIA 対応など、Web 関連の改良もあります。 その他、多くの重要なバグ修正と改善が行われました。

### 新機能

- NVDAダイアログにおいてF1キーを押すと、ヘルプファイルの関連するセクションを表示するようになりました。 (#7757)
- Microsoft SQL Server Management Studio と Visual Studio 2017 およびそれ以降において、自動入力候補(オートコンプリート, IntelliSense) に対応しました。 (#7504)
- 記号読み上げ辞書: 複雑な記号定義においてグループ化が利用できます。この場合「読み方」でグループ参照を記述できます。これにより記号読み上げ辞書がよりシンプルで強力なものになります。 (#11107)
- 読み上げ辞書で正規表現に誤りがある場合に報告されるようになりました。 (#11407)
  - 具体的にはグループ化のエラーが検出されるようになりました。
- Windows 10 の新しい中国語繁体字クイック入力とピンイン入力に対応しました。 (#11562)
- 1文字ナビゲーションでタブヘッダーがフォームフィールドとみなされる（Fキーでジャンプできる）ようになりました。 (#10432)
- マークされた(ハイライトされた)テキストの報告を切り替えるコマンドを追加しました。(#11807)
- NVDAをサイレントインストールする場合に、事前に用意した設定フォルダーを現在のユーザーアカウントに自動的にコピーできるようになりました。インストーラーのコマンドライン引数 `--copy-portable-config` を使用します。 (#9676)
- 点字ビューアーでマウスカーソルを使って点字セルのタッチカーソルを操作できるようになりました。(#11804)
- NVDA が USB と Bluetooth の両方で点字ディスプレイ Humanware Brailliant BI 40Xと20Xのデバイスを自動検出するようになりました。 (#11819)

### 変更点

- liblouis 点訳エンジンをバージョン 3.16.1 に更新しました:
  - 複数の不具合に対応しました
  - バシキール語1級点字を追加しました
  - コプト語8点コンピューター点字を追加しました
  - ロシア語非縮約点字とロシア語非縮約点字（詳細）を追加しました
  - アフリカーンス語2級点字を追加しました
  - ロシア語1級点字を削除しました
- ブラウズモードで流し読みを許可する設定で「すべて読み上げ」を使用した場合に、「次を検索」「前を検索」を操作してもジャンプした場所から読み上げを続けるようになりました。 (#11563)
- HIMS 点字ディスプレイにおいて F3 キーの割り当てを「1の点+4の点+8の点+スペース」に変更しました。 (#11710)
- 点字の「メッセージの表示」「メッセージの表示終了待ち時間」の設定方法を改善しました。 (#11602)
- Webブラウザーなどのブラウズモードをサポートするアプリで、フォーカスモードのときに要素リスト(NVDA+F7)を使用できるようになりました。 (#10453)
- 動的コンテンツの変化を報告しない場合に、ARIA ライブリージョンの更新の報告を行わないようになりました。 (#9077)
- NVDA+F10 を2回押した場合など NVDA が「クリップボードにコピーしました」と報告するときに、コピーしたテキストをメッセージの前ではなくメッセージの後に報告するようになりました。 (#6757)
- Windows の「ディスクの管理」でのグラフィカルなテーブルへの対応を改善しました。 (#10048)
- NVDA のウィンドウでコントロールが無効の場合に、そのコントロールのラベルも無効になる（グレーアウトする）ようになりました。 (#11809)
- CLDRの絵文字アノテーションをバージョン38に更新しました。 (#11817)
- NVDA 内蔵の「フォーカスハイライト」機能の名前を「ビジュアルハイライト」に変更しました。 (#11700)

### バグ修正

- Fast Log Entry アプリにおいて、エディットフィールドで NVDA が正しく動作しなかった不具合を修正しました。 (#8996)
- Foobar2000 において、合計時間がない（例えばライブストリームを再生している）場合に、経過時間を報告するようになりました。 (#11337)
- Webページの編集可能なコンテンツで、要素の aria-roledescription 属性を NVDA が使用するようになりました。 (#11607)
- Google Docs や Google Chrome で編集可能なコンテンツにおいて、リストの行ごとに「リスト」と報告していた不具合を修正しました。 (#7562)
- Web上の編集可能なコンテンツで、あるリスト項目から別のリスト項目へ、矢印キーで文字単位または単語単位の移動を行うときに、新しいリスト項目に移動したことが報告されるようになりました。 (#11569)
- Google DocsなどのWeb上の編集可能なコンテンツにおいて、リスト項目の最後にあるリンクの末尾にテキストカーソルがある場合に、行の読み上げを正しく行うようになりました。 (#11606)
- Windows 7 において、デスクトップからスタートメニューを開いたり閉じたりした場合に、フォーカスが正しく設定されるようになりました。(#10567)
- 「失効したフォーカス イベントの読み上げを停止」が有効な場合に、Firefoxでタブを切り替えた際にタブのタイトルが報告されなかった不具合を修正しました。 (#11397)
- NVDA で SAPI5 Ivona 音声を使う場合に、リストの中で文字を入力した後にリストの項目の報告ができなかった不具合を修正しました。 (#11651)
- Windows 10 Mail 16005.13110 以降でメールを読むときにブラウズモードが使えなかった不具合を修正しました。(#11439)
- harposoftware.com の SAPI5 Ivona 音声を使う場合に、NVDAの設定の保存、音声エンジンの切り替え、再起動などで起きていた不具合を修正しました。 (#11650)
- HIMS点字ディスプレイの点字キーボードからコンピューター点字で数字の6を入力できなかった不具合を修正しました。 (#11710)
- Azure Data Studio 対応において性能を大幅に改善しました。(#11533, #11715)
- 「失効したフォーカス イベントの読み上げを停止」が有効な場合に、NVDA の検索ダイアログのタイトルが報告されなかった不具合を修正しました。 (#11632)
- PC を起動した直後に Microsoft Edge にフォーカスが移動すると NVDA がフリーズしていた不具合を修正しました。(#11576)
- Microsoft Edge でコンテクストメニューを閉じたあとでブラウズモードが使えなくなり、Tab キーを押してフォーカスを移動するなどして回避する必要があった不具合を修正しました。 (#11202)
- NVDA が Tortoise SVN などの 64 ビットアプリ内のリストビューの項目を読み上げできなかった不具合を修正しました。 (#8175)
- Firefox および Chrome のブラウズモードにおいて、ARIA ツリーグリッドが通常のテーブルのように扱われるようになりました。 (#9715)
- NVDA+Shift+F3 の「前を検索」で前方に向かう検索を開始できるようになりました。 (#11770)
- NVDA スクリプトが2回実行される間に関連のないキーが押された場合には、同じコマンドを繰り返したものとして扱わないようになりました。 (#11388)
- NVDA の「書式とドキュメント情報」の設定で「強調の報告」をオフにしても Internet Explorer の strong タグや em タグが報告されていた不具合を修正しました。 (#11808)
- Excel で矢印キーを使ってセルを移動するときに、数秒間のフリーズが発生することがあった不具合を修正しました。(#11818)
- Microsoft Teams バージョン 1.3.00.28xxx において、NVDA が不適切にメニューにフォーカスを移動してしまい、チャットやTeamsチャンネルのメッセージを読み取れなかった不具合を修正しました。 (#11821)
- Google Chrome において、スペルミスと文法ミスの両方が同時にマークされたテキストを NVDA が適切に報告するようになりました。(#11787)
- Outlook をフランス語環境で使用している場合に「すべてに返信」のショートカット(Ctrl+Shift+R)が使用できなかった不具合を修正しました。 (#11196)
- Visual Studio において、現在選択されている IntelliSense 項目に追加の詳細を提供する IntelliSense ツールのヒントの報告が1回だけ行われるようになりました。 (#11611)
- Windows 10 電卓において、NVDAの「入力文字の読み上げ」が無効の場合に、計算の進捗を報告できなかった不具合を修正しました。 (#9428)
- アメリカ英語2級点字とコンピューター点字(NABCC)を使用している場合に、点字ディスプレイにURLのような特定の文字列が表示されるとNVDAがクラッシュしていた不具合を修正しました。 (#11754)
- Excel においてフォーカスされたセルの書式情報を NVDA+F で報告できなかった不具合を修正しました。 (#11914)
- Papenmeier 点字ディスプレイの QWERTY 入力において、動作しない、あるいは NVDA がランダムにフリーズする不具合を修正しました。 (#11944)

### 開発者向けの変更

- システムテストにおいて spy.emulateKeyPress を使用してキーイベントを送信できるようになりました。これはNVDA独自のキー名に準拠したキー識別子を受け取ります。また、デフォルトではアクションが実行されるまで処理はブロックされます。 (#11581)
- カレントディレクトリがNVDAアプリのディレクトリでなくてもNVDAが動作するようになりました。 (#6491)
- NVDAオブジェクトの liveRegionPoliteness プロパティを使用してライブリージョンの aria live politeness 設定を確認できるようになりました。 (#11596)
- Outlook ドキュメントとWord ドキュメントで別々のジェスチャーを定義できるようになりました。 (#11196)

## 2020.3

このリリースでは、特に Microsoft Office アプリ対応の安定性と性能が改善されました。また、タッチ操作サポートや画像の報告を切り替える設定が追加されました。 ブラウザーにおいてマーク(テキストのハイライト)を報告できるようになりました。また、新しいドイツ語の点字テーブルが追加されました。

### 新機能

- NVDAの「書式とドキュメント情報」の設定で、画像の報告を切り替えることができます。このオプションを無効にしても、画像の代替テキストは読み上げられます。(#4837)
- NVDAの「タッチ操作サポート」を切り替えることができます。NVDAの設定「タッチ操作」カテゴリに「タッチ操作サポートの有効化」が追加されました。この設定の既定の入力ジェスチャーは NVDA+Ctrl+Alt+T です。(#9682)
- 新しいドイツ語の点字テーブルを追加しました。(#11268)
- NVDAが読み取り専用テキストのUIAコントロールを検出するようになりました。(#10494)
- すべてのWebブラウザーで、マーク(テキストのハイライト)が存在する場合に、音声と点字の両方で報告されます。(#11436)
  - 「書式とドキュメント情報」の設定「マーク(テキストのハイライト)」オプションで有効と無効を切り替えることができます。
- NVDA の「入力ジェスチャー」ダイアログから、システムキーボードのキー入力のエミュレートを追加できます。(#6060)
  - 追加するには「システムキーボードのキー入力エミュレート」カテゴリを選択して「追加」ボタンを押します。
- ジョイスティック付きの Handy Tech Active Braille 点字ディスプレイに対応しました。(#11655)
- 「可能な場合に自動的にフォーカスを移動」が無効の場合にも「テキストカーソルの移動を追跡する自動フォーカスモード」が利用できるようになりました。(#11663)

### 変更点

- 「書式とドキュメント情報の報告」(NVDA+F)の仕様が変更され、レビューカーソル位置ではなくテキストカーソル位置の書式を報告するようになりました。レビューカーソル位置の書式を報告するには NVDA+Shift+F を使用します。(#9505)
- NVDA のブラウズモードで、フォーカス可能な要素に移動したときに、システムフォーカスを自動的に移動しなくなりました。これにより、性能と安定性が向上しました。(#11190)
- CLDR がバージョン 36.1 からバージョン 37 に更新されました。(#11303)
- eSpeak-NG を 1.51-dev コミット 1fb68ffffea4 に更新しました。
- チェック可能なリスト項目を含むリストボックスで、リストに複数の列がある場合に、テーブルナビゲーションを利用できるようになりました。(#8857)
- アドオンマネージャーで、アドオンの削除の確認をするときの既定の選択肢が「いいえ」がになりました。 (#10015)
- Microsoft Excel で「要素リスト」ダイアログに表示される数式がローカライズされるようになりました。 (#9144)
- Excel のコメント機能とメモ機能の用語を更新しました。 (#11311)
- ブラウズモードで「レビューカーソルをフォーカス位置に移動」コマンドを使用すると、レビューカーソルが仮想テキストカーソルの位置に設定されるようになりました。 (#9622)
- NVDA+F による書式とドキュメント情報など、ブラウズモードで情報を報告する場合に、ウィンドウを表示する位置や大きさを改善しました。 (#9910)

### バグ修正

- NVDAで単語単位の移動を行い、記号1文字に移動し、その記号の直後が空白である場合に、記号読み上げレベルの設定に関わらず、常にその記号を読み上げるようになりました。 (#5133)
- QT 5.11 以降を使用するアプリで、オブジェクトの説明が報告されなかった不具合を修正しました。 (#8604)
- Ctrl+Delete を使用して単語を削除するときに、NVDA が読み上げを行わなかった不具合を修正しました。 (#3298, #11029)
  - 削除された単語の右側の単語が報告されます。
- 設定パネル「一般」カテゴリで、言語のリストの表示の順序を修正しました。 (#10348)
- 入力ジェスチャーのダイアログで、フィルタリングの処理速度が大幅に向上しました。 (#10307)
- U+FFFF を超えるコードの Unicode 文字を点字ディスプレイから送信できるようになりました。 (#10796)
- NVDA は Windows 10 May 2020 Update の「プログラムから開く」ダイアログの内容を報告するようになりました。 (#11335)
- NVDA 設定の新しい実験的なオプション「UIオートメーションのイベントとプロパティ変更を選択的に取得」を有効にすると、Microsoft Visual Studio およびその他の UI Automation ベースのアプリの性能が大幅に向上します。 (#11077, #11209)
- チェック可能なリスト項目において、選択の状態が重複して報告されていた不具合を修正しました。選択されていない状態の報告も行います。 (#8554)
- Windows 10 May 2020 Update において、NVDAの音声エンジンのダイアログで、出力デバイスに Microsoft Sound Mapper を表示しなかった不具合を修正しました。 (#11349)
- Internet Explorer において順序付きリストの番号が1で始まらない場合にも、番号が正しく報告されるようになりました。(#8438)
- Google Chrome において、チェックボックスに限らず、チェック可能な全てのコントロールについて、チェックなしの状態を報告するようになりました。 (#11377)
- NVDA の言語がアラゴン語に設定されている場合に、コントロールを移動できなかった不具合を修正しました。 (#11384)
- 点字を有効にして、上下に矢印キーで移動したり、文字を入力したりするときに Microsoft Word で NVDA がフリーズしていた不具合を修正しました。 (#11431,#11425,#11414)
- NVDA は、現在のナビゲーターオブジェクトをクリップボードにコピーするときに、末尾に不必要な空白を追加しなくなりました。 (#11438)
- 読み取るものがない場合、NVDA は Say All プロファイルをアクティブにしなくなりました。 (#10899, #9947)
- NVDA がインターネットインフォメーションサービス(IIS)マネージャーの機能リストを読み取れなかった不具合を修正しました。 (#11468)
- 一部のサウンドカードにおいて NVDA はオーディオデバイスをオープンのままにします。これにより性能が改善します。 (#5172, #10721)
- Microsoft Word で Ctrl+Shift+下矢印 を押したままにすると NVDA がフリーズまたは終了していた不具合を修正しました。 (#9463)
- drive.google.com のツリービューのディレクトリの展開/折りたたみ状態を常に NVDA で報告するようになりました。 (#11520)
- NVDA が "NLS eReader Humanware" 点字ディスプレイを Bluetooth 経由で自動検出するようになりました。 (#11561)
- Visual Studio Code の性能が大幅に向上しました。 (#11533)

### 開発者向けの変更

- GUI Helper の BoxSizerHelper.addDialogDismissButtons は新しい "separated" キーワード引数をサポートします。 これは、ダイアログ(メッセージや単一入力ダイアログを除く)に標準の水平区切り線を追加します。(#6468)
- アプリモジュールにプロパティが追加されました。実行可能ファイルのパス(appPath)、Windowsストアアプリかどうか(isWindowsStoreApp)、アプリのマシンアーキテクチャ(appArchitecture)などです。 (#7894)
- Windows 8 以降の wwahost.exe 内でホストされるアプリに対応するモジュールを作成できるようになりました。 (#4569)
- ログのフラグメントを区切って NVDA+Ctrl+Shift+F1 でクリップボードにコピーできるようになりました。 (#9280)
- Python のガベージコレクターが NVDA 固有のオブジェクトを削除したときにログに記録されるようになりました。(#11499)
  - NVDAObjects, appModules, GlobalPlugins, SynthDrivers, TreeInterceptors など、NVDAのクラスの大部分を追跡します。
  - 追跡する必要のあるクラスは garbageHandler.TrackedObject から継承する必要があります。
- MSAA イベントの重要なデバッグログを NVDA の詳細設定で有効にできるようになりました。 (#11521)
- 現在フォーカスされているオブジェクトの MSAA winEvents は、特定のスレッドのイベントカウントが増加した場合に、他のイベントとともに除外されなくなりました。 (#11520)

## 2020.2

このリリースのハイライトは、Nattiq の販売する新しい点字ディスプレイへの対応、ESET antivirus GUI および Windows Terminal への対応の改善、1Password 対応および Windows OneCore 音声エンジンに関する性能の改善、その他の重要なバグ修正と改善です。

### 新機能

- 新しい点字ディスプレイへの対応:
  - Nattiq nBraille (#10778)
- NVDA 設定フォルダーを開くコマンドが追加されました。(既定のジェスチャーは設定されていません) (#2214)
- ESET antivirus GUI 対応の改善 (#10894)
- Windows Terminal への対応 (#10305)
- アクティブな設定プロファイルを報告するコマンドが追加されました。 (#9325)
- 上付き文字と下付文字の報告の有無を切り替えるコマンドが追加されました。 (#10985)
- Gmail などのWebアプリケーションにおいて、フォーカスをすばやく移動したときに、不必要になった情報が報告され続ける問題に対応しました。 (#10885)
  - この改善は実験的な機能です。有効にするには「高度な設定」パネルの「失効したフォーカスイベントの読み上げを停止」を設定します。
- 記号の説明の追加 (#11105)

### 変更点

- liblouis 点訳エンジンを 3.12.0 から 3.14.0 に更新しました。 (#10832, #11221)
- 上付き文字と下付き文字の報告は「フォント属性」と独立して設定できるようになりました。 (#10919)
- Visual Studio Code で NVDA のブラウズモードを既定で無効にすることができなくなりました。これは Visual Studio Code の仕様の変更によるものです。 (#10888)
- レビューカーソルを現在のナビゲーターオブジェクトの最初の行または最後の行に移動するジェスチャーを実行したときに「上の端」「下の端」と報告しないようになりました。 (#9551)
- レビューカーソルを現在のナビゲーターオブジェクトの最初の文字または最後の文字に移動するジェスチャーを実行したときに「左の端」「右の端」と報告しないようになりました。 (#9551)

### バグ修正

- ログファイルを作成できなかった場合に NVDA が正常に起動できなかった不具合を修正しました。 (#6330)
- Microsoft Word 365 の最近のバージョンにおいて、ドキュメントの編集中に Ctrl+Backspace を押すと "delete back word" と報告されていた問題を修正しました。 (#10851)
- Winamp において NVDA がシャッフルとリピートの状態の切り替えを報告していなかった問題を修正しました。 (#10945)
- 1Password で項目リストの中を移動すると NVDA の応答が非常に遅くなっていた問題を修正しました。 (#10508)
- Windows OneCore 音声エンジンで発話に余分な無音が入っていた問題を修正しました。 (#10721)
- タスクトレイの 1Password のコンテクストメニューにおいて NVDA がフリーズしていた問題を修正しました。 (#11017)
- Office 2013 およびそれ以前のバージョンにおいて:
  - フォーカスが最初にリボンに移動したときに報告されるようになりました。(#4207)
  - コンテクストメニューの項目の報告が正しく行われていなかった問題を修正しました。 (#9252)
  - Ctrl+矢印キー で移動したときにリボンのセクションがより適切に報告されるようになりました。 (#7067)
- Mozilla Firefox と Google Chrome のブラウズモードにおいて、Webコンテンツで CSS display: inline-flex が使われていた場合に、テキストが不適切に独立した行として扱われていた問題を修正しました。 (#11075)
- ブラウズモードで「フォーカスの変化を追跡する自動フォーカスモード」を無効にした場合に、フォーカス可能でない要素で「アクションの実行」が行えなかった不具合を修正しました。
- ブラウズモードで「フォーカスの変化を追跡する自動フォーカスモード」を無効にした場合に、Tab キーで移動した要素で「アクションの実行」が可能になりました。 (#8528)
- ブラウズモードで「フォーカスの変化を追跡する自動フォーカスモード」を無効にした場合に、「アクションの実行」を行うと不適切な位置に対するクリックが行われていた問題を修正しました。 (#9886)
- DevExpress テキストコントロールにおいて NVDA のエラー音が起きていた問題を修正しました。 (#10918)
- タスクトレイのアイコンにキーボードで移動した場合に、アイコンの名前とツールチップのテキストが同じだった場合の報告を改善しました。 (#6656)
- ブラウズモードで「フォーカスの変化を追跡する自動フォーカスモード」を無効にした場合に、 NVDA+スペース でフォーカスモードに切り替えると、テキストカーソルのある要素にフォーカスが移動するようになりました。 (#11206)
- NVDA の更新が環境によって正しく動かないことがある不具合を修正しました。例えば、Windows がインストールされた直後の環境などで発生していました。 (#11253)
- Java アプリにおいてフォーカスのないツリービュー、テーブル、リストなどで選択が変更された場合に、フォーカスが不適切に移動していた問題を修正しました。 (#5989)

### 開発者向けの変更

- execElevated および hasUiAccess は config モジュールから systemUtils モジュールに移動されました。 config モジュールからの利用は非推奨になりました。 (#10493)
- configobj を 5.1.0dev から commit f9a265c4 に更新しました。 (#10939)
- NVDA と Chrome の自動テストおよび HTML サンプルが利用可能になりました。 (#10553)
- IAccessibleHandler はパッケージになりました。 OrderedWinEventLimiter はモジュールになり、ユニットテストが追加されました。 (#10934)
- BrlApi を version 0.8 (BRLTTY 6.1) に更新しました。 (#11065)
- ステータスバーの取得を AppModule でカスタマイズできるようになりました。 (#2125, #4640)
- NVDA は IAccessible EVENT_OBJECT_REORDER を listen しないようになりました。 (#11076)
- ScriptableObject が壊れている場合に NVDA 全体のスクリプト処理に影響が及ばないようになりました。例えば GlobalPlugin がベースクラスの init メソッドを実行していない場合などです。 (#5446)

## 2020.1

このリリースのハイライトは、HumanWare や APH の販売する新しい点字ディスプレイへの対応、Microsoft Word と MathPlayer や MathType を併用する場合の数式の読み上げに関するバグ修正、その他の重要なバグ修正です。

### 新機能

- Chrome のブラウズモードにおいて、リストボックスの選択中の項目を報告するようになりました。これは NVDA 2019.1 と同様の動作です。(#10713)
- タッチ対応デバイスにおいて、一本指でタップして押さえ続けると、マウス右クリックの操作ができるようになりました。(#3886)
- 新しい点字ディスプレイへの対応: APH Chameleon 20, APH Mantis Q40, HumanWare BrailleOne, BrailleNote Touch v2 および NLS eReader (#10830)

### 変更点

- 「すべて読み上げ」の実行中に Windows システムのロックやスリープを許可しないようになりました。(#10643)
- Mozilla Firefox の out-of-process iframes に対応しました。(#10707)
- liblouis 点訳エンジンをバージョン 3.12 に更新しました。(#10161)

### バグ修正

- Unicode マイナス記号 (U+2212) を報告するようになりました。 (#10633)
- アドオンマネージャーからアドオンをインストールするときにブラウズウィンドウのファイルやフォルダーを2回報告していた問題を修正しました。 (#10620, #2395)
- Firefox において、高度なウェブインタフェースを有効にした Mastodon を読み込むと、ブラウズモードでタイムラインが正しくレンダリングされなかった問題を修正しました。(#10776)
- ブラウズモードにおいて、チェックなしの状態のチェックボックスが「チェックなし」と報告されないことがある問題を修正しました。 (#10781)
- ARIA switch コントロールが「押されていません、チェック」「押されています、チェック」のように報告されていた問題を修正しました。 (#9187)
- SAPI4 音声を使う場合に特定のテキストを読み上げなかった問題を修正しました。(#10792)
- Microsoft Word で数式の読み上げやナビゲーションが行えなかった問題を修正しました。(#10803)
- ブラウズモードでテキストを選択してから矢印キーを押したときにテキストの選択解除を報告しなかった問題を修正しました。(#10731).
- eSpeak 音声エンジンの初期化に失敗したときに NVDA が不正に終了していた問題を修正しました。(#10607)
- インストーラーでショートカットの翻訳の不備によるエラーが発生した場合にインストールが失敗するのではなく、英語の表記でショートカットを作成するようになりました。(#5166, #6326)
- 「すべて読み上げ」の「流し読み」において、矢印キーでリストやテーブルの外に出た場合に、「リストの外」「テーブルの外」という報告を繰り返していた問題を修正しました。(#10706)

### 開発者向けの変更

- 開発者向けドキュメントの生成に Sphinx を使うようになりました。 (#9840)
- speech モジュールのいくつかの関数が二つに分割されました。 (#10593) speakX 関数は引き続き存在しますが、これらは speech シーケンスを返す新しい関数 getXSpeech を内部で使用します。
  - speakObjectProperties 関数は getObjectPropertiesSpeech 関数を使用します。
  - speakObject 関数は getObjectSpeech 関数を使用します。
  - speakTextInfo 関数は getTextInfoSpeech 関数を使用します。
  - speakWithoutPauses 関数は独立したクラスになり、リファクタリングされましたが、互換性は保たれます。
  - getSpeechForSpelling 関数は(まだ利用可能ですが)非推奨です。 getSpellingSpeech 関数を使用してください。 以下はアドオン開発者に影響を与えないはずのプライベートなメソッドの変更点です:
  - _speakPlaceholderIfEmpty 関数は _getPlaceholderSpeechIfTextEmpty 関数になりました。
  - _speakTextInfo_addMath 関数は_extendSpeechSequence_addMathForTextInfo 関数になりました。
- Speech 'reason' は Enum に置き換えられました。詳細は controlTypes.OutputReason クラスを参照してください。 (#10703)
  - モジュールレベルの 'REASON_*' 定数は廃止されました。
- NVDA の依存モジュールのコンパイルに Visual Studio 2019(16.2 またはそれ以降)が必要となりました。 (#10169)
- SCons をバージョン 3.1.1 に更新しました。 (#10169)
- behaviors._FakeTableCell で location が未定義の場合を許容していなかった不具合を修正しました。 (#10864)

## 2019.3

NVDA 2019.3は非常に重要なリリースです。Python 2からPython 3への移行や、NVDAの音声エンジン制御の大幅な改良など、多くの内部的な変更が行われました。 これにより旧式のNVDAアドオンとは互換性がなくなりました。しかしセキュリティのためにPython 3への移行が必要です。また、音声エンジン制御の改良により、近い将来、魅力的な新機能を実現できます。 このリリースのその他のハイライトは、64ビット Java VM への対応、スクリーンカーテンおよびフォーカスハイライト機能、点字ディスプレイ対応の追加、点字ビューアー、および多くのバグ修正です。

### 新機能

- マウスカーソルをナビゲーターオブジェクトの位置に移動するコマンドが、Java アプリのテキストフィールドにおいてより正確に動作するようになりました。 (#10157)
- 以下の Handy Tech 点字ディスプレイに対応しました (#8955):
  - Basic Braille Plus 40
  - Basic Braille Plus 32
  - Connect Braille
- 入力ジェスチャーのダイアログの「設定のリセット」ボタンにより、ユーザーが定義したジェスチャーをすべて消去できるようになりました。 (#10293)
- Microsoft Word において、テキストが非表示に設定されている場合でもフォントを報告できるようになりました。 (#8713)
- テキストの選択またはコピーの開始位置にレビューカーソルを移動するコマンド NVDA+shift+F9 が追加されました。 (#1969)
- Internet Explorer, Microsoft Edge および最近のバージョンの Firefox や Chrome のフォーカスモードとオブジェクトナビゲーションで、ランドマークを報告するようになりました。 (#10101)
- Internet Explorer, Google Chrome および Mozilla Firefox において、記事(article 要素)やグループ (role="group") に対する1文字ナビゲーションが可能になりました。これらの機能には既定ではキーボード操作は割り当てられていません。入力ジェスチャーのダイアログから「ブラウズモード」の中のこれらの機能をカスタマイズしてください。 (#9485, #9227)
  - 図も報告の対象になりました。図は「オブジェクト」として扱われます。1文字ナビゲーション o で移動できます。
- Internet Explorer, Google Chrome および Mozilla Firefox において、記事(article 要素)をオブジェクトナビゲーションで報告するようになりました。また「書式とドキュメント情報」で設定した場合には、ブラウズモードにおいても報告が行われます。 (#10424)
- スクリーンカーテン機能が追加されました。この機能を有効にすると、Windows 8 以降において、画面を完全に黒にできます。 (#7857)
  - スクリーンカーテンを有効化するスクリプトが追加されました。1回押すと再起動されるまで、2回押すとNVDAの実行中に常に有効です。このスクリプトには既定のジェスチャーは割り当てられていません。
  - スクリーンカーテンは NVDA 設定ダイアログの「ビジョン」カテゴリで有効化および設定ができます。
- フォーカスハイライト機能が追加されました。 (#971, #9064)
  - フォーカス、ナビゲーターオブジェクト、ブラウズモードのカーソル位置のそれぞれのハイライトを、NVDA設定ダイアログの「ビジョン」カテゴリで有効化および設定できます。
  - 注意: この機能は「フォーカスハイライト」アドオンと互換性がありません。しかし、NVDA のハイライト機能を無効化すれば、このアドオンは利用可能です。
- 点字ビューアーが追加されました。点字ディスプレイの出力がウィンドウに表示されます。 (#7788)

### 変更点

- Windows コンソールで NVDA を使う方法の説明がユーザーガイドに追加されました。 (#9957)
- nvda.exe を実行すると、それまで実行されていた NVDA を停止して新しいプロセスに置き換える挙動が既定の機能になりました。 -r または --replace のコマンドライン引数はエラーにはなりませんが無視されます。 (#8320)
- Windows 8 とそれ以降において、NVDA は Microsoft Store からダウンロードされたアプリなどのプロダクト名とバージョン情報を、アプリが提供する情報に基づいて報告するようになりました。 (#4259, #10108)
- Microsoft Word で変更の追跡の有効化または無効化をキーボードから行った場合に、設定状態の変更を NVDA が報告するようになりました。 (#942)
- NVDA のログに NVDA のバージョン番号を最初に出力するようになりました。NVDA 設定ダイアログでログ記録レベルを無効にした場合にもバージョン番号は出力されます。 (#9803)
- NVDA のコマンドラインオプションでログ記録レベルが変更された場合に、NVDA設定ダイアログでログ記録レベルを変更できないようになりました。 (#10209)
- Microsoft Word において Ctrl+Shift+8 で「編集記号の表示」を切り替えたときに結果を報告するようになりました。 (#10241)
- Liblouis 点訳エンジンを commit 58d67e63 に更新しました。 (#10094)
- Unicode 共通ロケールデータリポジトリ (CLDR) の記号(絵文字など)の報告を有効にした場合に、記号読み上げレベルの設定に関わらず報告を行うようになりました。 (#8826)
- NVDA で使用している comtypes などのサードパーティ Python パッケージについて、警告やエラーを NVDA のログに記録するようになりました。 (#10393)
- Unicode 共通ロケールデータリポジトリの絵文字データばバージョン 36.0 に更新しました。 (#10426)
- ブラウズモードでグループ(role="group"など)にフォーカスが移動した場合に、その説明 (aria-describedby) を報告するようになりました。 (#10095)
- Java Access Bridge は NVDA に同梱されるようになりました。追加のインストールを必要せず Java アプリが NVDA で利用できます。64 ビット Java VM にも対応しています。 (#7724)
- Java Access Bridge がユーザーごとの設定で無効になっている場合は、NVDA は起動時にこの設定を有効化します。 (#7952)
- eSpeak-NG を 1.51-dev commit ca65812ac6019926f2fbd7f12c92d7edd3701e0c に更新しました。 (#10581)

### バグ修正

- 絵文字などの32ビットUnicode文字が点字ディスプレイで16進数の値として表示されるときに、より簡潔に表示されるようになりました。 (#6695)
- NVDA設定のオブジェクト表示カテゴリでツールチップの報告を有効にした場合に、Windows 10 ユニバーサルアプリのツールチップを報告するようになりました。 (#8118)
- Windows 10 Anniversary Update およびそれ以降において、Mintty で入力文字が報告されるようになりました。 (#1348)
- Windows 10 Anniversary Update およびそれ以降において、Windows コンソールのキャレットに近い場所に出力されたテキストが不適切にスペル読みされていた問題に対応しました。 (#513)
- Audacity の「コンプレッサー」ダイアログのコントロールが、ダイアログ内を移動したときに報告されるようになりました。 (#10103)
- Notepad++ など Scintilla ベースのテキストエディタで NVDA のオブジェクトレビューを使ったときに、スペースが不適切に単語として扱われていた問題に対応しました。 (#8295)
- 点字ディスプレイの入力ジェスチャーでテキストをスクロールしている間に、システムがスリープモードに切り替わることをNVDAが防ぐようになりました。 (#9175)
- Windows 10 において、Microsoft Excel のセル内容の編集、および、その他の UI オートメーションを使用するテキストコントロールにおいて、点字ディスプレイが追従しない場合があった問題を修正しました。 (#9749)
- Microsoft Edge のアドレスバーの自動入力候補が報告されなかった問題を修正しました。 (#7554)
- Internet Explorer において HTML のタブコントロールヘッダーにフォーカスした場合に無反応になっていた問題を修正しました。 (#8898)
- EdgeHTML ベースの Microsoft Edge において、ウィンドウを最大化したときに自動入力候補の音が再生されていた問題を修正しました。 (#9110, #10002)
- Mozilla Firefox および Google Chrome において ARIA 1.1 コンボボックスに対応しました。 (#9616)
- SysListView32 コントロールのリスト項目で非表示の列の内容を NVDA が報告しないようになりました。 (#8268)
- セキュアデスクトップでNVDA設定ダイアログのログ出力レベルが誤って「情報」と表示されていた問題を修正しました。 (#10209)
- Windows 10 Anniversary Update およびそれ以降のスタートメニューにおいて、NVDA は検索結果の詳細を報告するようになりました。 (#10232)
- ブラウズモードにおいて、テキストカーソルの移動や1文字ナビゲーションでドキュメントの内容が変化した場合に、NVDA が不適切な内容を読み上げることがあった問題を修正しました。 (#8831, #10343)
- Microsoft Word においてビュレットの名前に誤りがあった問題を修正しました。 (#10399)
- Windows 10 May 2019 Update およびそれ以降において、絵文字パネルやクリップボード履歴を開いたときに、最初に選択された絵文字や項目が報告されないことがあった問題を修正しました。 (#9204)
- Poedit において、右書き(RTL)言語の翻訳を表示できなかった問題を修正しました。 (#9931)
- Windows 10 April 2018 Update およびそれ以降の設定アプリにおいて、「システム」の「サウンド」ページで音量メーターとして使われているプログレスバーをNVDAが報告しないようになりました。 (#10284)
- 読み上げ辞書の正規表現に誤りがあった場合に、NVDA の読み上げがすべて動かなくなっていた不具合を修正しました。 (#10334)
- Microsoft Word で UI オートメーションを有効にした場合に、ビュレットを使って箇条書きにした項目を読み上げるときに、次のリスト項目のビュレットが不適切に報告されていた問題を修正しました。 (#9613)
- liblouis における特定の点訳の不具合やエラーを修正しました。 (#9982)
- NVDA が起動する前に実行されていた Java アプリを、アプリの再起動をしなくても NVDA で操作できるようになりました。 (#10296)
- Mozilla Firefox において、要素がフォーカスされて「現在位置」(aria-current) に変わった場合に、このことを不必要に繰り返し報告していた問題を修正しました。 (#8960)
- NVDA で文字単位の移動を行ったときに特定の Unicode の合字(「eにアキュート」など)を1文字として扱うようになりました。 (#10550)
- Spring Tool Suite Version 4 に対応しました。 (#10001)
- aria-labelledby で関連付けた対象が内側の要素である場合に、名前(name)を繰り返し報告しないようになりました。 (#10552)
- Windows 10 version 1607 およびそれ以降において、点字ディスプレイから入力された文字が報告されなかった問題を改善しました。 (#10569)
- 音声の出力デバイスを変更すると、新たに選択されたデバイスから NVDA のサウンドやビープ音が出るようになりました。 (#2167)
- Mozilla Firefox において、ブラウズモードでのフォーカス移動の性能を改善しました。多くの場合にブラウズモードのテキストカーソルの移動がより高速になります。 (#10584)

### 開発者向けの変更

- Python をバージョン 3.7 に更新しました。(#7105)
- pySerial をバージョン 3.4 に更新しました。 (#8815)
- wxPython をバージョン 4.0.3 に更新しました。これは Python 3.5 およびそれ以降に対応するためです。 (#9630)
- six をバージョン 1.12.0 に更新しました。 (#9630)
- py2exe をバージョン 0.9.3.2 (開発版 commit b372a8e from albertosottile/py2exe#13) に更新しました。 (#9856)
- UIAutomationCore.dll comtypes モジュールをバージョン 10.0.18362 に更新しました。 (#9829)
- Python コンソールの Tab 入力補完で最初にアンダースコアを入力したときに、アンダースコアで始まる属性だけを候補として表示するようになりました。 (#9918)
- Flake8 linting tool を scons に統合しました。これはプルリクエストにおいてコーディング規約への適合を確認するためです。 (#5918)
- NVDA は pyWin32 に依存しなくなりました。アドオンでは win32api および win32con モジュールは利用できません。 (#9639)
  - win32api 呼び出しは ctypes 経由で直接 Win32 DLL 関数を呼び出すように書き換えてください。
  - win32con 定数の代わりにあなたのソースコードで定数を定義してください。
- nvwave.playWaveFile の "async" 引数は "asynchronous" という名前に変更されました。 (#8607)
- synthDriver オブジェクトのメソッド speakText および speakCharacter は今後はサポートされません。
  - この機能は SynthDriver.speak で処理されます。
- synthDriverHandler の SynthSetting クラスは削除されました。代わりに driverHandler.DriverSetting クラスを使用してください。
- SynthDriver クラスは今後は lastIndex プロパティ経由でのインデックスの通知を行いません。
  - 代替手段として、特定のインデックスまでの音声がすべて再生されたときに、そのインデックスについて synthDriverHandler.synthIndexReached アクションが利用できます。
- SynthDriver クラスは synthDriverHandler.synthDoneSpeaking アクションを通知する必要があります。これは、特定の SynthDriver.speak 呼び出しについての音声の再生がすべて終わったときに実行してください。
- SynthDriver クラスは speak メソッドで speech.PitchCommand をサポートする必要があります。speakSpelling 機能におけるピッチの制御には、今後はこの機能が使用されます。
- speech モジュールの getSpeechTextForProperties 関数の名前を getPropertiesSpeech に変更しました。 (#10098)
- braille モジュールの getBrailleTextForProperties 関数の名前を getPropertiesBraille に変更しました。 (#10469)
- speech モジュールの以下の関数は speech sequences を返すようになりました。 (#10098)
  - getControlFieldSpeech
  - getFormatFieldSpeech
  - getSpeechTextForProperties から名前が変更された getPropertiesSpeech
  - getIndentationSpeech
  - getTableInfoSpeech
- textUtils モジュールが追加されました。これは Python 3 の文字列と Windows Unicode 文字列の変換を支援します。 (#9545)
  - 詳細はこのモジュールのドキュメントと、実装の例として textInfos.offsets モジュールを参照してください。
- 非推奨としていた以下の機能を削除しました。 (#9548)
  - AppModules から以下を削除:
    - Windows XP サウンドレコーダー
    - Klango Player, このアプリは開発が終了しました。
  - configobj.validate ラッパーの削除
    - import validate ではなく今後は from configobj import validate を使用してください。
  - textInfos.Point および textInfos.Rect はそれぞれ locationHelper.Point および locationHelper.RectLTRB を使用してください。
  - braille.BrailleHandler._get_tether および braille.BrailleHandler.set_tether は削除されました。
  - config.getConfigDirs は削除されました。
  - config.ConfigManager.getConfigValidationParameter ではなく getConfigValidation を使用してください。
  - inputCore.InputGesture.logIdentifier プロパティは削除されました。
    - inputCore.InputGesture の _get_identifiers を使用してください。
  - synthDriverHandler.SynthDriver.speakText/speakCharacter は削除されました。
  - いくつかの synthDriverHandler.SynthSetting クラスが削除されました。
    - 後方互換性のために残されていましたが、非推奨でした。 (#8214)
    - SynthSetting クラスを使用していたドライバーは DriverSetting クラスを使って書き直す必要があります。
  - レガシーなコードが削除されました。以下はその一部です:
    - Outlook 2003 以前におけるメッセージリストへの対応
    - Windows Vista 以前のスタートメニューに対応する処理
    - Skype 7 への対応。このバージョンはもう使用できません。
- ビジョン拡張プロバイダーのためのフレームワークが追加されました。画面に表示される内容を加工できます。オブジェクトの位置情報をNVDAから取得することも可能です。 (#9064)
  - アドオンは visionEnhancementProviders フォルダーにビジョン拡張プロバイダーを追加できます。
  - モジュール vision および visionEnhancementProviders はこのフレームワークの実装と使用例です。
  - ビジョン拡張プロバイダーは NVDA 設定ダイアログの「ビジョン」カテゴリで有効化および設定できます。
- baseObject.AutoPropertyObject を継承するオブジェクト(例えば NVDAObjects や TextInfos )で抽象クラスのプロパティが使用できます。 (#10102)
- displayModel.UNIT_DISPLAYCHUNK が導入されました。これは DisplayModelTextInfo に関する textInfos の unit 定数です。 (#10165)
  - この新しい定数を使うと DisplayModelTextInfo の中のテキストを移動するときに、このモデルにおけるテキストの区切られ方に近い方法で行うことができます。
- displayModel.getCaretRect が locationHelper.RectLTRB のインスタンスを返すようになりました。 (#10233)
- UNIT_CONTROLFIELD および UNIT_FORMATFIELD 定数は virtualBuffers.VirtualBufferTextInfo から textInfos パッケージに移動されました。 (#10396)
- NVDA のログの各項目にその情報が発生したスレッドの情報を含むようになりました。 (#10259)
- UIA TextInfo オブジェクトは page, story, formatField の単位で移動および拡張できるようになりました。 (#10396)
- appModules や globalPlugins などの外部モジュールによる NVDAObject の生成の失敗が起こりにくくなりました。
  - chooseNVDAObjectOverlayClasses および event_NVDAObject_init の各メソッドが例外を投げたときに適切にキャッチされログに残るようになりました。
- aria.htmlNodeNameToAriaLandmarkRoles ディクショナリの名前は aria.htmlNodeNameToAriaRoles に変更されました。また、ランドマークではないロールを含むようになりました。
- scriptHandler.isCurrentScript は使用されていないため削除されました。代替の機能はありません。 (#8677)

## 2019.2.1

これは 2019.2 で起きる複数の不具合を修正するマイナーリリースです。以下の変更を含みます:

- Gmail を Firefox または Chrome で使用した場合に、フィルターの作成や特定の設定の変更などで、ポップアップメニューを操作したときにクラッシュする不具合を修正しました。(#10175, #9402, #8924)
- Windows 7 において、スタートメニューでマウスを操作したときに Windows Explorer がクラッシュする不具合を修正しました。(#9435)
- Windows 7 において、Windows Explorer のメタデーターのエディットフィールドを操作するとクラッシュする不具合を修正しました。 (#5337)
- Mozilla Firefox または Google Chrome で base64 URI の画像を扱うときに NVDA がフリーズする不具合を修正しました。 (#10227)

## 2019.2

このリリースのハイライトは Freedom Scientific 点字ディスプレイの自動検出、ブラウズモードでフォーカスを自動的に移動させないための「高度な設定」の実験的オプション(性能の改善に役立つ可能性があります)、Windows OneCore 音声の「高速読み上げ」オプションへの対応、および多くのバグ修正です。

### 新機能

- NVDA で Miranda NG アプリの最近のバージョンを使用できるようになりました。 (#9053)
- NVDA設定ダイアログの「ブラウズモード」カテゴリ「ページ読み込み時にブラウズモードを有効にする」をチェックなしにすると、初期状態でブラウズモードを無効にできます。 (#8716)
  - このオプションをチェックなしにしても、NVDA+スペースを押すと、手動でブラウズモードに切り替えることができます。
- 句読点/記号読み辞書のダイアログにおいて、要素リストや入力ジェスチャーのダイアログと同様に、「フィルター」を使って該当する項目だけを表示できるようになりました。 (#5761)
- マウスカーソル位置のテキスト(マウスカーソルが移動した場合)の読み上げ範囲を変更するコマンドが追加されました。ただし既定のジェスチャーは割り当てられていません。 (#9056)
- Windows OneCore 音声の設定に「高速読み上げ」オプションが追加されました。これにより従来よりも大幅に高速に読み上げることができます。 (#7498)
- 「簡単音声設定」の設定項目に「高速読み上げ」オプションが追加されました。現在は eSpeak NG および Windows OneCore 音声で利用できます。 (#8934)
- 設定プロファイルを手動でアクティブ化するジェスチャーを割り当てることが可能になりました。 (#4209)
  - このジェスチャーは「入力ジェスチャー」ダイアログで設定してください。
- Eclipse のコードエディターにおける自動入力候補に対応しました。 (#5667)
  - エディターで NVDA+d を押すと Javadoc の情報を利用できる場合に読むことができます。
- システムのフォーカスをブラウズモードのカーソルに追従させたくない場合に、NVDA設定ダイアログの「高度な設定」オプション「ブラウズモード」→「可能な場合にフォーカスを自動的に移動」をチェックなしにできます。(#2039) すべてのウェブサイトでチェックなしにすることはお勧めできませんが、以下を解決できる可能性があります:
  - ラバーバンド効果: NVDA が直前のブラウズモードのキー入力を取り消して以前の位置にジャンプしてしまう場合があります。
  - 一部のウェブサイトで、複数のエディットボックスがある場合に下矢印キーを押すとシステムフォーカスが移動してしまう場合があります。
  - ブラウズモードでキー操作への反応に時間がかかる場合があります。
- 新しい点字ディスプレイドライバーが提供されている場合に、NVDA設定ダイアログの「点字」カテゴリから点字ディスプレイの設定を変更できるようになりました。 (#7452)
- Freedom Scientific の点字ディスプレイが自動検出に対応しました。 (#7727)
- レビューカーソル位置の句読点や記号を報告するコマンドが追加されました。 (#9286)
- 「高度な設定」パネルに「可能な場合に Windows コンソールで UI オートメーションを使用」という実験的な機能を有効にするためのオプションが追加されました。 (#9614)
- Python コンソールの入力フィールドにおいて、クリップボードから複数行のテキストを貼り付けできるようになりました。 (#9776)

### 変更点

- 簡単音声設定において、音量が10ずつではなく5ずつ増えたり減ったりするようになりました。 (#6754)
- NVDAを --disable-addons オプションをつけて起動したときのアドオンマネージャーの表示をわかりやすくしました。 (#9473)
- Unicode 共通ロケールデータリポジトリの絵文字説明をバージョン35.0に更新しました。 (#9445)
- ブラウズモードの要素リストの「フィルター」フィールドのショートカットキーを alt+y に変更しました。 (#8728)
- 自動検出された点字ディスプレイが Bluetooth 接続の場合に、 NVDA は同じドライバーでサポートされている USB 接続の点字ディスプレイを引き続き検索します。そして USB 接続が利用可能になった場合はそちらに切り替えます。 (#8853)
- eSpeak-NG 音声エンジンをコミット 67324cc に更新しました。
- liblouis 点訳エンジンをバージョン3.10.0に更新しました。 (#9439, #9678)
- テキストが選択された直後に NVDA はまず選択されたテキストを報告して、最後に「選択」と報告するようになりました。(#9028, #9909)
- Microsoft Visual Studio Code の起動直後にフォーカスモードで動作するようになりました。 (#9828)

### バグ修正

- アドオンフォルダーが空のときに NVDA がクラッシュする不具合を修正しました。 (#7686)
- エクスプローラーのプロパティウィンドウを点字ディスプレイで表示したり1文字単位で読み上げたりした場合にLTRやRTLのマークが報告されていた問題を修正しました。 (#8361)
- ブラウズモードの1文字ナビゲーションでフォームフィールドにジャンプすると、そのフォームフィールドの最初の行だけを報告するのではなく、フォームフィールド全体を報告するようになりました。 (#9388)
- Windows 10 Mail アプリを終了した後で NVDA が応答しなくなる問題を修正しました。 (#9341)
- ユーザーの地域設定が NVDA が認識できない値(例えば「英語(オランダ)」など)に設定されていても、NVDA が起動に失敗しないようになりました。 (#8726)
- Microsoft Excel でブラウズモードが有効になっているときに、ウェブブラウザー(フォーカスモードであってもブラウズモードであっても)に切り替えると、ブラウズモードの状態が適切に報告されなかった問題を修正しました。 (#8846)
- NVDA は Notepad++ およびその他の Scintilla ベースのエディターでマウスカーソルの位置にある行を正しく報告するようになりました。 (#5450)
- Google ドキュメント(およびその他のウェブベースのエディター)において、リスト項目の途中で、カーソルの手前に "lst end" が存在すると誤って表示していた不具合を修正しました。 (#9477)
- Windows 10 May 2019 アップデートにおいて、ファイルエクスプローラーにフォーカスがあるときにハードウェアボタンで音量を変更すると不適切に頻繁に音量の通知をしていた不具合を修正しました。 (#9466)
- 1000以上の項目を含む「句読点/記号読み辞書」を使用するとき、ダイアログが従来よりもずっと高速に開くようになりました。 (#8790)
- Notepad++ などで使用されている Scintilla コントロールにおいて、ワードラップが有効になっていても NVDA が正しく行を読み取れるようになりました。 (#9424)
- Microsoft Excel において、shift+enter または shift+numpadEnter ジェスチャーでセルを移動した場合に、セル座標を報告するようになりました。 (#9499)
- Visual Studio 2017 以降の「オブジェクトエクスプローラー」ウィンドウにおいて、カテゴリを使用するオブジェクトツリーまたはメンバーツリーで、選択した項目を正しく報告するようになりました。 (#9311)
- 大文字と小文字の違いでしか名前を区別できないアドオンが、異なるアドオンとして扱われていた問題を修正しました。(#9334)
- Windows OneCore 音声において、NVDA の設定における音声の速さが Windows 10 の「音声の速度」の設定の影響を受けなくなりました。 (#7498)
- NVDA+F1 が押されたときに現在のナビゲータオブジェクトに関する開発者情報がない場合、ログを開くようになりました。 (#8613)
- Firefox および Chrome で Google ドキュメントを使用する場合に NVDA のテーブルナビゲーションコマンドを使用できなかった不具合を修正しました。 (#9494)
- Freedom Scientific の点字ディスプレイでバンパーキーが使えるようになりました。 (#8849)
- Notepad++ 7.7 の64ビット版において、ドキュメントの最初の文字を読むと NVDA が最大で10秒間フリーズしていた問題を修正しました。 (#9609)
- Handy Tech 点字ディスプレイを NVDA で使用する場合に HTCom を使用できるようになりました。 (#9691)
- Mozilla Firefox において、バックグラウンドのタブのドキュメントのライブリージョンを報告しないようになりました。 (#1318)
- バックグラウンドで「NVDAについて」のダイアログが開いている場合にも、NVDA のブラウズモードの「検索」ダイアログが失敗しないようになりました。 (#8566)

### 開発者向けの変更

- アプリモジュールの "disableBrowseModeByDefault" プロパティを使うと、デフォルトでブラウズモードをオフにできます。 (#8846)
- ウィンドウの拡張ウィンドウスタイルを、 Window オブジェクトおよびそのサブクラスの `extendedWindowStyle` プロパティから参照できるようになりました。 (#9136)
- comtypes パッケージを 1.1.7 に更新しました。 (#9440, #8522)
- モジュール情報の報告コマンド(NVDA+Ctrl+F1)において、報告する情報の順序が変更され、モジュール名を最初に報告するようになりました。 (#7338)
- C# から nvdaControllerClient.dll を使用するサンプルが追加されました。 (#9600)
- winVersion モジュールに isWin10 関数が追加されました。これは NVDA を実行している環境が特定のバージョンの Windows 10 以上であるか(たとえば 1903 以上かどうか)を返します。 (#9761)
- NVDA Python コンソールの名前空間に多くの有用なモジュールが追加されました。例えば appModules, globalPlugins, config, textInfos などです。 (#9789)
- NVDA Python コンソールで直前に実行したコマンドの結果を _ (アンダースコア)変数で参照できるようになりました。 (#9782)
  - 注意: この変更により gettext 翻訳で使われる "_" という名前の関数にアクセスできなくなります。翻訳の _ 関数を使いたい場合は del _ を実行します。

## 2019.1.1

このリリースでは以下の不具合を修正しました:

- Excel 2007 でセルに数式がある場合に、NVDA がクラッシュする、またはセルの内容を報告しないことがある問題を修正しました。(#9431)
- Google Chrome がリストボックスの操作でクラッシュすることがある問題を修正しました。(#9364)
- ユーザーの設定プロファイルを「ログオンまたはその他のセキュアデスクトップ」の設定にコピーできないことがある問題を修正しました。 (#9448)
- Microsoft Excel において結合されたセルの座標を報告するときに NVDA がローカライズされたメッセージを使用していなかった問題を修正しました。 (#9471)

## 2019.1

このリリースのハイライトは、Microsoft Word および Excel 対応における性能の改善、アドオンのバージョン互換性情報などの導入による安定性とセキュリティの改善、その他のバグ修正です。

注意: このバージョンから、NVDA ユーザー設定フォルダーに置かれたアプリモジュール、グローバルプラグイン、点字ディスプレイドライバー、音声合成エンジンは、自動的には読み込まれません。 これらはNVDAアドオンとしてインストールする必要があります。アドオン開発者は、NVDAの「高度な設定」で「開発者用スクラッチパッドのフォルダーからカスタムコードを読み込む」を有効にすると、NVDAユーザー設定フォルダーの scratchpad フォルダーにテスト用のコードを置いて実行することができます。 この変更は、カスタムコードの互換性をより確実にするために必要です。つまり、新しいNVDAがリリースされてカスタムコードとの互換性がなくなったときにNVDAが動作しなくなることを防ぎます。 この変更およびアドオンのバージョン管理方法の詳細については、以下の変更点リストを参照してください。

### 新機能

- 新しい点字テーブル：アフリカーンス語、アラビア語8点コンピューター点字、アラビア語2級、スペイン語2級(#4435, #9186)
- 外部アプリがマウスカーソルを制御している状況にNVDAが対応できるように、NVDAのマウス設定にオプションを追加しました。(#8452)
  - これにより、TeamViewerまたは他の遠隔制御ソフトウェアによってシステムが遠隔制御されているときにNVDAがマウスカーソルを追跡できます。
- NVDAのサイレントインストールにおいて、「ログオン画面でNVDAを使用」を設定する --enable-start-on-logon コマンドライン引数を追加しました。ログオン画面で使用する場合はtrue、ログオン画面で使用しない場合はfalseを指定します。 --enable-start-on-logon が指定されておらず、前回のインストールで設定されていない場合の既定値では、ログオン画面でNVDAを使用します。(#8574)
- NVDA設定の「全般」パネルからログレベル「無効」を選ぶことで、NVDAのログ機能を無効にできるようになりました。(#8516)
- LibreOfficeおよびApache OpenOfficeのスプレッドシートで数式の存在を報告するようになりました。(#860)
- Mozilla FirefoxおよびGoogle Chromeのブラウズモードにおいて、リストボックスやツリーで選択した項目が報告されるようになりました。
  - Firefox はバージョン66以降で動作します。
  - Chrome について、特定のリストボックス(HTML select コントロール)では動作しません。
- ARM64プロセッサ(Qualcomm Snapdragonなど)を搭載したコンピュータでのMozilla Firefoxなどのアプリの早期サポートを行いました。(#9216)
- NVDA設定ダイアログに「高度な設定」カテゴリが追加されました。NVDAのMicrosoft Word対応において Microsoft UI オートメーションAPIを使用する新しいオプションを含んでいます。(#9200)
- Windowsのディスクの管理でグラフィカルビューに対応しました。(#1486)
- Handy Tech Connect Braille と Basic Braille 84 に対応しました。(#9249)

### 変更点

- liblouis点訳エンジンをバージョン3.8.0に更新しました。(#9013)
- アドオンの開発者が「アドオンが正しく動作する最初のNVDAのバージョン」を指定できるようになりました。NVDAは、アドオンが指定した値が現在のNVDAのバージョンより高い場合に、アドオンのインストールまたは読み込みを行いません。(#6275)
- アドオンの開発者は「アドオンがテストされた最後のNVDAのバージョン」を指定できるようになりました。アドオンが現在のバージョンよりも前のバージョンのNVDAに対してのみテストされている場合、NVDAはアドオンのインストールまたは読み込みを行いません。(#6275)
- このバージョンのNVDAは、最初の対応NVDAバージョンおよび最新テスト済みNVDAバージョンの情報が含まれていないアドオンをインストールおよび読み込みできます。将来のバージョンのNVDA(例えば2019.2)に更新すると、これらの情報が含まれていないアドオンは自動的に無効になります。
- マウスカーソルをナビゲータオブジェクトに移動するコマンドが、Microsoft WordおよびMicrosoft Edge(およびその他のUIAコントロール)で使用できるようになりました。(#7916, #8371)
- マウスカーソル位置のテキストの報告が、Microsoft Edgeおよびその他のUIAアプリでより適切に動作するようになりました。(#8370)
- NVDAを --portable-path コマンドライン引数をつけて起動することにより、NVDAメニューから「ポータブル版を作成」を実行したときに、ポータブル版を作成する場所の既定の値を指定できるようになりました。(#8623)
- ノルウェー語点字テーブルは2015年に改訂された標準のテーブルに変更されました。(#9170)
- 段落単位での移動(Ctrl + 上矢印または下矢印)またはテーブルのセル単位の移動(Ctrl + Alt + 矢印)を行うときに、スペルミスを自動的に報告しないようになりました。スペルミスを報告するようにNVDAが設定されている場合も同様です。これは、段落や表のセルは内容が非常に大きくなる可能性があり、またアプリによってはスペルミスを検出する処理に非常に時間がかかる可能性があるためです。(#9217)
- NVDAは、NVDAユーザー設定フォルダーからカスタムのアプリモジュール、グローバルプラグイン、点字ディスプレイドライバー、音声合成エンジンを読み込まなくなりました。これらは適切なバージョン情報を持つアドオンとしてパッケージ化する必要があります。この変更により、互換性のないコードがNVDAから実行されることを防ぎます。(#9238)
  - 開発者が開発中のコードをテストする必要がある場合は、NVDA設定ダイアログの「高度な設定」カテゴリで「開発者用スクラッチパッドのフォルダーからカスタムコードを読み込む」を有効にします。そしてNVDAユーザー設定フォルダーの scratchpad フォルダーにテストしたいコードをコピーします。

### バグ修正

- Windows 10 April 2018 Update以降でOneCore音声合成エンジンを使用する場合、発話の間に長い無音が挿入される問題を修正しました。(#8985)
- プレーンテキストコントロール(メモ帳など)およびブラウズモードで文字単位の移動をするときに、2つのUTF-16コードポイントで構成される32ビットの絵文字(🤦など)が正しく扱えるようになりました。(#8782)
- NVDAのインターフェイス言語を変更した後の再起動確認ダイアログを改善しました。テキストとボタンのラベルがより簡潔でわかりやすいものになりました。(#6416)
- Windows 10においてサードパーティの音声合成エンジンが読み込みに失敗した場合、NVDAは eSpeak NG ではなくWindows OneCore音声を使用するようになりました。(#9025)
- セキュアデスクトップにおいてNVDAメニューに「ようこそ画面」の項目を表示しないようになりました。(#8520)
- ブラウズモードでタブキーまたは1文字ナビゲーションで移動するとき、タブパネルの凡例の報告がより一貫性のあるものになりました。(#709)
- Windows 10の「アラーム＆クロック」アプリで使われているようなタイムピッカーにおいて、NVDAは選択状態の変化を報告するようになりました。(#5231)
- Windows 10の「アクションセンター」において、ディスプレイの明るさや集中モードなどのクイックアクションを切り替えたときに NVDA は状態を報告するようになりました。(#8954)
- Windows 10 October 2018 Update およびそれ以前のバージョンのアクションセンターにおいて、ディスプレイの明るさのクイックアクションコントロールをNVDAはトグルボタンではなくボタンとして解釈するようになりました。(#8845)
- Microsoft Excelの「移動と検索」エディットフィールドにおいて、キャレット位置の追跡や削除された文字の報告が正しく行えるようになりました。(#9042)
- Firefox をブラウズモードで使用する場合にクラッシュすることがある不具合を修正しました。(#9152)
- Microsoft Office 2016 のリボンが折りたたまれた状態において、一部のコントロールでフォーカス位置を報告できなかった問題を修正しました。
- Outlook 2016の新規メッセージにアドレスを入力したときに、NVDAが連絡先の候補を報告できなかった問題を修正しました。(#8502)
- 80セルの eurobraille ディスプレイにおいて、タッチカーソルキーの最後の数マスが押されたときに、カーソルが点字行の先頭またはその直後の位置に移動していた問題を修正しました。(#9160)
- Mozilla Thunderbird のスレッドビューにおけるテーブルナビゲーションの不具合を修正しました。(#8396)
- Mozilla FirefoxおよびGoogle Chromeにおいて、特定のリストボックスおよびツリーでのフォーカスモードへの切り替えが正しく動作するようになりました。具体的には、リストボックスやツリー自体はフォーカス可能ではなく、それらに含まれる項目がフォーカス可能な場合です。(#3573, #9157)
- NVDAのMicrosoft Word対応にUIオートメーションを使用している場合、Outlook 2016/365でメッセージを読むときに初期状態でブラウズモードに切り替わるようになりました。(#9188)
- NVDAがフリーズしにくくなりました。この問題でフリーズが起きた場合の対処として、現在のWindowsセッションからログアウトする必要がありました。(#6291)
- Windows 10 October 2018 Update およびそれ以降において、クリップボードが空の状態でクラウドクリップボードの履歴を開くと、NVDAはクリップボードの状態を報告するようになりました。(#9103)
- Windows 10 October 2018 Update およびそれ以降において、絵文字パネルで絵文字を検索するとき、NVDAはトップの検索結果を報告するようになりました。(#9105)
- NVDAがOracle VirtualBox 5.2以上のメインウィンドウでフリーズしていた不具合を修正しました。(#9202)
- Microsoft Wordにおいて一部の文書で行、段落、表のセル単位の移動をする場合の応答性が大幅に改善されました。Microsoft Wordで文書を開いた後に alt+w e で下書きビューに切り替えることをお勧めします。(#9217)
- Mozilla FirefoxおよびGoogle Chromeにおいて、空のアラートを報告しないようになりました。(#5657)
- Microsoft Excelで特にシートにコメントや検証のドロップダウンリストが含まれている場合の、セル単位の移動の処理速度が大幅に向上しました。(#7348)
- Excel 2016/365でNVDAを使用してセルを編集する場合に、Microsoft Excelの「セルを直接編集する」オプションを無効にする必要がなくなりました。(#8146)
- Enhanced Ariaアドオンが使用されている場合に、1文字ナビゲーションでランドマーク単位の移動でFirefoxがしばしばフリーズしていた問題を修正しました。(#8980)

### 開発者向けの変更

- NVDAは、Microsoft Visual Studio 2017のすべてのエディション(Communityエディションだけでなく)でビルドできるようになりました。(#8939)
- NVDA設定の「デバッグログ」セクションで louis を有効にすると liblouis からのログ出力をNVDAログに含めることができます。(#4554)
- アドオンの開発者は、アドオンマニフェストでNVDAバージョン互換性情報を提供できるようになりました。(#6275, #9055)
  - minimumNVDAVersion: アドオンが正しく動作する最初のNVDAのバージョン
  - lastTestedNVDAVersion: アドオンがテストされた最後のNVDAのバージョン
- OffsetsTextInfoオブジェクトは_getBoundingRectFromOffsetメソッドを実装できるようになりました。これにより座標ではなく文字ごとの境界矩形を取得できます。(#8572)
- TextInfoオブジェクトにboundingRectプロパティが追加されました。これによりある範囲のテキストの境界矩形が取得できます。(#8371)
- NVDAにおいてクラス内のプロパティとメソッドを抽象として定義できます。抽象クラスはインスタンス化されるとエラーを発生させます。(#8294, #8652, #8658)
- NVDAは、入力からテキストが読み上げられるまでの経過時間を記録できます。これは、ユーザーに感じられる応答性能の測定に役立ちます。NVDA設定の「デバッグログ」セクションで timeSinceInput を有効にしてください。(#9167)

## 2018.4.1

このリリースでは、NVDAのユーザーインターフェイス言語をアラゴン語に設定した場合に起動時にクラッシュする不具合を修正しました。 (#9089)

## 2018.4

このリリースのハイライトは、 Mozilla Firefox の最近のバージョンにおける性能の改善、音声エンジンに依存せず絵文字を読み上げる機能、Outlook の返信済みや転送済みなどの報告、Microsoft Word でカーソル位置からページの端までの距離を報告する機能、その他のバグ修正です。

### 新機能

- 新しい点字テーブル: 中国語点字(中国、標準中国語)1級および2級 (#5553)
- Microsoft Outlook のメッセージリストにおいて、メール項目が返信済みや転送済みなどの状態であることを報告するようになりました。 (#6911)
- Unicode 共通ロケールデータリポジトリに含まれる絵文字や記号について NVDA が文字の説明を読み上げるようになりました。 (#6523)
- Microsoft Word において、NVDA+テンキーDeleteを押すと、カーソル位置からページの上の端と左の端までの距離を報告するようになりました。 (#1939)
- Google スプレッドシートで点字サポートを有効にした場合に、NVDA でセル単位のフォーカス移動を行うときに「選択」という報告を行わないようになりました。 (#8879)
- Foxit Reader および Foxit Phantom PDF に対応しました。 (#8944)
- DBeaver データベースツールに対応しました。 (#8905)

### 変更点

- オブジェクト表示カテゴリの「バルーン情報の報告」が「通知の報告」に変更されました。この設定の対象には Windows 8 以降のトースト通知が含まれます。 (#5789)
- NVDA 設定のキーボードカテゴリにおいて、NVDA制御キーの有効・無効を変更するチェックボックスが、リストにまとめられました。
- NVDA が Windows タスクトレイの時計を読み上げるときに不要な情報を含まないようになりました。 (#4364)
- liblouis 点訳エンジンを 3.7.0 に更新しました。 (#8697)
- eSpeak-NG 音声エンジンを commit 919f3240cbb に更新しました。

### バグ修正

- Outlook 2016/365 においてメッセージのカテゴリとフラグの状態を報告するようになりました。 (#8603)
- NVDA の言語でキルギス語、モンゴル語、マセドニア語などが選択されている場合に、これらの言語がオペレーティングシステムでサポートされていないという警告を起動時に表示しないようになりました。 (#8064)
- Mozilla Firefox, Google Chrome, Acrobat Reader DC などのブラウズモードで、ナビゲーターオブジェクトにマウスポインタを移動する場合の処理がより正確に行われるようになりました。(#6460)
- Firefox, Chrome, Internet Explorer などのウェブコンテンツにおけるコンボボックスの操作が改良されました。(#8664)
- Windows XP および Vista では実行できないことを知らせるメッセージを Windows 日本語版で正しく表示できるようになりました。 (#8771)
- Mozilla Firefox において、多くの要素が動的に変化する大規模なページの中でのナビゲーションの性能を改善しました。 (#8678)
- 書式とドキュメント情報の設定でフォント属性を無効にした場合に、点字ディスプレイで表示が無効になっていなかった問題を修正しました。 (#7615)
- ファイルエクスプローラーなど UI オートメーションを使用するアプリにおいて、他のアプリが処理中(たとえばバッチ処理で音声の加工を行うなど)の場合に NVDA がフォーカス位置を正しく処理できなくなっていた問題を修正しました。 (#7345)
- ウェブコンテンツの ARIA menus において、 Escape キーが入力されたときにキーイベントがメニューに送信されず、無条件にフォーカスモードが解除されていた問題を修正しました。 (#3215)
- 新しい Gmail ウェブインターフェイスにおいて、メッセージを読んでいる途中で1文字ナビゲーションを使うと、移動先の要素を報告した直後にメッセージの全体を報告していた問題を修正しました。 (#8887)
- NVDA を更新した後で Firefox や Google Chrome などのブラウザーがクラッシュする不具合を修正しました。またブラウザーで読み込まれたドキュメントがある場合に、NVDA を更新した後で引き続きブラウズモードを使用できるようになりました。 (#7641)
- ブラウズモードで多数のクリック可能な要素の中を移動する場合に、クリック可能の報告を繰り返さないようになりました。 (#7430)
- Baum Vario 40 点字ディスプレイで入力ジェスチャーの実行に失敗していた問題を修正しました。 (#8894)
- Google スライドと Mozilla Firefox の組み合わせにおいて、 コントロール単位のフォーカス移動を行うたびに選択された要素のテキストを報告していた問題を修正しました。 (#8964)

### 開発者向けの変更

- gui.nvdaControls は以下の2つのクラスを提供します。アクセシブルなチェックボックス付きのリストを作成できます。 (#7325)
  - CustomCheckListBox はアクセシブルな wx.CheckListBox のサブクラスです。
  - AutoWidthColumnCheckListCtrl は AutoWidthColumnListCtrl にアクセシブルなチェックリストを追加します。これは wx.ListCtrl の派生クラスです。
- アクセシブルでない wx widget をアクセシブルにする場合には gui.accPropServer.IAccPropServer_impl のインスタンスを使用できます。 (#7491)
  - 詳細は gui.nvdaControls.ListCtrlAccPropServer の実装を参照してください。
- configobj を 5.1.0dev commit 5b5de48a に更新しました。 (#4470)
- config.post_configProfileSwitch アクションはオプションとして prevConf キーワード引数を受け取ります。これにより、ハンドラーがアクションを実行するときに、プロファイルの切替の前後で設定がどう変化したかを確認することができます。 (#8758)

## 2018.3.2

このリリースの変更点は Google Chrome で twitter.com を閲覧する場合に起きるクラッシュに対応する修正です。 (#8777)

## 2018.3.1

このリリースの変更点は32ビット版 Mozilla Firefox のクラッシュに関する重要な不具合修正です。 (#8759)

## 2018.3

このリリースのハイライトは、点字ディスプレイの自動検出、Windows 10 絵文字パネルなどへの対応、多くのバグ修正です。

### 新機能

- Mozilla Firefox および Google Chrome と適切に作成された Web ページの組み合わせで、スペルミスの報告を行うようになりました。 (#8280)
- Google Chrome において、Webページの中で挿入や削除のマークアップを報告するようになりました。 (#8558)
- 点字ディスプレイ BrailleNote のドライバーを使用しているときに BrailleNote QT および Apex BT のスクロールホイールが利用できるようになりました。 (#5992, #5993)
- Foobar2000 アプリにおいて、現在のトラックの経過時間や合計時間を報告できるようにスクリプトが追加されました。 (#6596)
- Mac コマンドキーの記号 (⌘) がすべての音声エンジンで読み上げられるようになりました。 (#8366)
- aria-roledescription 属性によるカスタムロールがすべてのWebブラウザーで利用可能になりました。 (#8448)
- 新しい点字テーブル: チェコ語8点、中央クルド語、エスペラント、ハンガリー語、スウェーデン語8点コンピューター点字 (#8226, #8437)
- バックグラウンド処理で自動的に点字ディスプレイを検出できるようになりました。 (#1271)
  - ALVA, Baum/HumanWare/APH/Orbit, Eurobraille, Handy Tech, Hims, SuperBraille および HumanWare BrailleNote と Brailliant BI/B ディスプレイに現在は対応しています。
  - NVDA設定ダイアログの「点字ディスプレイ」選択ダイアログで「自動」を選ぶことでこの機能を利用できます。
  - 詳細はユーザーガイドを参照してください。
- Windows 10 の最近のリリースで導入されたさまざまな文字入力への対応。具体的には、絵文字パネル (Fall Creators Update)、ディクテーション (Fall Creators Update)、ハードウェアキーボード入力の予測候補 (April 2018 Update)、クラウドクリップボードの貼り付け (October 2018 Update)です。 (#7273)
- ARIA によるブロッククォート (role blockquote) が Mozilla Firefox 63 で利用できるようになりました。 (#8577)

### 変更点

- NVDA設定ダイアログの「一般」カテゴリで利用可能な言語のリストが言語の名前の順に並ぶようになりました。従来は ISO 639 コードの順番に並んでいました。 (#7284)
- Freedom Scientific の点字ディスプレイにおいて Alt+Shift+Tab および Windows+Tab のデフォルトジェスチャーを割り当てるようになりました。 (#7387)
- ALVA BC680 およびプロトコルコンバーターによる点字ディスプレイ接続において、左右のスマートパッド、親指と etouch キーに異なるコマンドを割り当てられるようになりました。 (#8230)
- ALVA BC6 点字ディスプレイにおいて、キーの組み合わせ sp2+sp3 は現在の日付と時刻の報告に割り当てられました。また sp1+sp2 は Windows キーのエミュレートになりました。 (#8230)
- NVDA 起動時に1回だけ、更新の確認で NV Access に情報を送ってもよいかどうかを質問するようになりました。 (#8217)
- 更新の確認において、NV Access に利用統計情報を送ることを了承した場合に、NVDA は現在の音声エンジンと点字ディスプレイの種類を送るようになりました。これは今後のドライバー開発の方針を決めるために使われます。 (#8217)
- liblouis 点訳エンジンを 3.6.0 に更新しました。 (#8365)
- ロシア語8点点字テーブルのパスを修正しました。 (#8446)
- eSpeak-ng を 1.49.3dev commit 910f4c2 に更新しました。 (#8561)

### バグ修正

- Google Chrome のブラウズモードにおいて、コントロールのアクセシブルラベル(aria-label)を報告するようになりました。 (#4773)
- Zoom アプリの通知に対応しました。例えばミュート、ミュート解除、メッセージの受信などです。 (#7754)
- ブラウズモードで点字表示コンテクストを切り替えたときに点字ディスプレイでカーソル追跡の表示が止まる不具合を修正しました。 (#7741)
- ALVA BC680 点字ディスプレイで初期化に失敗することがある問題を修正しました。 (#8106)
- ALVA BC6 ディスプレイのデフォルト設定において、sp2+sp3 でシステムキーボードのエミュレートをする内部機能の呼び出しを無効にしました。 (#8230)
- ALVA BC6 ディスプレイの sp2 で Alt キーをエミュレートする機能が正しく動作するようになりました。 (#8360)
- キーボード配列の切替における冗長な報告を控えるようになりました。(#7383, #8419)
- メモ帳やプレインテキストを編集するコントロールにおいて、ドキュメントの大きさが65535文字を超える場合に、マウスの追跡が不正確になっていた問題を修正しました。 (#8397)
- Windows 10 およびモダン UI アプリのダイアログをより適切に認識できるようになりました。 (#8405)
- Windows 10 October 2018 Update および Server 2019 およびそれ以降において、アプリのフリーズや大量のイベントが発生した場合に、システムフォーカスを追従できなくなっていた問題を修正しました。 (#7345, #8535)
- ステータスバーの報告やクリップボードへのコピーにおいて、内容がなかった場合の報告が行われるようになりました。 (#7789)
- コントロールが「一部チェック」から「チェックなし」に変更されたときに音声で報告されなかった問題を修正しました。 (#6946)
- NVDA 設定ダイアログ「一般」の言語のリストにおいて「ミャンマー語」が Windows 7 で正しく表示されるようになりました。 (#8544)
- Microsoft Edge において、読み取りビューが利用可能な場合や、ページ読み込みのプログレスなどを報告するようになりました。 (#8423)
- Web コンテンツでリストの中の移動において、aria-label などのラベルがある場合に報告するようになりました。 (#7652)
- 点字ディスプレイの入力ジェスチャーへのコマンドの割り当てにおいて、特定の点字ディスプレイに割り当てたコマンドが常に表示されるようになりました。従来は、現在アクティブな点字ディスプレイに割り当てられたコマンドだけが表示されていました。 (#8108)
- Media Player Classic の64ビット版に対応しました。 (#6066)
- Microsoft Word で UI Automation が有効の場合の点字ディスプレイ対応などの改善:
  - 複数行エディットフィールドの場合と同様に、ドキュメントの開始位置に移動する場合の点字ディスプレイの表示範囲が変更されました。具体的には、ドキュメントの最初の文字が点字ディスプレイの開始位置に表示されるようになりました。 (#8406)
  - Wordドキュメントにフォーカスを移動した場合の、音声および点字ディスプレイの両方についての冗長な報告を控えるようになりました。 (#8407)
  - Wordドキュメントのリストにおいて、点字ディスプレイのタッチカーソルに関する処理を修正しました。 (#7971)
  - Wordドキュメントの箇条書き挿入において、音声および点字ディスプレイのビュレットや番号に関する報告を修正しました。 (#7970)
- Windows 10 バージョン 1803 以降の「ワールドワイド言語サポートで Unicode UTF-8 を使用」が有効の場合に、アドオンのインストールで不具合が起こらないようになりました。 (#8599)
- iTunes 12.9 以降が NVDA で操作できない不具合を修正しました。 (#8744)

### 開発者向けの変更

- scriptHandler.script を追加しました。これは scriptable objects のスクリプトに対するデコレーターとして使えます。 (#6266)
- NVDA のためのシステムテストフレームワークを導入しました。 (#708)
- hwPortUtils モジュールの変更点: (#1271)
  - listUsbDevices がディクショナリを yield します。これは hardwareID や devicePath などのデバイス情報を含みます。
  - hardware ID に USB VID/PID を含むような COM ポートの場合に、listComPorts が yield するディクショナリに usbID が含まれます。
- wxPython を 4.0.3 に更新しました。 (#7077)
- NVDA のサポート対象が Windows 7 SP1 またはそれ以降になったため "minWindowsVersion" キーによって Windows のバージョンで UIA の有効・無効を判断する処理は削除されました。 (#8422)
- config の save や reset アクションで通知を受ける処理を登録できるようになりました。導入されたアクションは config.pre_configSave, config.post_configSave, config.pre_configReset, config.post_configReset です。 (#7598)
  - config.pre_configSave は NVDA の設定が保存される直前に呼ばれます。 config.post_configSave は保存の直後に呼ばれます。
  - config.pre_configReset と config.post_configReset には factory defaults flag があります。設定がディスクからリロードされた場合は False で、設定をデフォルトに戻した場合は True です。
- config.configProfileSwitch の名前を config.post_configProfileSwitch に変更しました。これは実際にプロファイルの切替を実行したあとで呼ばれることを明確にするためです。 (#7598)
- Windows 10 October 2018 Update および Server 2019 に対応させるために UI Automation インターフェイスを更新しました。(IUIAutomation6 / IUIAutomationElement9) (#8473)

## 2018.2.1

このリリースの変更点は翻訳の更新です。不具合が発生したために取り消された機能に関する翻訳が正しく更新されました。

## 2018.2

このリリースのハイライトは、Kindle for PC でのテーブルへの対応、HumanWare BrailleNote Touch および BI14 点字ディスプレイへの対応、OneCore および SAPI5 音声エンジンへの対応の改善、 Microsoft Outlook 対応の改善などです。

### 新機能

- テーブルで結合されたセルの行と列が、音声と点字で報告されるようになりました。(#2642)
- Google ドキュメントで点字モードを有効にした場合に、NVDAのテーブルナビゲーションが利用可能になりました。(#7946)
- Kindle for PCでテーブルの読み取りやナビゲーションができるようになりました。(#7977)
- HumanWare BrailleNote touch および Brailliant BI 14 点字ディスプレイが USB 接続および Bluetooth 接続で利用可能になりました。 (#6524)
- Windows 10 Fall Creators Update 以降において、電卓や Microsoft ストアなどのアプリによる通知を報告できるようになりました。(#7984)
- 新しい点訳テーブル: リトアニア語8点、ウクライナ語、モンゴル語2級 (#7839)
- 点字セルの位置のテキストの書式とドキュメント情報を報告するスクリプトが追加されました。 (#7106)
- NVDA を更新する場合に、ダウンロードだけをすぐに行い、インストールをあとで行えるようになりました。 (#4263)
- 新しい言語: モンゴル語、スイスのドイツ語
- 点字文字入力において control, shift, alt, windows および NVDA キーの割り当てが可能になりました。また、これらの修飾キーと点字文字入力を組み合わせて、例えば control+s などを登録できるようになりました。(#7306)
  - 新しい修飾キーのトグルは、入力ジェスチャーのダイアログの「システムキーボードのキー入力エミュレート」からコマンドを選ぶことができます。
- Handy Tech Braillino および Modular (旧版ファームウェア) の点字ディスプレイにふたたび対応しました。(#8016)
- 特定の Handy Tech 機器 (Active Braille および Active Star など) において日付と時刻が5秒よりも多くずれている場合に NVDA によって同期を行うようになりました。 (#8016)
- すべての設定プロファイルのトリガーを一時的に無効にする入力ジェスチャーが追加されました。(#4935)

### 変更点

- アドオンマネージャーで状態の列に「有効」「無効」と表示されるようになりました。以前は「実行中」「保留」などが表示されていました。(#7929)
- liblouis 点訳エンジンを 3.5.0 に更新しました。(#7839)
- リトアニア語点字テーブルの名前を「リトアニア語6点」に変更しました。これは新しい8点のテーブルとの区別を容易にするためです。(#7839)
- フランス語(カナダ)1級および2級の点字テーブルが廃止され、フランス語統一6点コンピューター点字および2級点字が使用されるようになりました。(#7839)
- Alva BC6, EuroBraille および Papenmeier 点字ディスプレイの第2タッチカーソルボタンで、その場所のテキストの書式とドキュメント情報が報告されるようになりました。(#7106)
- 縮約点字入力テーブルの使用中に、読み取り専用であれば自動的に非縮約モードに切り替わるようになりました。例えば、キャレットが表示されないコントロールやブラウズモードの場合などです。(#7306)
- Outlook カレンダーの予定または時間帯が一日の全体をカバーしている場合に、 NVDA の読み上げが冗長すぎる問題を改善しました。(#7949)
- 複数のダイアログに分かれていた NVDA の設定を、NVDA メニュー → 設定 → 設定 で開くことができる「NVDA設定ダイアログ」にまとめました。(#577)
- Windows 10 で NVDA を使用する場合の既定の音声エンジンを eSpeak から OneCore 音声に変更しました。(#8176)

### バグ修正

- 設定アプリにおけるマイクロソフトアカウントのサインイン画面で、メールアドレス入力後にフォーカス位置のコントロールを NVDA が読み上げできなくなる問題を修正しました。(#7997)
- Microsoft Edge で前のページに戻ったときに NVDA がページを読み上げなくなる問題を修正しました。(#7997)
- Windows 10 で PC のロックを解除するときの PIN の入力において、最後の数字を読み上げてしまう問題を修正しました。(#7908)
- Chrome と Firefox のブラウズモードで Tab キーや1文字ナビゲーションを使って移動したときに、チェックボックスとラジオボタンのラベルが2重に報告されていた問題を修正しました。(#7960)
- aria-current で false という値の場合に true と誤って報告されていた問題を修正しました。(#7892).
- Windows OneCore 音声で選択された音声がアンインストールされた場合に、音声エンジンの読み込みに失敗していた問題を修正しました。(#7553)
- Windows OneCore 音声での音声の切り替えが早くなりました。(#7999)
- 複数の点字テーブルで不適切な点字が出力されていた問題を修正しました。例えばデンマーク語8点2級点字における大文字符などです。(#7526, #7693)
- Microsoft Word において NVDA がより多くの種類のビュレットを報告できるようになりました。(#6778)
- 「書式とドキュメント情報の報告」スクリプトを実行したときに不適切にレビューカーソルが移動してしまい、実行を繰り返すと結果が変化してしまっていた問題を修正しました。 (#7869)
- 点字入力でサポートされていない場合に縮約点字を許してしまっていた問題を修正しました。例えば、エディットコントロールの外やブラウズモードなど、システムに単語を送信すべきではない場合です。(#7306)
- Handy Tech Easy Braille および Braille Wave 点字ディスプレイの接続における安定性を改善しました。(#8016)
- Windows 8 およびそれ以降において、Windows+X のクイックリンクメニューを開き、項目を選択するときに「未定義」と読み上げていた問題を修正しました。 (#8137)
- Hims 点字ディスプレイで機種依存のジェスチャー割り当てがユーザーガイドに記載されたとおりに機能するようになりました。(#8096)
- Firefox や Internet Explorer などが操作できなくなり「未定義」という報告しかしないような場合に、NVDA は COM 登録の問題の修正を試みるようになりました。(#2807)
- タスクマネージャーの不具合によってプロセスの詳細情報にアクセスできなくなる問題への対策を行いました。(#8147)
- 新しい Microsoft SAPI5 音声において、読み上げの最後に無音が入ってしまう問題が修正され、これらの音声を使った操作がより快適になりました。(#8174)
- 最近のバージョンの Windows で時刻の情報を点字ディスプレイに表示したり1文字ずつ読み上げたりするときに、LTR および RTL の記号を報告しないようになりました。(#5729)
- Hims Smart Beetle 点字ディスプレイでスクロールキーの検出が不安定になっていた問題を修正しました。(#6086)
- Delphi アプリなどのテキストコントロールにおいて、編集やナビゲーションに関する情報をより適切に取得できるようになりました。(#636, #8102)
- Windows 10 RS5 で Alt+Tab によるタスク切り替えを行ったときに冗長な読み上げを行わないようになりました。(#8258)

### 開発者向けの変更

- UIAオブジェクトの developer info で UIA パターンのリストが利用可能になりました。(#5712)
- アプリモジュールで isGoodUIAWindow メソッドを実装することにより、特定のウィンドウで常に UIA の使用を強制できるようになりました。(#7961)
- 設定ファイルの braille セクションにある非公式の boolean フラグ "outputPass1Only" を廃止しました。Liblouis の pass 1 only output が廃止されたためです。(#7839)

## 2018.1.1

このリリースでは Windows 10 Redstone 4 (バージョン1803) における OneCore 音声合成エンジンのドライバーの不具合を修正しました。 (#8082)

## 2018.1

このリリースのハイライトは、Microsoft Word と PowerPoint におけるグラフの操作、Eurobraille 点字ディスプレイや Optelec プロトコルコンバーターへの対応、HIMS や Optelec の点字ディスプレイ対応の改善、Mozilla Firefox 58 以降への対応の改善などです。

### 新機能

- Microsoft Word と Microsoft PowerPoint において、Excel と同様にグラフの操作や読み上げができるようになりました。(#7046)
  - Microsoft Word: ブラウズモードで埋め込みされたグラフにカーソルを移動して Enter を押し、操作を開始します。
  - Microsoft PowerPoint のスライド編集: グラフオブジェクトに Tab で移動し、Enter またはスペースで操作を開始します。
  - グラフの操作を中断するには Escape を押します。
- 新しい言語: キルギス語
- VitalSource Bookshelf に対応しました。(#7155)
- Optelec プロトコルコンバーターに対応しました。これは ALVA BC6 通信プロトコルで Braille Voyager および Satellite を使用するための機器です。(#6731)
- ALVA 640 Comfort 点字ディスプレイで点字文字入力が可能になりました。(#7733)
  - その他の BC6 ディスプレイをファームウェア 3.0.0 以上で使用する場合にも、 NVDA の点字文字入力は利用できます。
- Google スプレッドシートの点字サポートへの実験的な対応 (#7935)
- Eurobraille Esys, Esytime および Iris 点字ディスプレイへの対応 (#7488)

### 変更点

- HIMS Braille Sense/Braille EDGE/Smart Beetle および Hims Sync Braille ディスプレイドライバーをひとつの新しいドライバーに統合しました。以前の syncBraille ドライバーを使っていた場合は自動的に新しいドライバーが選択されます。(#7459)
  - HIMS 製品の一般的な利用方法に合わせて、スクロールキーなど、いくつかのキーの割り当てが変更されました。詳細はユーザーガイドを参照してください。
- タッチによるオンスクリーンキーボード入力の場合に、他のコントロールの操作に合わせて、ダブルタップでの文字入力がデフォルトの操作になりました。(#7309)
  - 従来の「タッチ文字入力モード」、つまりタッチで文字が入力される動作に切り替えるには、設定メニューの「タッチ操作」設定ダイアログでこのオプションを有効にします。
- 点字ディスプレイ表示を手動でフォーカスとレビューカーソルのどちらに追従させるかを切り替えるのではなく、これらが自動的に切り替わる動作がデフォルトになりました。(#2385)
  - レビューカーソル追従モードには、レビューカーソルまたはオブジェクトナビゲーションを使用した場合に切り替わります。スクロール操作ではこの切り替えは有効になりません。

### バグ修正

- NVDA が非ASCII文字を含むパスにインストールされている場合に、NVDA+f を2回押す操作(現在のフォーマット情報の確認)などブラウズ可能メッセージ表示で不具合を起こさないようになりました。(#7474)
- Spotify アプリに他のアプリからフォーカスを戻した場合に、フォーカスが正常に戻るようになりました。(#7689)
- Windows 10 Fall Creaters Update において Windows Defender セキュリティセンターでフォルダーアクセスの制御を有効にした場合に、 NVDA の更新が失敗しないようになりました。(#7696)
- Hims Smart Beetle ディスプレイのスクロールキー検出に関する不具合を修正しました。(#6086)
- Mozilla Firefox 58 以降で容量の大きいコンテンツをレンダリングした場合の性能を若干改善しました。(#7719)
- Microsoft Outlook においてテーブルを含むメールを読むときにエラーが起きていた問題を修正しました。(#6827)
- システムキーボードの修飾キーのエミュレートを行う点字ディスプレイジェスチャーにおいて、機種特有のジェスチャーが1つ以上使われていれば、複数のキーの同時押しをエミュレートできるようになりました。(#7783)
- Mozilla Firefox において LastPass や bitwarden などの機能拡張が表示したポップアップをブラウズモードで適切に扱えるようになりました。(#7809)
- Firefox や Chrome がフリーズやクラッシュで無応答になったときに NVDA がフォーカス移動のたびにフリーズする不具合を修正しました。(#7818)
- Chiken Nugget のような Twitter クライアントにおいて、NVDA が280文字のツイートの最後の20文字を読み飛ばす不具合を修正しました。(#7828)
- テキストが選択されたときに NVDA が記号の報告を適切な言語で行うようになりました。(#7687)
- 最近のバージョンの Office 365 版 Excel においてグラフを矢印キーで操作できなかった不具合を修正しました。(#7046)
- 音声および点字ディスプレイ出力において、コントロールの状態が、「あり」と「なし」の違いにかかわらず、常に同じ順序で報告されるようになりました。(#7076)
- Windows 10 Mail などのアプリにおいてバックスペースが押されたときに NVDA が削除された文字の報告をできなかった不具合を修正しました。(#7456)
- Hims Braille Sense Polaris ディスプレイのすべてのキーが期待通りに動作するようになりました。(#7865)

### 開発者向けの変更

- 設定ファイルの braille セクションに非公開の boolean フラグ outputPass1Only が追加されました。(#7301, #7693, #7702)
  - このフラグのデフォルトは True です。False にすると、点字出力において liblouis のマルチパス規則が有効になります。
- 点字ディスプレイで使用中のドライバーが他の新しいドライバーに置き換えられた場合に円滑に移行できるように、新しいディクショナリ braille.RENAMED_DRIVERS が追加されました。(#7459)
- comtypes パッケージを 1.1.3 に更新しました。(#7831)
- braille.BrailleDisplayDriver に確認とアクナレッジメントのパケットを送信するための汎用のシステムが実装されました。使用例として handyTech ドライバーを参照してください。(#7590, #7721)
- config モジュールに新しい変数 isAppX が追加されました。NVDA が Windows Desktop Bridge ストアアプリとして実行されているかどうかを判断できます。(#7851)
- NVDAObjects や browseMode など textInfo を持つドキュメントの実装について、標準のテーブルナビゲーションスクリプトを取得するための継承元として documentBase.documentWithTableNavigation クラスが追加されました。新たに実装されたドキュメントをテーブルナビゲーションに対応させるためには、このクラスを参照して、どのヘルパーメソッドを提供するべきかを検討してください。(#7849)
- Python 3 がインストールされている場合に scons バッチファイルが Python ランチャーを適切に使用し、Python 2.7 32ビット版を呼び出すように改善されました。(#7541)
- hwIo.Hid が exclusive パラメーターを受け取るようになりました。この値のデフォルトは True です。 False の場合にはデバイスが NVDA に接続されていても他のアプリとの通信が許可されます。(#7859)

## 2017.4

このリリースのハイライトは、Web のダイアログでブラウズモードをデフォルトにするなどの Web 関連のバグ修正や改善、ブラウズモードにおけるフィールドグループのラベルの報告の改善、Windows Defender Application Guard や Windows 10 on ARM64 など新しい Windows 10 関連技術への対応、画面の向きやバッテリー残量を自動的に報告する機能などです。 このバージョンから NVDA は Windows XP と Vista では使用できません。NVDA は Windows 7 SP1 以降に対応します。

### 新機能

- ブラウズモードにおいて「コンテナの直後に移動」「コンテナの先頭に移動」(コンマとShift+コンマ)で、現在のランドマークの残りの部分を飛ばしたり、現在のランドマークの先頭に移動したりできるようになりました。 (#5482)
- Firefox, Chrome, Internet Explorer において、1文字ナビゲーションの「エディットフィールド」や「フォームフィールド」の対象に編集可能なリッチテキスト(contentEditable)が含まれるようになりました。 (#5534)
- Webブラウザーの要素リストで「フォームフィールド」と「ボタン」のリストが利用可能になりました。 (#588)
- Windows 10 on ARM64 への対応 (#7508)
- アクセシブルな数式を含む Kindle 電子書籍において、数式コンテンツの読み上げと対話的なナビゲーションができるようになりました。 (#7536)
- Azardi e-book reader に対応しました。 (#5848)
- アドオンの更新においてバージョンの情報を報告するようになりました。 (#5324)
- NVDA のポータブル版を作成する新しいコマンドライン引数が追加されました。 (#6329)
- Windows 10 Fall Creators Update の Windows Defender Application Guard において Microsoft Edge が利用できるようになりました。 (#7600)
- ラップトップやタブレットで NVDA を使用したときに電源の接続や切断、画面の向きの変化などを報告するようになりました。 (#4574, #4612)
- 新しい言語: マケドニア語
- 新しい点字テーブル: クロアチア語1級、ベトナム語1級 (#7518, #7565)
- Handy Tech 社の Actilino 点字ディスプレイに対応しました。 (#7590)
- Handy Tech 社の点字ディスプレイで点字文字入力が可能になりました。 (#7590)

### 変更点

- NVDA は Windows 7 SP1 または Windows Server 2008 R2 SP1 以降にのみ対応するようになりました。 (#7546)
- Firefox と Chrome において role が dialog であるような Web コンテンツでは自動的にブラウズモードに切り替わるようになりました。ただし Web アプリケーションの場合を除きます。 (#4493)
- ブラウズモードにおいて、タブによる移動や1文字ナビゲーションによる移動の場合に、リストやテーブルから抜けたことを報告しないようになりました。これによりナビゲーションが効率的になります。 (#2591)
- Firefox と Chrome のブラウズモードにおいて、1文字ナビゲーションやTabキーによるフォーカス移動で、フォームフィールドのグループの名前が報告されるようになりました。 (#3321)
- ブラウズモードの1文字ナビゲーションで、埋め込みオブジェクトへの移動(O と Shift+O)が、オーディオやビデオの要素、ARIA role が application および dialog である要素を対象とするようになりました。 (#7239)
- Espeak-ng が 1.49.2 に更新されました。リリースビルドにおける問題が修正されています。 (#7385, #7583)
- ステータスバーの報告コマンドをすばやく3回押すと、内容をクリップボードにコピーするようになりました。 (#1785)
- Baum 点字ディスプレイのキーにジェスチャーを割り当てるときに、使用している点字ディスプレイだけを対象にできるようになりました(VarioUltra や Pronto など) (#7517)
- ブラウズモードの要素リストで「フィルター」のアクセラレーターキーを Alt+F から Alt+E に変更しました。 (#7569)
- ブラウズモードでレイアウト用のテーブルを含めるかどうかの切り替えを、入力ジェスチャーで使用できるようになりました。入力ジェスチャーのダイアログの「ブラウズモード」カテゴリにこのコマンドがあり、既定では操作が未割り当てになっています。 (#7634)
- liblouis 点訳エンジンが 3.3.0 に更新されました。 (#7565)
- 読み上げ辞書のダイアログで正規表現のラジオボタンのアクセラレーターキーを Alt+R から Alt+E に変更しました。 (#6782)
- 読み上げ辞書のファイルにフォーマットバージョンの概念が導入され 'speechDicts/voiceDicts.v1' ディレクトリに辞書ファイルが置かれるようになりました。 (#7592)
- 設定プロファイルや音声読み上げ辞書など、フォーマットバージョンで管理されるファイルについて、インストーラーの中で動作する NVDA が設定の変更を保存しないようになりました。 (#7688)
- Handy Tech 社の点字ディスプレイ Braillino, Bookworm, Modular(旧バージョンのファームウェア)への NVDA 単独でのサポートを終了しました。ただし Handy Tech Universal Driver をインストールして NVDA アドオンを追加すれば、引き続きこれらの機種を NVDA で使用できます。 (#7590)

### バグ修正

- Microsoft Word などのアプリにおいて、リンクが点字ディスプレイで表示されるようになりました。 (#6780)
- Firefox および Chrome のウェブブラウザーで多数のタブを開いている場合に動作が遅くなっていた問題に対応しました。 (#3138)
- MDV Lilli 点字ディスプレイでタッチカーソルが正しい移動先の一つ次のセルに移動していた問題を修正しました。 (#7469)
- Internet Explorer とその他の MSHTML ドキュメントにおいて HTML5 の required 属性に対応し、フォームフィールドが「必須」であることを報告するようになりました。 (#7321)
- WordPad の左寄せドキュメントにアラビア語の文字を入力するときに点字ディスプレイの表示が更新されるようになりました。 (#511)
- Mozilla Firefox でコントロールにアクセシブルなラベルがつけられていて、そのラベルがコンテンツそのものとして扱われていない場合に、ブラウズモードでより効率的に報告されるようになりました。 (#4773)
- Windows 10 Creaters Update において NVDA を再起動した後で Firefox にアクセスできなくなっていた問題を修正しました。 (#7269)
- Mozilla Firefox にフォーカスがある状態で NVDA を再起動した場合に、ブラウズモードが利用できなくなっていた問題を修正しました。ただし、Alt+Tab でいったん他のアプリにフォーカスを移してから、Firefox にフォーカスを戻す必要があるかも知れません。 (#5758)
- Mozilla Firefox がインストールされていない環境でも Google Chrome の数式コンテンツを扱えるようになりました。 (#7308)
- NVDA がインストールされ再起動されていない状態で Windows や他のアプリの動作が不安定になっていた問題が、このバージョンから改善されました。 (#7563)
- コンテンツの認識コマンド (NVDA+R) において、ナビゲーターオブジェクトが利用できない場合に、何も報告をしないのではなく、エラーメッセージを報告するようになりました。 (#7567)
- Freedom Scientific 社の点字ディスプレイで、左バンパーバーを備えている機種において、戻る方向へのスクロールの不具合が修正されました。 (#7713)

### 開発者向けの変更

- "scons tests" で translatable strings における translator comment をチェックします。 "scons checkPot" でもこのテストが実行されます。 (#7492)
- コードの特定の箇所に拡張性をもたらす汎用フレームワーク extensionPoints モジュールが追加されました。アクションの発生(extensionPoints.Action)、特定のデータの更新(extensionPoints.Filter)、なにかを実行する前に判断が必要な場合(extensionPoints.Decider)に、第三者が処理を追加できます。 (#3393)
- 設定プロファイルが切り替わったことの通知を config.configProfileSwitched アクションとして受け取るための登録が可能になりました。 (#3393)
- システムキーボードの Ctrl や Alt など修飾キーをエミュレートする点字ディスプレイのジェスチャーが、特別な定義なしに、他のキー入力のエミュレートと組み合わせられるようになりました。 (#6213)
  - 例えば、点字ディスプレイの特定のスイッチが Alt キーに割り当てられていて、別のスイッチが下矢印キーに割り当てられている場合に、それらの両方を押すと Alt+下矢印キーのエミュレートになります。
- クラス braille.BrailleDisplayGesture に model プロパティが追加されます。スイッチを押すと機種依存のジェスチャー識別情報が生成されます。これにより、特定の機種の点字ディスプレイに限定して入力ジェスチャーの割り当てができます。
  - Baum ドライバーをこの機能の使い方の例として参照してください。
- NVDA のコンパイルに Visual Studio 2017 と Windows 10 SDK を使うようになりました。 (#7568)

## 2017.3

このリリースのハイライトは、縮約点字での文字入力への対応、Windows 10 で利用可能な OneCore 音声エンジンへの対応、Windows 10 文字認識への対応、点字および Web に関する改善です。

### 新機能

- 点字設定に「メッセージの表示を終了させない」オプションが追加されました。(#6669)
- Microsoft Outlook のメッセージ一覧において、メッセージにフラグがついていることを報告するようになりました。(#6374)
- Microsoft PowerPoint においてスライドの編集中にシェイプの具体的な種類(三角形、円、ビデオ、矢印など)を報告するようになりました。(#7111)
- Google Chrome において、MathMLで記述された数式コンテンツを扱えるようになりました。(#7184)
- NVDA は Windows 10 の OneCore 音声(モバイル音声)を音声エンジンとして使えるようになりました。NVDA メニューの「音声エンジン」から選択できます。(#6159)
- NVDA のユーザー設定ファイルをローカル設定フォルダーに保存できるようになりました。この切り替えにはレジストリの設定が必要です。ユーザーガイドの「システム全体のパラメーター」を参照してください。(#6812)
- ウェブブラウザーにおいてフィールドのプレイスホルダーの値を報告できるようになりました(具体的には aria-placeholder への対応です)。(#7004)
- Microsoft Word のブラウズモードにおいて、1文字ナビゲーション w および shift+w でスペルミスに移動できるようになりました。(#6942)
- Microsoft Outlook の予定ダイアログで使われる日付選択コントロールに対応しました。(#7217)
- 現在選択されている自動入力候補(Windows 10 メールの to や cc フィールド、Windows 10 設定の検索フィールドなど)を報告するようになりました。(#6241)
- 特定の検索フィールドで自動入力候補が表示されたことを音で知らせるようになりました(スタートウィンドウ、設定の検索、Windows 10 メールの to や cc フィールドなど)。(#6241)
- Skype for Business Desktop において通知を自動的に知らせるようになりました(例えば誰かがあなたとの会話を開始したときなど)。(#7281)
- Skype for Business の会話において受信したチャットのメッセージが自動的に報告されるようになりました。(#7286)
- Microsoft Edge で通知を自動的に知らせるようになりました(例えばダウンロードの開始など)。(#7281)
- 点字キーボードのついた点字ディスプレイを使って、縮約点字および非縮約点字のどちらも入力ができるようになりました。ユーザーガイドの「点字入力」セクションを参照してください。(#2439)
- 点字設定「入力テーブル」で「Unicode 点字」を選択すると Unicode 点字パターンを入力できるようになりました。(#6449)
- 台湾で使われている SuperBraille 点字ディスプレイに対応しました。(#7352)
- 新しい点字変換テーブルが追加されました: デンマーク語8点コンピューター点字、リトアニア語、ペルシア語8点コンピューター点字、ペルシア語1級点字、スロベニア語8点コンピューター点字 (#6188, #6550, #6773, #7367)
- 英語(米国)8点コンピューター点字のテーブルが改良され、ビュレット、ユーロ記号、アクセント付き文字などがサポートされました。(#6836)
- NVDA から Windows 10 文字認識エンジンを使って画像やアクセシブルでないアプリに含まれる文字を認識できるようになりました。(#7361)
  - 文字認識の言語は NVDA 設定「Windows 10 文字認識」ダイアログで選択します。
  - 現在のナビゲーターオブジェクトの画像を認識するには NVDA+r を押します。
  - ユーザーガイドの「画像認識」セクションを参照してください。
- 点字設定「フォーカスの前後の情報」から、オブジェクトにフォーカスが移動したときに点字ディスプレイに表示する情報を選べるようになりました。(#217)
  - 「変化したら表示」「前にスクロールしたら表示」を選ぶと、リストやメニューをより効率的に操作できます。これらの項目はディスプレイ上での位置が連続的に変化しないからです。
  - ユーザーガイド「フォーカスの前後の情報」セクションを参照してください。
- Firefox と Chrome において、コンテンツの一部分だけが読み込まれたり表示されたりするスプレッドシートなど複雑で動的なグリッドを扱えるようになりました(具体的には ARIA 1.1 で導入された aria-rowcount, aria-colcount, aria-rowindex および aria-colindex への対応です)。(#7410)

### 変更点

- 初期状態ではどのキーにも割り当てられていないコマンド「NVDAの再起動」を追加しました。入力ジェスチャーのダイアログで「全般」カテゴリから選択可能です。(#6396)
- 「ようこそ画面」でキーボード配列を設定できるようになりました。(#6863)
- 点字ディスプレイ出力においてコントロールの種類や状態などの短縮表記が追加されました。ランドマークも短縮表記になりました。詳しい情報はユーザーガイド「点字ディスプレイ」の「コントロールの種類、状態、ランドマークの表記」を参照してください。(#7188, #3975)
- eSpeak NG をバージョン 1.49.1 に更新しました。(#7280)
- 点字設定ダイアログの「出力テーブル」および「入力テーブル」がアルファベット順に並んで表示されるようになりました。(#6113)
- liblouis 点訳エンジンをバージョン 3.2.0 に更新しました。(#6935)
- 既定の点字テーブルを統一英語点字1級に変更しました。(#6952)
- 点字ディスプレイでオブジェクトにフォーカスが移動したときに、変化のあった前後の情報をあわせて表示するようになりました。(#217)
  - 以前のバージョンでは、変化のあった情報であるかどうかに関わらず、ディスプレイの幅の許す限り多くの情報を表示していました。
  - 以前のバージョンと同じ動作に戻したい場合は点字設定「フォーカスの前後の情報」を「常に表示」に切り替えてください。
- 点字ディスプレイがフォーカス追従の場合のレビューカーソル追従の場合でカーソルの形を変えられるようになりました。(#7112)
- NVDA のロゴを更新しました。新しいロゴは紫色の背景に N V D A の文字を組み合わせた白い図形です。NV Access のロゴと紫色が統一され、背景がどのような色であっても読みやすいものになりました。(#7446)

### バグ修正

- Chrome のブラウズモードにおいて div 要素が contentEditable である場合に aria-label の値が要素の内容として解釈されないようになりました。(#7153)
- Microsoft Word のブラウズモードにおいて空のドキュメントで End キーを押したときにランタイムエラーが発生しないようになりました。(#7009)
- Microsoft Edge のブラウズモードにおいて ARIA role が document と指定された場合に正しく解釈するようになりました。(#6998)
- ブラウズモードにおいて Shift+End を押して行末までの選択や選択解除を行う操作が、キャレットが行の最後の文字にある場合にも正しく動作するようになりました。(#7157)
- ダイアログがプログレスバーを含んでいるときに、プログレスバーが変化した場合にダイアログのテキストが点字ディスプレイで適切に更新されるようになりました。例えば NVDA の「更新をダウンロード中」ダイアログで残り時間を読み取れるようになりました。(#6862)
- Windows 10 の自動再生や設定など一部のコンボボックスで、選択項目の変化を NVDA が報告しなかった問題を修正しました。(#6337)
- Microsoft Outlook において「会議」「連絡先」の新規作成ダイアログで無駄な情報が報告されていた問題を修正しました。(#7216)
- 進捗度が不確定なプログレスバーのダイアログ(更新の確認など)において、「プログレスバー出力」の設定を無視してビープ音を出力していた問題を修正しました。(#6759)
- Microsoft Excel 2003 および 2007 において、矢印キーでワークシート内を移動したときにセルの内容を報告していなかった問題を修正しました。(#7243)
- Windows 10 Creators Update およびそれ以降のバージョンにおける「メール」アプリでメールを読むときにブラウズモードに自動的に切り替わらなかった問題を修正しました。(#7289)
- 点字キーボードを備えた点字ディスプレイにおいて、7の点は直前の点字セル入力または文字入力の取り消し、8の点は Enter キーとして機能するようになりました。(#6054)
- 編集可能なテキストにおいて、キャレットが移動したときに(カーソルキーやバックスペースが押されたときに)、NVDA が報告する文字がより適切になりました。具体的には Chrome やターミナルなどのアプリにおける改善です。(#6424)
- Microsoft Outlook 2016 の「署名の編集」の内容が読み上げられるようになりました。(#7253)
- Java Swing アプリにおけるテーブルのナビゲーションで NVDA がクラッシュすることがあった問題を修正しました。(#6992)
- Windows 10 Creators Update において同じトースト通知を NVDA が何度も繰り返し報告していた問題を修正しました。(#7128)
- Windows 10 のスタートメニューで検索をした直後に Enter を押してスタートメニューを閉じると、その後も検索のテキストを報告しなおしていた問題を修正しました。(#7370)
- Microsoft Edge で見出しの1文字ナビゲーションを実行したときの処理速度を改善しました。(#7343)
- Microsoft Edge におけるブラウズモードのナビゲーションで, WordPress 2015 テーマなど特定の Web ページの大きな要素を不適切に読み飛ばしていた問題を修正しました。(#7143)
- Microsoft Edge において英語以外の言語にランドマークを適切に翻訳して報告するようになりました。(#7328)
- 点字ディスプレイの幅よりも長いテキストを選択した場合に、点字表示が選択範囲を適切に扱うようになりました。例えば、Shift+下矢印で複数行を選択した場合に、点字ディスプレイの表示は選択範囲の最後の行を表示します。(#5770)
- Firefox において twitter.com のツイートの詳細を開いたときに NVDA が「セクション」という無駄な報告を繰り返していた問題を修正しました。(#5741)
- ブラウズモードにおいてレイアウト目的のテーブルに対するテーブルのナビゲーション操作を無効にしました。ただし「レイアウト目的のテーブルを区別しない」オプションがチェックされていれば利用可能です。(#7382)
- Firefox および Chrome のブラウズモードにおいて、テーブルナビゲーション操作が hidden 指定されたテーブルのセルを適切にスキップするようになりました。(#6652, #5655)

### 開発者向けの変更

- ログに含まれるタイムスタンプがミリ秒単位になりました。(#7163)
- NVDA のビルドには Visual Studio Community 2015 が必要です。Visual Studio Express はサポートされません。(#7110)
  - Visual Studio をインストールするときに「ツールおよび Windows 10 SDK」 (Windows 10 Tools and SDK) を選択する必要があります。
  - 詳しくは README ドキュメントの Installed Dependencies セクションを参照してください。
- contentRecog パッケージを使って文字や画像を認識するツールを実装できるようになりました。(#7361)
- Python の json パッケージが NVDA のバイナリービルドに含まれるようになりました。(#3050)

## 2017.2

このリリースのハイライトは、Windows 10 Creators Update における「音のダッキング」対応の改善、ブラウズモードにおける選択操作(「すべて選択」を含む)の不具合修正、Microsoft Edge ブラウザ対応の改善、Web閲覧における現在の選択の属性(aria-current)への対応の改善です。

### 新機能

- Microsoft Excel において NVDA+F を使うとセルの罫線が報告されるようになりました。 (#3044)
- ウェブブラウザーにおいてある要素が現在の選択としてマークアップされている(具体的にはaria-current属性が使われている)場合に NVDA が報告するようになりました。 (#6358)
- 言語の自動切り替えが Microsoft Edge に対応しました。(#6852)
- Windows 電卓アプリが Windows 10 Enterprise LTSB (Long-Term Servicing Branch) および Server で利用できるようになりました。(#6914)
- 現在の行の報告コマンドを3回すばやく繰り返して押すと、行の内容を文字ごとに説明して読み上げるようになりました。(#6893)
- 新しい言語: ビルマ語
- Unicode の上矢印や下矢印、分数記号などを適切に読み上げるようになりました。(#3805)

### 変更点

- UI Automation 対応アプリで簡易レビューモードを使う場合に、不要なオブジェクトをより適切に省略するようになり、ナビゲーションが容易になりました。(#6948, #6950)

### バグ修正

- ウェブページのメニュー項目に対して、ブラウズモードからアクションを実行できるようになりました。(#6735)
- 設定プロファイルの「削除の確認」ダイアログにおいて Esc キーを押してもダイアログが閉じなかった問題を修正しました。(#6851)
- マルチプロセス機能を有効にした Mozilla Firefox とその他の Gecko アプリがクラッシュする問題を修正しました。(#6885)
- 画面レビューにおける背景の色の報告が、背景の透明な場所に表示されたテキストについてもより正確に行われるようになりました。(#6467)
- Internet Explorer 11 でウェブページを表示する場合に、コントロールの説明をより適切に行うようになりました。(具体的には iframe の内側で aria-describedby に複数の ID が指定されている場合に関する改善です)(#5784)
- Windows 10 Creators Update において NVDA の「音のダッキング」が再び適切に動作するようになりました。つまり「音声とサウンドの出力時にダッキング」「常にダッキング」「ダッキングなし」がすべて利用できます。(#6933)
- キーボードショートカットの定義がない UIA コントロールに対する移動や報告を NVDA が適切に行えない問題を修正しました。(#6779)
- UIA コントロールのキーボードショートカット情報において2個の空白が追加されていた問題を修正しました。(#6790)
- HIMS 点字ディスプレイの特定のキーの組み合わせ(スペース+4の点)がときどき操作できなくなっていた問題を修正しました。(#3157)
- 英語以外の言語に設定された環境において、シリアルポートで点字ディスプレイに接続できない場合がある問題を修正しました。(#6845)
- Windows がシャットダウンするときに設定ファイルが破壊されることがある問題に対応しました。設定ファイルを保存する場合にいったん別のファイルに書き込みを行い、それからファイルの入れ替えを行うようになりました。(#3165)
- 現在の行の報告コマンドを2回繰り返して押したときに、スペルを正しい言語で報告するようになりました。(#6726)
- Windows 10 Creators Update の Microsoft Edge において、前後の行への移動が最高で約3倍高速になりました。(#6994)
- Windows 10 Creators Update の Microsoft Edge ドキュメントにフォーカスが移動するときに "Web Runtime grouping" という報告をしないようになりました。(#6948)
- すべてのバージョンの SecureCRT がサポートされるようになりました。(#6302)
- Adobe Acrobat Reader で特定の PDF ファイルの操作中にクラッシュしないようになりました。(具体的には空の ActualText 属性がある場合)(#7021, #7034)
- Microsoft Edge のブラウズモードにおいて、対話的なテーブル(ARIA grids)に T および Shift+T で適切に移動できるようになりました。(#6977)
- ブラウズモードにおいて、次の文字や行に選択範囲を広げた後に Shift+Home を押した場合に、適切に選択を解除して行の先頭に移動するようになりました。(#5746)
- ブラウズモードにおいて Ctrl+A で「すべて選択」を実行した場合に、キャレットがテキストの先頭にない場合でもすべてのテキストが適切に選択されるようになりました。(#6909)
- ブラウズモードのテキスト選択において起きる可能性がある不具合の一部を修正しました。(#7131)

### 開発者向けの変更

- コマンドライン引数の処理に Python の argparse を使用するようになりました。以前は optparse が使われていました。これにより -r と -q など同時に利用できないオプションを正しく処理するようになりました。(#6865)
- core.callLater は指定された時間が経過してからコールバックを NVDA のメインキューに入れるようになりました。以前は core を呼び出して直接実行していました。この変更により、メッセージボックス表示などのモーダルな処理の途中で core がコールバックの直後にスリープしてしまい NVDA がフリーズするという問題を回避できます。(#6797)
- InputGesture.identifiers プロパティを正規化しないようになりました。(#6945)
  - サブクラスがこのプロパティを返す場合には正規化は不要です。
  - 正規化された識別子が必要な場合は InputGesture.normalizedIdentifiers を使用します。これは identifiers プロパティを正規化した値を返します。
- InputGesture.logIdentifier プロパティは廃止予定になりました。代わりに InputGesture.identifiers[0] を使用します。(#6945)
- 廃止予定のコードが削除されました:
  - `speech.REASON_*` 定数: `controlTypes.REASON_*` を代わりに使用します。(#6846)
  - synth settings の `i18nName`: `displayName` と `displayNameWithAccelerator` を代わりに使用します。(#6846, #5185)
  - `config.validateConfig` (#6846, #667)
  - `config.save`: `config.conf.save` を代わりに使用します。(#6846, #667)
- Python コンソールの自動補完コンテクストメニューの補完リストで入力対象のシンボルだけを表示するようになりました。以前は直前のオブジェクトのパスが付与されていました。(#7023)
- ユニットテストのフレームワークが追加されました。(#7026)
  - ユニットテストとそのインフラストラクチャは tests/unit ディレクトリにあります。詳細は tests\unit\init.py の docstring を参照してください。
  - "scons tests" でテストを実行できます。詳細は readme.md の "Running Tests" を参照してください。
  - NVDA へのプルリクエストを出すときにはテストが通ることを確認してください。

## 2017.1

このリリースのハイライトは、Microsoft Wordにおけるセクションと段組の通知、Kindle for PCでの本の読み上げとナビゲーションおよび引用、Microsoft Edgeのサポートの改良などです。

### 新機能

- Microsoft Wordにて、セクションの区切りのタイプ、セクション番号が報告されるようになりました。この機能は、書式情報ダイアログの「ページ番号の報告」オプションにより有効化できます。(#5946)
- Microsoft Wordにて、段組が報告されるようになりました。この機能は、書式情報ダイアログの「ページ番号の報告」オプションにより有効化できます。(#5946)
- WordPadにて、自動言語切り替えがサポートされました。(#6555)
- Microsoft Edgeのブラウズモードにて、NVDA 検索コマンド(NVDA+Control+F)がサポートされました。(#6580)
- Microsoft Edgeのブラウズモードにて、ボタンのクイックナビゲーション(BおよびShift+B)がサポートされました。(#6577)
- Microsoft Excelでシートをコピーする場合に、列と行の見出しが保存されるようになりました。(#6628)
- Kindle for PC バージョン 1.19にて、本の読み上げとナビゲーションに対応しました。リンク、脚注、グラフィック、テキストのハイライト、ユーザーノートの操作を含みます。詳しくは、NVDAユーザーガイドのKindle for PCセクションをお読みください。(#6247, #6638)
- Microsoft Edgeにて、ブラウズモードのテーブルナビゲーションがサポートされました。(#6594)
- Microsoft Excelにて、レビューカーソルの位置情報の報告コマンド(デスクトップ: NVDA+テンキーDelete、ラップトップ: NVDA+Delete)により、ワークシートの名前およびセル番地が報告されるようになりました。(#6613)
- 終了ダイアログに、デバッグレベルでのログを記録するようにして再起動するオプションが追加されました(#6689)

### 変更点

- 点字カーソルの点滅速度の最小値が200ミリ秒になりました。これより小さい値に設定されている場合は、200ミリ秒に変更されます。(#6470)
- 点字設定ダイアログに、点字カーソルの点滅をするかしないかを設定できるチェックボックスが追加されました。以前は、カーソルの点滅をしないようにするには点滅速度0の値が使用されていました。(#6470)
- eSpeak NG をバージョン e095f008 (10 Jan 2017) に更新しました。(#6717)
- Windows 10 Creators Update の仕様変更により、NVDA の「音のダッキング」の設定で「常にダッキング」が使用できなくなりました。以前のバージョンの Windows 10 ではこの設定は有効です。(#6684)
- Windows 10 Creators Update の仕様変更により、NVDAの「音声とサウンドの出力時にダッキング」は、音声が開始するまでに確実にダッキングされるとは限らず、音声が終了するまでダッキングされ続けるとも限らないようになりました。これは音量の急激な変化を避けるためです。この変更は以前のバージョンの Windows 10 での動作には影響しません。(#6684)

### バグ修正

- Microsoft Wordのブラウズモードにて、サイズの大きいドキュメントのパラグラフを移動する時にフリーズする問題を修正しました。(#6368)
- Microsoft ExcelからコピーされたMicrosoft Wordのテーブルが、レイアウトテーブルとして扱われ無視される問題を修正しました。(#5927)
- Microsoft Excelの保護ビューで文字を入力しようとしたとき、実際には入力されていない文字を読み上げるのではなく、効果音を出すようになりました。(#6570)
- Microsoft ExcelでEscapeキーを押した時に、間違ってブラウズモードに切り替わる問題を修正しました。ただし、ユーザーがNVDA+Spaceで明示的にブラウズモードに切り替え、フォームフィールドで Enter を押してフォーカスモードに入った場合を除きます。(#6569)
- Microsoft Excelのスプレッドシートで、行全体または列全体を結合する場合にNVDAがフリーズする問題を修正しました。(#6216)
- Microsoft Excelのセルでの文字の途切れまたはオーバーフローがより正確に報告されるようになりました。(#6472)
- チェックボックスが読み取り専用の場合に、NVDAが報告するようになりました。(#6563)
- NVDAの起動にて、オーディオデバイスが使用できないことが原因でロゴサウンドを再生できない場合に、警告ダイアログを表示しないようになりました。(#6289)
- Microsoft Excelのリボンのコントロールが行えない場合は、行えないことが報告されるようになりました。(#6430)
- ウィンドウを最小化する時に、NVDAは「ペイン」という通知をしなくなりました。(#6671)
- Windows 10 Creators Update 環境の Universal Windows Platform (UWP)アプリケーション(Microsoft Edgeを含む)にて、入力文字を読み上げるようになりました。(#6017)
- マウストラッキングが、複数モニターのコンピュータの全ての画面で、使用できるようになりました(#6598)
- Windows Media Player をスライダーコントロールにフォーカスがある状態で終了したあとに NVDA が使用できなくなる問題を修正しました。(#5467)

### 開発者向けの変更

- プロファイルと設定情報のファイルは、スキーマ変更の要求を満たすように自動的にアップグレードされるようになりました。アップグレードの途中でエラーが起きた場合は、設定がリセットされ過去の設定ファイルが有効になり、このことがNVDAのログレベル「情報」で報告されます。(#6470)

## 2016.4

このリリースのハイライトは、Microsoft Edge対応の改善、Windows 10 Mail アプリへのブラウズモードの対応、NVDAのダイアログ表示の大幅な改善です。

### 新機能

- NVDAは行インデントをビープ音で報告できるようになりました。NVDAの書式設定ダイアログ「行インデントの報告」コンボボックスで設定を選ぶことができます。 (#5906)
- Orbit Reader 20 点字ディスプレイに対応しました。 (#6007)
- NVDA起動時にスピーチビューアーを表示するオプションが追加されました。スピーチビューアーのウィンドウのチェックボックスで有効化できます。 (#5050)
- スピーチビューアーを開き直したときに、前回と同じウィンドウの位置と大きさで表示されるようになりました。 (#5050)
- Microsoft Word の相互参照フィールドがハイパーリンクと同様に扱われるようになりました。つまり、リンクとして報告され、アクションを実行できます。 (#6102)
- Baum SuperVario2, Baum Vario 340 および HumanWare Brailliant2 点字ディスプレイに対応しました。 (#6116)
- Microsoft Edge のアニバーサリーアップデート版に対して初期的なサポートを行いました。 (#6271)
- Windows 10 の「メール」アプリでメールの内容を読むときにブラウズモードが使われるようになりました。 (#6271)

### 変更点

- liblouis 点訳エンジンが 3.0.0 に更新されました。統一英語点字(Unified English Braille)対応の大幅な改善が含まれます。 (#6109, #4194, #6220, #6140)
- アドオンマネージャーにおいて、アドオンの無効化と有効化のボタンにキーボードショートカット(Alt+DおよびAlt+E)が割り当てられました。 (#6388)
- NVDAのダイアログの余白や配置などが改善されました。 (#6317, #5548, #6342, #6343, #6349)
- 書式情報のダイアログの内容をスクロールして確認できるようになりました。(#6348)
- 句読点・記号読み上げ辞書のダイアログのレイアウトを改善し、ダイアログの幅に合わせてリストを表示するようになりました。(#6101)
- ウェブブラウザーのブラウズモードにおいて、エディットフィールドとフォームフィールドの1文字ナビゲーション(それぞれEおよびShift+E, FおよびShift+F)が読み取り専用のエディットフィールドを除外しないようになりました。(#4164)
- NVDAの書式情報の設定ダイアログ「カーソル移動後に書式の変化を報告」の英語での表記に announce ではなく report を使うようになりました。この設定は音声と点字ディスプレイの両方に影響を与えるためです。(#6336)
- NVDAの「ようこそ画面」の視覚的な構成を変更しました。(#6350)
- NVDA のダイアログボックスにおいて「OK」と「キャンセル」のボタンを右に揃えて表示するようになりました。(#6333)
- 音声設定ダイアログ「大文字のピッチ変更率」のような数値を入力するフィールドにおいてスピンコントロールが使われるようになりました。数値を直接入力することも、上下の矢印キーで値を変更することもできます。(#6099)
- インラインフレーム(iフレーム、ドキュメント中に埋め込まれたドキュメント)の報告方法がブラウザーによって異なっていた問題に対応しました。具体的には Firefox で「iフレーム」を「フレーム」と報告するように変更されました。(#6047)

### バグ修正

- スピーチビューアーを表示した状態でNVDAを終了するとエラーが発生する場合があった問題に対応しました。(#5050)
- Mozilla Firefoxのブラウズモードにおけるイメージマップの処理の不具合に対応しました。(#6051)
- 読み上げ辞書の編集ダイアログにおいて、Enterキーを押すと変更された内容を保存してダイアログを閉じるようになりました。以前のバージョンではEnterキーが機能していませんでした。(#6206)
- 入力メソッドのモード(英数字の直接入力、全角文字、半角文字など)を変更したときに点字ディスプレイに報告されるようになりました。(#5892, #5893)
- アドオンを無効化してすぐに有効化した場合などに、アドオンの状態の表示が正しく直前の状態に戻るようになりました。(#6299)
- Microsoft Word において、ヘッダーに含まれるページ番号のフィールドを報告するようになりました。(#6004)
- 句読点・記号読み上げ辞書のダイアログにおいて、句読点・記号のリストと読みのエディットフィールドの間のフォーカス移動がマウスで行えるようになりました。(#6312)
- Microsoft Word のブラウズモードにおいて、ドキュメントが不正なハイパーリンクを含んでいた場合に、要素リストの表示が行われなかった問題に対応しました。(#5886)
- スピーチビューアーをタスクバーの「閉じる」ボタンや Alt+F4 で閉じたあとで、NVDAメニューのスピーチビューアーのチェック状態が正しく更新されるようになりました。(#6340)
- プラグインの再読込コマンドを使用すると、設定プロファイルにおけるアクティブなプロファイルの扱いが不適切になったり、ウェブブラウザーの新しいドキュメントを開く操作や画面レビューに不具合が起きたりしていた問題に対応しました。(#2892, #5380)
- NVDAの一般設定ダイアログの言語のリストにおいて、アラゴン語などの言語が Windows 10 で正しく表示されるようになりました。(#6259)
- システムキーボードのエミュレートによるキー入力(点字ディスプレイのボタンでTabキーの入力をエミュレートする場合など)が入力ヘルプや入力ジェスチャーのダイアログなどで国際化されて報告または表示されるようになりました。以前のバージョンでは常に英語の表記になっていました。(#6212)
- NVDAの一般設定ダイアログで言語を変更する場合に、NVDAが再起動されるまで変更前の言語が使われるようになりました。(#4561)
- 新しい読み上げ辞書の登録でパターンのフィールドを空欄のまま登録できていた問題に対応しました。(#6412)
- 一部のシステムでシリアルポートのスキャンを正しく実行できず、点字ディスプレイに接続できなかった問題を修正しました。(#6462)
- Microsoft Word において、テーブルのセル単位の移動を行ったときにセルの中の行頭番号が正しく読み上げられない問題に対応しました。(#6446)
- Handy Tech 点字ディスプレイドライバーを使う場合に、NVDAの入力ジェスチャーのダイアログで点字ディスプレイのジェスチャーをコマンドに割り当てられるようになりました。(#6461)
- Microsoft Excel のスプレッドシート内のナビゲーションにおいて、Enterキーでの次の行への移動が正しく報告されるようになりました。(#6500)
- iTunes においてiTunesストアやApple Musicなどをブラウズモードで使用したときにフリーズする問題に対応しました。(#6502)
- 64ビットのMozillaとChromeベースのアプリでクラッシュする問題に対応しました。(#6497)
- マルチプロセスを有効化したFirefoxにおいて、ブラウズモードや編集可能テキストフィールドが正しく操作できるようになりました。(#6380)

### 開発者向けの変更

- アプリモジュールが対象とする実行ファイルの名前にドット(.)が含まれている場合への対応が可能になりました。ドットはアンダースコア(_)に置換されます。 (#5323)
- 新しい gui.guiHelper モジュールには、wxPythonのGUI作成を単純化するユーティリティ関数が含まれます。これには余白を自動的に管理する処理が含まれます。視覚的により適切で一貫性のある画面表示を作ることが可能になり、また視覚に障害のある開発者がGUIを作ることが容易になります。(#6287)

## 2016.3

このリリースのハイライトは、アドオンを個別に無効化できる機能、Microsoft Excel におけるフォームフィールドへの対応、色の報告に関する改善、一部の点字ディスプレイへの対応の改善、Microsoft Word 対応に関する改良と修正です。

### 新機能

- Windows 10 Anniversary Update の Microsoft Edge で PDF ドキュメントがブラウズモードに対応しました。 (#5740)
- Microsoft Word で打ち消し線と2重打ち消し線を報告するようになりました。 (#5800)
- Microsoft Word でテーブルのタイトルを報告するようになりました。また詳細説明がある場合にはブラウズモードで「詳細説明を開く」コマンド(NVDA+D)を使えるようになりました。 (#5943)
- Microsoft Word で段落の移動(Alt+Shift+下矢印, Alt+Shift+上矢印)を実行したときに位置を報告するようになりました。 (#5945)
- Microsoft Word のショートカットキー操作で行間を変更したとき、およびNVDAの書式の報告コマンドを使ったときに行間を報告するようになりました。また NVDA の書式情報の設定で「行間の報告」をチェックしている場合には、テキストの中を移動していて行間が変化した場合にも行間を報告します。 (#2961)
- Internet Explorer において、HTML5 の構造要素を解釈するようになりました。 (#5591)
- Microsoft Word などにおけるコメントの報告を、NVDA の書式情報の設定「コメントの報告」で無効化できるようになりました。 (#5108)
- アドオンマネージャーでアドオンを個別に無効化できるようになりました。 (#3090)
- ALVA BC640/680 シリーズの点字ディスプレイにおいて、コマンドの割り当てが可能なキーが追加されました。 (#5206)
- 「点字表示をフォーカスに移動」コマンドが追加されました。現在は ALVA BC640/680 シリーズの点字ディスプレイでこのコマンドにキーの割り当てがあります。他の点字ディスプレイでは「入力ジェスチャー」でこのコマンドの割り当てを追加できます。 (#5250)
- Microsoft Excel においてフォームフィールドを操作できるようになりました。ブラウズモードで要素リストまたは1文字ナビゲーションを使ってフォームフィールドに移動できます。 (#4953)
- 入力ジェスチャーで「簡易レビューモードの切り替え」を割り当て可能なコマンドとして使えるようになりました。 (#6173)

### 変更点

- NVDAによる色の報告で、基本的でよく知られている9種類の色合い、3種類の網掛け、明るさと淡い色のバリエーションが使われるようになりました。これまでは主観的で理解しにくい色の名前が使われていました。 (#6029)
- 従来の NVDA+F9 と NVDA+F10 の操作が変更されました。NVDA+F10 でテキストを選択します。NVDA+F10 を素早く2回続けて押すと、そのテキストがクリップボードにコピーされます。 (#4636)
- eSpeak NG をバージョン Master 11b1a7b (22 June 2016) に更新しました。 (#6037)

### バグ修正

- Microsoft Word のブラウズモードにおいて、クリップボードにコピーする操作で書式が保存されるようになりました。 (#5956)
- Microsoft Word に備わっているテーブルナビゲーション操作(Alt+Home, Alt+End, Alt+PageUp, Alt+PageDown)やテーブルの選択操作(Shiftを押しながらナビゲーション操作のキーを押す)を使ったときに適切な報告が行われるようになりました。 (#5961)
- Microsoft Word のダイアログボックスに対する NVDA のオブジェクトナビゲーションが大幅に改良されました。 (#6036)
- Visual Studio 2015 などのアプリにおいて、ショートカットキーによる操作(Ctrl+Cによるコピーなど)が適切に報告されるようになりました。 (#6021)
- 一部の環境でのシリアルポートのスキャンの不具合を修正しました。この問題によって特定の点字ディスプレイドライバーが使用できない場合がありました。 (#6015)
- Microsoft Word における色の報告が改善されました。具体的には Microsoft Office テーマの変更が考慮されるようになりました。 (#5997)
- Windows 10 の2016年4月以降のビルドにおいて、Microsoft Edge およびスタートメニューの候補表示に対するブラウズモードが動作するようになりました。 (#5955)
- Microsoft Word でテーブルのセルが統合されている場合に見出しの報告がより適切に動作するようになりました。 (#5926)
- Windows 10 メールアプリでメッセージの内容の読み上げが不具合を起こさないようになりました。 (#5635)
- コマンドキーの読み上げが有効の場合に CapsLock などのロックするキーが重複して読み上げられる不具合を修正しました。 (#5490)
- Windows 10 Anniversary Update のユーザーアカウント制御ダイアログが正しく読み上げられるようになりました。 (#5942)
- Web Conference Plugin (out-of-sight.net などで使用されています) において、マイク入力に応答して NVDA がビープ音を鳴らしたりプログレスバーの読み上げを行ったりする問題を修正しました。 (#5888)
- ブラウズモードにおける「次を検索」「前を検索」が、大文字と小文字を区別する検索の場合に正しく実行されるようになりました。 (#5522)
- ユーザー辞書の編集において、正規表現のエラーを報告するようになりました。正規表現に正しくない記述がある場合に NVDA がクラッシュしていた問題を修正しました。 (#4834)
- NVDA が点字ディスプレイに接続できない場合(例えば点字ディスプレイが取り外された場合)に、自動的にそのディスプレイへの接続を無効化するようになりました。 (#1555)
- ブラウズモードの要素リストでフィルターを使用すると性能が低下することがあった問題を改善しました。 (#6126)
- Microsoft Excel で背景パターンを NVDA が報告するときに、Excel のパターンの名前に合わせるようになりました。 (#6092)
- Windows 10 のログオン画面への対応を改善しました。例えばアラートの報告や、パスワードフィールドをタッチでアクティブ化した場合の報告などです。 (#6010)
- ALVA BC640/680 シリーズの点字ディスプレイの補助タッチカーソルを NVDA が適切に検出するようになりました。 (#5206)
- Windows 10 の最近のビルドにおいて Windows トーストの通知を報告するようになりました。 (#6096)
- Baum 互換および HumanWare Brailliant B 点字ディスプレイにおいて、キープレスの認識が停止することがあった問題を修正しました。 (#6035)
- NVDA の書式情報設定で「行番号の報告」を有効にしている場合に、点字ディスプレイにも行番号を表示するようになりました。 (#5941)
- 読み上げモードを「なし」にした場合に、オブジェクトの報告(例えば NVDA+Tab によるフォーカス位置の報告など)がスピーチビューアーに適切に出力されるようになりました。 (#6049)
- Outlook 2016 のメッセージ一覧において「関連する下書き」を報告しないようになりました。 (#6219)
- Google Chrome および Chrome ベースのブラウザーを英語以外の言語で使っている場合に、ブラウズモードでのドキュメントの操作ができなくなっていた問題を修正しました。 (#6249)

### 開発者向けの変更

- プロパティからの情報を直接ログ出力する場合に、そのプロパティが再帰的に繰り返し出力されてしまう問題を修正しました。 (#6122)

## 2016.2.1

このリリースでは Microsoft Word の不具合を修正します:

- Windows XP において Microsoft Word が起動直後にクラッシュする不具合が修正されました。(#6033)
- Microsoft Word の文章校正の結果の報告機能を削除しました。この機能がクラッシュの原因となっていたためです。(#5954, #5877)

## 2016.2

このリリースのハイライトは、入力中のスペルの誤りの報告、Microsoft Word における文章校正の結果の報告、その他の Microsoft Office 対応に関する改良と修正です。

### 新機能

- Internet Explorer およびその他の MSHTML コントロールにおいて、1文字ナビゲーション(a および shift+a)で次の注釈や前の注釈に移動するときに、挿入または削除されたテキストにも移動するようになりました。 (#5691)
- NVDA は Microsoft Excel において、行や列のグループの折りたたみと展開に加えて、グループのレベルも報告するようになりました。 (#5690)
- 書式の報告コマンドを2回続けて押すと、書式をブラウズモードで表示するようになりました。この情報はレビューの操作で確認できます。 (#4908)
- Microsoft Excel 2010 以降のバージョンにおいて、セルの網掛け背景や塗りつぶしのグラデーションなどを報告するようになりました。NVDA メニューの書式情報の設定で「色の報告」をチェックしている場合は、この報告は自動的に行われます。(#3683)
- 新しい点字テーブル：コイネーギリシャ語 (#5393)
- ログビューアーにおいて、ショートカットキー Ctrl+S でログの保存ができるようになりました。 (#4532)
- スペルの間違いの報告を有効にしていて、フォーカス位置のコントロールが非対応でない場合に、NVDA はスペルの間違いを入力中に音で報告するようになりました。NVDA メニューのキーボード設定「スペルの間違いを入力中に音で報告」をチェックなしにすればこの機能は無効になります。 (#2024)
- Microsoft Word において文章校正の結果を報告するようになりました。NVDA メニューの書式情報設定「文章校正の結果の報告」でこの機能を無効にできます。 (#5877)

### 変更点

- ブラウズモードと編集可能テキストのフィールドにおいて、NVDA はテンキーの Enter をメインキーの Enter と同様に扱うようになりました。 (#5385)
- NVDA が eSpeak NG 音声エンジンを採用しました。 (#5651)
- Microsoft Excel において、セルと見出しの間に空白の行がある場合に NVDA はセルの列見出しを無視しないようになりました。 (#5396)
- Microsoft Excel において、見出しの前にセル番地を報告するようになりました。これは見出しとセルの内容を区別しやすくするためです。 (#5396)

### バグ修正

- ブラウズモードにおいて、1文字ナビゲーションで移動しようとした要素が現在のドキュメントで未対応の場合に、その方向にこれ以上要素がないと報告するのではなく、サポートされていないと報告するようになりました。 (#5691)
- Microsoft Excel の要素リストでシートの一覧を表示するときに、グラフだけが含まれているシートが正しく含まれるようになりました。 (#5698)
- IntelliJ や Android Studio など複数のウィンドウを持つ Java アプリにおいて、ウィンドウを切り替えるときに NVDA は不必要な情報を報告しないようになりました。 (#5732)
- Notepad++ など Scintilla ベースのテキストエディターにおいて、点字ディスプレイを使用する場合に、カーソルの移動によって点字出力が適切に更新されるようになりました。 (#5678)
- 点字出力を有効化したときに NVDA がクラッシュすることがある問題を修正しました。 (#4457)
- Microsoft Word において、段落インデントは常にユーザーが指定した長さの単位(センチメートルやインチなど)で報告されるようになりました。 (#5804)
- 音声のみで出力されていた NVDA のメッセージの多くが、点字ディスプレイでも出力されるようになりました。 (#5557)
- アクセシブルな Java アプリにおいて、ツリービューの項目のレベルの報告が行われるようになりました。 (#5766)
- Mozilla Firefox において Adobe Flash がクラッシュすることがある問題を修正しました。 (#5367)
- Google Chrome および Chrome ベースのブラウザーにおいて、ダイアログやアプリに含まれるドキュメントがブラウズモードで読み取れるようになりました。 (#5818)
- Google Chrome および Chrome ベースのブラウザーにおいて、ウェブのダイアログやアプリで NVDA を強制的にブラウズモードに切り替えることが可能になりました。 (#5818)
- Internet Explorer およびその他の MSHTML コントロールにおいて、特定のコントロール(具体的には aria-activedescendant が使われているもの)にフォーカスを移動した場合に、不適切にブラウズモードに切り替わる問題を修正しました。この現象は、例えば Gmail でメッセージを作成するときに、アドレスフィールドの予測候補への移動で起きていました。 (#5676)
- Microsoft Word において行列見出しの報告が有効な場合に、大きなテーブルで NVDA がフリーズしていた問題を修正しました。 (#5878)
- Microsoft Word において、組み込みの見出しスタイルではないアウトラインレベルが設定されたテキストを、NVDA が不適切に見出しと報告していた問題を修正しました。 (#5186)
- Microsoft Word のブラウズモードにおいて、コンテナの先頭や直後に移動するコマンド(コンマ、Shift+コンマ)がテーブルで使えるようになりました。 (#5883)

### 開発者向けの変更

- NVDA の C++ コンポーネントが Microsoft Visual Studio 2015 でビルドされるようになりました。 (#5592)
- ui.browseableMessage によってテキストや HTML メッセージをユーザーにブラウズさせることが可能になりました。 (#4908)
- ユーザーガイドにおいて設定の説明で %kc:setting コマンドが使われ、すべてのレイアウトで共通のキー操作の場合に、キーの記号として半角コロンに加えて全角コロンが使えるようになりました。 (#5739)

## 2016.1

このリリースのハイライトは、NVDA 以外の音量を低くする機能、点字出力および点字ディスプレイ対応の改良、Microsoft Office 対応の改良、iTunes でのブラウズモードの改良などです。

### 新機能

- 新しい点訳テーブル: ポーランド語8点コンピューター点字、モンゴル語 (#5537, #5574)
- 点字カーソルを非表示にしたり、形状を変更したりできます。点字設定ダイアログの「点字カーソル」と「点字カーソルの形の切替」を使用してください。 (#5198)
- HIMS Smart Beetle 点字ディスプレイに Bluetooth で接続できるようになりました。(#5607)
- Windows 8 以降に NVDA をインストールして利用する場合に、NVDA 以外の音量を低くする設定ができるようになりました。これは「音声エンジン」ダイアログの「音のダッキング」オプションまたは NVDA+Shift+D で設定できます。 (#3830, #5575)
- APH Refreshabraille の HID モードでの利用、Baum VarioUltra, Pronto! への USB 接続での利用が可能になりました。 (#5609)
- HumanWare Brailliant BI/B 点字ディスプレイを OpenBraille プロトコルで利用できるようになりました。 (#5612)

### 変更点

- 強調の報告が既定値でチェックなしになりました。 (#4920)
- Microsoft Excel の要素リストダイアログで、数式のショートカットが Alt+R に変更されました。これは「フィルター」との重複を避けるためです。 (#5527)
- liblouis 点訳エンジンが 2.6.5 に更新されました。 (#5574)
- テキストオブジェクトにフォーカスやレビューカーソルを移動したときの報告に「テキスト」という言葉を含めないようになりました。 (#5452)

### バグ修正

- iTunes 12 で iTunes Store のページが読み込まれたときに、ブラウズモードの更新が正しく行われるようになりました。 (#5191)
- Internet Explorer およびその他の MSHTML コントロールにおいて、アクセシビリティ目的の見出しレベルが追加指定されていても、1文字ナビゲーションによる見出しジャンプが適切に動作するようになりました(具体的には H タグの見出しレベルが aria-level 属性で上書きされる場合)。 (#5434)
- Spotify におけるフォーカス移動で「未定義」オブジェクトが頻繁に出現する問題に対応しました。 (#5439)
- 他のアプリから Spotify に戻ったときにフォーカスの位置が適切に処理されるようになりました。 (#5439)
- ブラウズモードとフォーカスモードを切り替えたときに、音声に加えて点字ディスプレイでもモードを報告するようになりました。(#5239)
- 特定のバージョンの Windows でタスクバーのスタートボタンがリストまたは選択済みと報告される問題に対応しました。 (#5178)
- Microsoft Outlook のメッセージ作成において「追加マークあり」などの不必要なメッセージを報告していた問題に対応しました。 (#5486)
- 点字ディスプレイ利用時に現在の行のテキストが選択されていた場合(テキストエディターで文字列を検索して、現在の行にその文字列が見つかった場合など)に、点字ディスプレイのスクロールが必要に応じて適切に行われるようになりました。 (#5410)
- Windows 10 においてコマンドプロンプトを Alt+F4 で終了したときに NVDA 自身が終了していた問題に対応しました。 (#5343)
- ブラウズモードの要素リストにおいて、要素の種別を変更したときに、フィルターのフィールドがクリアされるようになりました。 (#5511)
- Mozilla アプリケーションの編集可能テキストでマウスポインタを移動したときに、適切な行や単語などの読み上げではなく内容全体を読み上げていた問題に対応しました。 (#5535)
- Mozilla アプリケーションの編集可能テキストでマウスポインタを移動したときに、読み上げる単語や行などにリンクなどの要素が含まれると読み上げが停止していた問題に対応しました。 (#2160, #5535)
- Internet Explorer のブラウズモードにおいて shoprite.com ウェブサイトをブランクとしてではなく適切に読み上げるようになりました(特に不適切な lang 属性に対してより適切な処理を行うようになりました) (#5569)
- Microsoft Word において変更履歴を非表示にしている場合に「追加マークあり」などの変更履歴を報告しないようになりました。 (#5566)
- トグルボタンにフォーカスがある場合に、ボタンが押されている状態から押されていない状態への変化を報告するようになりました。 (#5441)
- マウスポインタの形状の変化が報告されなくなっていた問題に対応しました。 (#5595)
- 行のインデントの読み上げにおいて、ノーブレークスペースを空白として扱うようになりました。以前は「3個のスペース」ではなく「スペース スペース スペース」と報告されていました。 (#5610)
- モダン環境の Microsoft IME の候補リストを閉じたときに、フォーカスを適切に入力コンポジションや入力中のドキュメントに戻すようになりました。 (#4145)
- Microsoft Office 2013 およびそれ以降のバージョンにおいて、リボンのタブだけが表示されるように切り替えた後でもういちどタブをアクティブ化した場合に、リボンに含まれる項目が適切に報告されなかった問題に対応しました。 (#5504)
- タッチスクリーンのジェスチャーの検出とバインディングの修正および改良 (#5652)
- 入力ヘルプモードでタッチスクリーンのホバーを報告しないようになりました。(#5652)
- Microsoft Excel で、結合されたセルにコメントがつけられていた場合に、要素リストがコメントの一覧を表示できなかった問題を修正しました。 (#5704)
- Micorsoft Excel で行列見出しの報告を使用しているときに、シートの内容を正しく報告できない場合があった問題に対応しました。 (#5705)
- Google Chrome で東アジア言語文字の入力コンポジションにおけるキャレットの移動が適切に動作するようになりました。 (#4080)
- iTunes で Apple Music の検索を行う場合に、ブラウズモードで読み取る検索結果ドキュメントの内容が適切に更新されるようになりました。 (#5659)
- Microsoft Excel において shift+f11 で新しいワークシートを作成したときに新しいシートに移動したことを報告するようになりました。 (#5689)
- 韓国語文字の入力における点字ディスプレイ出力の不具合を修正しました。 (#5640)

### 開発者向けの変更

- 音を出力する処理で audioDucking.AudioDucker クラスを使うことにより、バックグラウンドの音のダッキングを制御できるようになりました。 (#3830)
- nvwave.WavePlayer のコンストラクタは wantDucking キーワード引数を取ることができます。これは音の出力中にバックグラウンドの音をダッキングさせたいかどうかの指定です。 (#3830)
  - これを有効(既定値)にする場合は、適切なタイミングで WavePlayer.idle を呼び出す必要があります。
- 点字ディスプレイのための拡張 I/O : (#5609)
  - スレッドセーフな点字ディスプレイドライバーであることを BrailleDisplayDriver.isThreadSafe 属性で指定できます。以下の機能はスレッドセーフなドライバーに限って利用できます。
  - スレッドセーフな点字ディスプレイドライバーに対するバックグラウンドでのデータの書き込み。これは性能の改善に役立ちます。
  - hwIo.Serial による pyserial の拡張。データを受信したことをドライバーがポーリングするかわりに、呼び出し可能オブジェクトのコールバックを受けることができます。
  - hwIo.Hid による USB HID 接続の点字ディスプレイ対応。
  - hwPortUtils および hwIo はオプションで詳細なデバッグログを提供可能。デバイスの発見、データの送受信の完了など。
- タッチスクリーンジェスチャーのオブジェクトから利用可能なプロパティの追加: (#5652)
  - MultitouchTracker オブジェクトの childTrackers プロパティは、そのトラッカーを構成する MultiTouchTrackers を保持します。例えば「2本指2回タップ」の子トラッカーは、2個の「2本指タップ」です。さらに「2本指タップ」の子トラッカーは2個の「タップ」です。
  - あるトラッカーが1本指のタップ、フリック、ホバーによって生成された場合、その MultiTouchTracker オブジェクトには rawSingleTouchTracker プロパティがあります。この SingleTouchTracker からはオペレーティングシステムが割り当てた指の ID を参照できます。また、その指のタッチが現在も続いているかどうかを知ることができます。
  - TouchInputGestures には x および y のプロパティがあります。トラッカーを使わなくても簡単にこれらの情報が得られます。
  - TouchInputGesturs には preheldTracker プロパティがあります。これは MultitouchTracker オブジェクトで、このアクションが実行されたときに他の指が押さえていたかを知ることができます。
- 2種類の新しいタッチジェスチャーを生成するようになりました: (#5652)
  - 複数回のタップとホールド(例: 2回タップとホールド)
  - 指の数がない一般化されたホールド(具体的には hold+hover は 1finger_hold+hover を一般化)

## 2015.4

このリリースのハイライトは、Windows 10 対応の改良、Windows 8 以降の「コンピューターの簡単操作センター」への対応、Microsoft Excel 対応の改良(シートの一覧と名前変更、保護されたワークシートのセルの参照)、Mozilla Firefox, Google Chrome, Mozilla Thunderbird におけるリッチテキスト編集への対応などです。

### 新機能

- Windows8以降のPCでコンピューターの簡単操作センターにNVDAが表示されるようになりました。(#308)
- Excel でセル間を移動する場合、NVDAの書式情報設定ダイアログで設定しておくと、書式の変化が自動で報告されるようになりました。(#4878)
- 「強調などのマークの報告」オプションがNVDAの書式情報設定ダイアログに追加されました。初期設定では、NVDAは自動的に、ドキュメントに強調されたテキストがあることを報告するようになっています。今のところこの機能は、Internet Explorerおよびその他のMSHTMLコントロールのブラウズモードのemとstrongタグのみについてサポートされています。(#4920)
- NVDAの「校閲者による更新の報告」オプションがチェックされている場合、挿入および削除されたテキストがあることが、Internet Explorerおよびその他のMSHTMLコントロールのブラウズモードにおいて、報告されるようになりました。(#4920)
- Microsoft Wordの変更履歴をNVDAの要素リストで閲覧しているときに、書式の変化など報告される情報が増えました。(#4920)
- Microsoft Excel: シートの一覧表示および名前変更がNVDAの要素リスト (NVDA+F7) でできるようになりました。(#4630, #4414)
- 特定の記号を (例えば一時停止や抑揚の変更をさせたい場合に)そのまま音声合成に送るかどうかを、句読点記号読み辞書ダイアログにて設定できるようになりました。(#5234)
- Microsoft Excel において NVDA はシート作成者がセル上に設定した入力メッセージを報告するようになりました。(#5051)
- Baum Pronto! V4 および VarioUltra 点字ディスプレイが Bluetooth 接続で利用できるようになりました。(#3717)
- Firefox による Google Docs の利用や Thunderbird による HTML 編集など、リッチテキスト編集が Mozilla アプリで可能になりました。点字ディスプレイにも対応しています。(#1668)
- Google Chrome や Chrome ベースのブラウザーにおいて Google Docs などのリッチテキスト編集が可能になりました。点字ディスプレイにも対応しています。(#2634)
  - ただし Chrome バージョン 47 以降が必要です。
- Microsoft Excel のブラウズモードで、保護されたワークシートのセルに移動できるようになりました。 (#4952)

### 変更点

- NVDAの書式情報設定ダイアログの、「校閲者による更新の報告」オプションが、初期設定でチェックありになりました。(#4920)
- NVDAの「校閲者による更新の報告」オプションがチェックされていて、Microsoft Wordにて文字を移動すると、変更履歴について報告される情報が少なくなり、ナビゲーションがより効率的になりました。より詳しい情報は要素リストで得ることができます。(#4920)
- liblouis 点訳エンジンが2.6.4に更新されました。(#5341)
- 特定の記号 (基本的な数学記号を含む) が、最低読み上げレベル「一部」になり、初期設定で読み上げられるようになりました。(#3799)
- 音声合成エンジンがサポートしている場合、カッコやダッシュで読み上げにポーズが入るようになりました。(#3799)
- テキストを選択するときに、そのテキストを「選択」の後ではなく前に報告するようになりました。(#1707)

### バグ修正

- Outlook 2010/2013のメッセージリストでのナビゲーションの大幅な動作の改良。(#5268)
- Microsoft Excelのグラフにて、特定のキーでのナビゲーション (control+pageupやcontrol+pagedownでのシート変更などの) が正確に動作するようになりました。(#5336)
- NVDAをダウングレードしようとする際に表示される警告ダイアログ内のボタンの外観が修正されました。(#5325)
- Windows8以降にて「Windowsへのログオン後にNVDAを自動的に起動」が設定されている場合、NVDAがより高速に起動するようになりました。(#308)
  - 前のバージョンのNVDAでこの機能をオンにしている場合、一般設定ダイアログにてこの項目をいったんオフにして、もう一度オンにして有効にしなおす必要があります。以下のように操作してください:
    1. 「一般設定」ダイアログを開きます
    2. 「Windowsへのログオン後にNVDAを自動的に起動」をチェックなしにします
    3. OK ボタンを押します
    4. 「一般設定」ダイアログをもう一度開きます
    5. 「Windowsへのログオン後にNVDAを自動的に起動」をチェックします
    6. OK ボタンを押します
- ファイルエクスプローラーおよびタスクビューワーを含むUI Automationの動作の強化。(#5293)
- Mozilla Firefoxおよび他のGeckoベースのコントロールのブラウズモードにて、読み取り専用のARIA grid コントロールにタブで移動した時に、正確にフォーカスモードに切り替わるようになりました。(#5118)
- タッチスクリーンで左フリックをした時に次のオブジェクトがない場合に、「次の～がありません」ではなく、「前の～がありません」と正確に報告するようになりました。
- 「入力ジェスチャー」ダイアログのフィルターで複数の単語を入力したときの不具合を修正しました。(#5426)
- HumanWare Brailliant BI/B シリーズ点字ディスプレイに USB 接続していて、接続をやり直した場合にフリーズすることがある不具合を修正しました。(#5406)
- 特定の文字が使われる言語において、文字説明がアルファベット大文字で適切に動作するようになりました。(#5375)
- Windows 10 のスタートメニューが開くときに NVDA がフリーズすることがある問題に対応しました。(#5417)

## 2015.3

このリリースのハイライトは、初めての Windows 10 への対応、ブラウズモードで1文字ナビゲーションを無効にできる機能(ウェブアプリで便利な場合があります)、Internet Explorer 対応の改善、特定のアプリで点字を有効にした場合にタイピングで不適切な入力が発生する問題の修正などです。

### 新機能

- Internet Explorer とその他の MSHTML コントロールにおいて、編集可能フィールドでのスペルエラーの存在を報告するようになりました。(#4174)
- ユニコード数学記号がテキストに現れたときに、より多くの種類の文字を読み上げるようになりました。(#3805)
- Windows 10 スタート画面の検索で提案を自動的に報告するようになりました。(#5049)
- 点字ディスプレイ EcoBraille 20, EcoBraille 40, EcoBraille 80 および EcoBraille Plus に対応しました。(#4078)
- ブラウズモードで、1文字ナビゲーションの有効化、無効化を NVDA+shift+スペース で切り替えられるようになりました。無効にした場合は、1文字のキー入力はアプリに渡されます。これは Gmail, Twitter および Facebook などのWebアプリにおいて便利です。(#3203)
- 新しい点訳テーブル: フィンランド語6点、アイルランド語1級点字、アイルランド語2級点字、韓国語1級点字(2006), 韓国語2級点字(2006) (#5137, #5074, #5097)
- Papenmeier BRAILLEX Live Plus 点字ディスプレイの QWERTY キーボードに対応しました。(#5181)
- Microsoft Edge ウェブブラウザーと Windows 10 のブラウザーエンジンを試験的にサポートしました。 (#5212)

### 変更点

- liblouis 点訳エンジンを 2.6.3 に更新しました。(#5137)
- 現在インストールされているよりも前のバージョンのNVDAをインストールしようとすると「それは推奨していません」「続行する場合は現在インストールされているNVDAを完全にアンインストールして下さい」と警告するようになりました。(#5037)

### バグ修正

- Internet Explorer および MSHTML コントロールのブラウズモードにおいて、フォームフィールドを1文字ナビゲーションで移動するときに、視覚効果のためのリスト項目が不適切に対象となっていた問題を修正しました。(#4204)
- Firefox において ARIA tab panel の中にフォーカスが移動したときに、NVDA がその内容を不適切に報告していた問題を修正しました。(#4638)
- Internet Explorer および MSHTML において、section, article, dialog にタブキーでフォーカス移動するとき、それらのコンテナの内容すべてを不適切に報告していた問題を修正しました。(#5021, #5025)
- Baum/HumanWare/APH の点字キーボードのついた点字ディスプレイを使う場合に、点字ディスプレイの他のキーが押されたあとで点字入力が使えなくなってしまう不具合を修正しました。(#3541)
- Windows 10 において Alt+Tab や Alt+Shift+Tab でアプリを切り替えるときに冗長な報告を行わないようになりました。(#5116)
- Microsoft Outlook など特定のアプリを点字ディスプレイで利用するときに、文字の入力が不適切に処理されていた問題を修正しました。(#2953)
- Internet Explorer および MSHTML コントロールのブラウズモードにおいて、要素が追加されたり内容の変更が行われた直後にフォーカスが移動しても、その内容が適切に報告されるようになりました。(#5040)
- Microsoft Word のブラウズモードにおいて、点字ディスプレイおよびレビューカーソルが1文字ナビゲーションによって適切に更新されるようになりました。(#4968)
- 点字ディスプレイにおいて、コントロールや書式の情報の前後のスペースが不必要に使われていた問題を修正しました。(#5043)
- 特定のアプリの応答が遅くなり他のアプリに切替を行った場合に、他のアプリの動作速度が遅くなっていた問題を、多くの場合について改善しました。(#3831)
- Windows 10 のトースト通知が適切に報告されるようになりました。(#5136)
- UIオートメーションに対応したコンボボックスにおいて値の変化が報告されなかった不具合が修正されました。
- ウェブブラウザーのブラウズモードにおいて、フレームのドキュメントにTabキーでフォーカス移動した場合の動作が不適切であった問題を修正しました。(#5227)
- タッチ画面を使用している場合に Windows 10 ロック画面が解除できるようになりました。(#5220)
- Windows 7 以降において、ワードパッドや Skype などの特定のアプリを点字ディスプレイで使用している場合に、入力した文字が不適切に処理されていた問題を修正しました。(#4291)
- Windows 10 ロック画面において、クリップボードの読み取り、実行中のアプリに対するレビューカーソルの操作、NVDA の設定の変更などができていた問題を修正しました。(#5269)

### 開発者向けの変更

- 新しい keyboardHandler.injectRawKeyboardInput 関数によって、Windows からネイティブに扱われないシステムキーボード(点字ディスプレイに備わっているQWERTYキーボードなど)からの raw input を差し込むことができます。(#4576)
- eventHandler.requestEvents が追加されました。これはデフォルトではブロックされてしまう特定のイベントを要求できます。例えば、特定のコントロールからの show イベント、バックグラウンドでの特定のイベントなどです。(#3831)
- synthDriverHandler.SynthSetting において i18nName 属性だけを定義するのではなく displayNameWithAccelerator と displayName を持つようになりました。これは特定の言語において簡単音声設定でアクセラレーターが報告されてしまう問題を回避するためです。
  - 後方互換性のために、コンストラクタにおける displayName はオプションとなり、指定されない場合は displayNameWithAccelerator から生成されます。ただし、設定ダイアログでアクセラレーターキーを指定したい場合は、両方を指定する必要があります。
  - i18nName 属性は非推奨となり、将来のリリースでは廃止される予定です。

## 2015.2

このリリースのハイライトは、Microsoft Excel のグラフ読み上げ対応、数式コンテンツの読み上げと対話的ナビゲーションへの対応です。

### 新機能

- Microsoft Word で Alt+下矢印 および Alt+上矢印 による文単位の移動ができるようになりました。 (#3288)
- インドのいくつかの言語に対応した点訳テーブルが追加されました。 (#4778)
- Microsoft Excel においてセル内容のオーバーフローやクロップを通知するようになりました。 (#3040)
- Microsoft Excel において要素リスト (NVDA+f7) が利用可能になりました。グラフ、コメント、数式のリストを選択できます。 (#1987)
- Microsoft Excel のグラフの読み上げに対応しました。要素リスト (NVDA+f7) でグラフを選択して、矢印キーでデータポイントの移動を行ってください。 (#1987)
- Design Science の MathPlayer 4 を使って、ウェブブラウザー、Microsoft Word および PowerPoint において数式コンテンツの読み上げと対話的ナビゲーションが可能になりました。ユーザーガイドの「数式コンテンツの読み上げ」を参照してください。 (#4673)
- すべての NVDA 設定ダイアログと書式設定のオプション項目に対して、入力ジェスチャー(キーボードコマンド、タッチジェスチャーなど)を割り当てられるようになりました。入力ジェスチャーの設定ダイアログで割り当てを行ってください。 (#4898)

### 変更点

- NVDA の書式設定ダイアログにおいて、リストの通知、リンクの通知、行番号の通知、フォント名の通知のキーボードショートカットが変更されました。 (#4650)
- NVDA のマウス設定ダイアログにおいて、「マウスカーソルの座標をビープ音で通知」「マウスカーソル位置の明るさをビープ音の音量で通知」のキーボードショートカットが追加されました。 (#4916)
- 色の名前の読み上げを大幅に改良しました。 (#4984)
- liblouis 点訳エンジンを 2.6.2 に更新しました。 (#4777)

### バグ修正

- インドの一部の言語で特定の文字に関する文字説明が適切に動作するようになりました。 (#4582)
- 「記号と文字の説明に音声の言語を使用」がチェックされている場合、句読点・記号読み上げ辞書の編集ダイアログが音声の言語で動作するようになりました。どの言語の辞書を編集しているかという情報がダイアログのタイトルに表示されるようになりました。 (#4930)
- Internet Explorer および MSHTML コントロールにおいて、編集可能なコンボボックスに入力された文字が不適切に通知される問題に対応しました。例えば Google のホームページで使われている Google 検索フィールドなどです。 (#4976)
- Microsoft Office アプリケーションで色を選択する場合に、色の名前が通知されるようになりました。 (#3045)
- デンマーク語の点字出力の不具合を修正しました。 (#4986)
- PowerPoint スライドショーで PageUp/PageDown によるスライドの切替ができない不具合を修正しました。 (#4850)
- デスクトップ版 Skype 7.2 以降において、文字入力が適切に通知されるようになりました。また会話の外にフォーカスが移動した直後に起きていた不具合を修正しました。 (#4972)
- 入力ジェスチャーのダイアログのフィルターにカッコなど特定の記号文字を入力した場合に起きていた不具合を修正しました。 (#5060)
- Internet Explorer および MSHTML コントロールにおいて、G または Shift+G を押して前後の画像に移動する機能が、アクセシビリティ目的の画像マークアップ(ARIA role img) を正しく処理するようになりました。 (#5062)

### 開発者向けの変更

- brailleInput.handler.sendChars(mychar) は直前の文字と同じ文字を再度送った場合に、キーのリリースを正しく実行し、文字を欠落させないようになりました。 (#4139)
- タッチモードの変更スクリプトは touchHandler.touchModeLabels に追加された新しいラベルを利用するようになりました。 (#4699)
- アドオンで独自の数式プレゼンテーションを実装できるようになりました。詳細は mathPres パッケージを参照してください。 (#4509)
- 単語間のブレーク、ピッチ・音量・速さの変更などの speech コマンドが実装されました。speech モジュールの BreakCommand, PitchCommand, VolumeCommand, RateCommand を参照してください。 (#4674)
  - 音素記号による読み上げを行う speech.PhonemeCommand も追加されましたが、現状ではごく限られた種類の音素にしか対応していません。

## 2015.1

このリリースのハイライトは、 Microsoft Word および Outlook のドキュメントでのブラウズモード、Skype (Windows デスクトップ版) および Microsoft Internet Explorer への対応の強化です。

### 新機能

- 句読点/記号読み辞書のダイアログにおいて「追加」が利用できるようになりました。 (#4354)
- 入力ジェスチャーのダイアログにおいて「フィルター」フィールドを使い、特定の言葉を含んでいるジェスチャーだけを絞り込んで表示できるようになりました。 (#4458)
- mintty において新しいテキストが自動的に通知されるようになりました。 (#4588)
- ブラウズモードの検索ダイアログにおいて、大文字と小文字を区別する検索のオプションが利用できるようになりました。 (#4584)
- Microsoft Word のドキュメントにおいて NVDA+スペースを押すとブラウズモードが利用できるようになりました。ブラウズモードでは1文字ナビゲーション(hを押すと次の見出しにジャンプするなど)および要素リスト(NVDA+f7)が利用できます。 (#2975)
- Microsoft Outlook 2007 以降において、HTMLメッセージの読み取りでブラウズモードに自動的に切り替わるようになりました。自動的にブラウズモードに切り替わらない場合は、NVDA+スペースで手動切り替えできます。 (#2975)
- Microsoft Word において、ドキュメントの作成者がテーブルの属性で列見出しの行を指定していれば、テーブルの列見出しを自動的に通知するようになりました。 (#4510)
  - ただし行の結合が使われている場合には、自動通知は利用できません。この場合は NVDA+Shift+C で列見出しの行を指定してください。
- Skype (Windows デスクトップ版)において、通知の読み上げに対応しました。 (#4741)
- Skype (Windows デスクトップ版)において、NVDA+Ctrl+1 から NVDA+Ctrl+0 までの操作でチャット履歴の項目への移動と通知が可能になりました。 NVDA+Ctrl+1 が最新のメッセージ、NVDA+Ctrl+0 は最新から10番目のメッセージにナビゲーターオブジェクトを移動します。(#3210)
- Skype (Windows デスクトップ版)のチャット機能において、参加者のキー入力状態を通知するようになりました。 (#3506)
- NVDA を無音でインストールして、その後でインストールされた環境を実行しないためのコマンドライン引数 --install-silent が追加されました。 (#4206)
- Papenmeier BRAILLEX Live 20, BRAILLEX Live および BRAILLEX Live Plus 点字ディスプレイに対応しました。 (#4614)

### 変更点

- NVDA メニューの「書式情報」設定ダイアログにおいて、「スペルエラーの通知」に Alt+R で移動できるようになりました。 (#793)
- NVDA は記号と文字の説明において、音声の言語を使用します。音声設定で「言語の自動切り替え」が有効であっても同様です。この処理を無効にして一般設定で指定された言語で記号と文字の説明を行うには、音声設定の「記号と文字の説明に音声の言語を使用」をチェックなしにしてください。 (#4210)
- Newfon 音声エンジンのドライバーを削除しました。 Newfon は NVDA のアドオンとして入手可能です。 (#3184)
- NVDA が対応する Skype (Windows デスクトップ版) のバージョンが 7 以降になりました。過去のバージョンの Skype には対応していません。 (#4218)
- NVDA の更新のダウンロードにおけるセキュリティが改善されました。(更新情報の https での取得、ダウンロード後のハッシュ値の検証が行われます) (#4716)
- eSpeak バージョン 1.48.04 に更新されました。 (#4325)

### バグ修正

- Microsoft Excel において、結合された行や列の見出しセルが適切に処理されるようになりました。例えば A1 と B1 が結合されている場合に、B2 では A1 および B1 の内容を列見出しとして通知します。このような場合にはこれまで何も通知されていませんでした。 (#4617)
- Microsoft PowerPoint 2003 においてテキストボックスの内容を編集する場合に NVDA は各行の内容を正しく通知するようになりました。これまでは、段落の中の各行の文字数が1文字ずつずれて処理されていました。 (#4619)
- NVDA のダイアログがすべて画面の中央に表示されるようになりました。視覚的な見栄えと使い勝手が改善されました。 (#3148)
- Skype (Windows デスクトップ版) において、連絡先を追加するための解説のメッセージに移動した場合に、テキスト内の移動が正しく処理されるようになりました。 (#3661)
- Eclipse IDE のツリービューで新しい項目にフォーカスを移動するときに、直前にフォーカスがあった項目がチェックボックスであった場合に、通知が不適切になる不具合を修正しました。 (#4586)
- Microsoft Word のスペルチェックダイアログにおいて、直前の箇所の変更または無視のショートカットキー操作の後で、次のエラーが自動的に通知されるようになりました。 (#1938)
- Tera Term Pro のターミナルウィンドウや Balabolka のドキュメントにおいて、テキストが正しく読み取れるようになりました。 (#4229)
- Internet Explorer や MSHTML ドキュメントのフレーム内でテキストを編集するときに、韓国語などのアジア言語の入力コンポジション完了後にフォーカスがドキュメントに戻らなかった不具合を修正しました。 (#4045)
- 入力ジェスチャーのダイアログにおいて、キーボードジェスチャーを追加するためにキーボード配列の選択をしている途中で Esc キーが押されても、ダイアログを閉じるのではなく、選択中のメニューを閉じるようになりました。 (#3617)
- アドオンの削除を実行した場合に、NVDA の再起動後に正しくアドオンのディレクトリが消去されるようになりました。これまでは2回再起動されるまで消去されませんでした。 (#3461)
- Skype (Windows デスクトップ版) バージョン 7 における不具合を修正しました。 (#4218)
- Skype (Windows デスクトップ版) でメッセージを送信したときに2回読み上げる不具合を修正しました。 (#3616)
- Skype (Windows デスクトップ版) で不適切に大量の(おそらく会話全体と思われる)メッセージの読み上げが起きる不具合を修正しました。 (#4644)
- NVDA の日付と時刻の通知において、地域と言語の設定が反映されない場合がある不具合を修正しました。 (#2987)
- ブラウズモードにおいて、Google Groups などで使われる特定の画像が無意味な(複数行になる場合もある)テキストとして通知されていた不具合を修正しました。(具体的には base64 エンコードされた画像への対応です) (#4793)
- Windows ストアアプリから他のウィンドウにフォーカスが移った数秒後、アプリがサスペンドしたときに、NVDA がフリーズする不具合を修正しました。 (#4572)
- Mozilla Firefox のライブリージョンで、アトミックな要素自身が更新された場合にも aria-atomic 属性が考慮されるようになりました。これまでは内部の要素だけに反映されていました。 (#4794)
- Internet Explorer および MSHTML コントロールにおいて、ドキュメントに埋め込まれた ARIA アプリケーションがブラウズモードの対象となった場合に、内容の更新が処理され、ライブリージョンの通知も行われるようになりました。 (#4798)
- Internet Explorer および MSHTML コントロールにおいて、テキストの変更や追加があり、制作者が適切に記述をした場合には、変更または追加されたテキストだけが通知されるようになりました。これまでは内部の要素のすべてのテキストを通知していました。 (#4800)
- Internet Explorer および MSHTML コントロールにおいて、要素が aria-labelledby 属性で参照しているコンテンツがある場合には、その内容を必要に応じて適切に使用するようになりました。 (#4575)
- Microsoft Outlook 2013 でスペルチェックを行ったときに、スペルエラーの単語を通知するようになりました。 (#4848)
- Internet Explorer および MSHTML コントロールにおいて visibility:hidden の指定で非表示にされた要素の内側のコンテンツが、ブラウズモードで不適切に読み取りできていた不具合を修正しました。 (#4839, #3776)
- Internet Explorer および MSHTML コントロールにおいてフォームコントロールのタイトル属性が他の関連づけられたラベルよりも不適切に優先される不具合を修正しました。 (#4491)
- Internet Explorer および MSHTML コントロールにおいて aria-activedescendant 属性によって要素へのフォーカス移動が不適切に無視される不具合を修正しました。 (#4667)

### 開発者向けの変更

- wxPython 3.0.2.0 に更新しました。 (#3763)
- Python 2.7.9 に更新しました。 (#4715)
- アドオンの削除や更新の後で NVDA が再起動されたときに、installTasks モジュールから speechDictHandler をインポートする処理で NVDA がクラッシュする不具合を修正しました。 (#4496)

## 2014.4

### 新機能

- 新しい言語: コロンビア国のスペイン語、パンジャーブ語
- NVDAの終了オプションのダイアログから「再起動」「アドオンを無効化して再起動」を選ぶことが可能になりました。(#4057)
  - NVDA にコマンドライン引数 --disable-addons をつけて起動することでアドオンを無効化できるようになりました。
- 読み上げ辞書で、パターンが単語全体にあたる場合だけ適用するという指定が可能になりました。つまり長い単語の一部にその文字列が含まれる場合を除外できます。(#1704)

### 変更点

- オブジェクトナビゲーションで、ブラウズモードのドキュメントの外のオブジェクトからブラウズモードのドキュメントの中のオブジェクトにナビゲーターオブジェクトが移動したときに、レビューモードが自動的にドキュメントレビューに切り替わります。以前のバージョンではフォーカスの移動を伴うオブジェクトナビゲーションの場合だけ自動切り替えを行っていました。(#4369)
- 点字ディスプレイと音声エンジンのリストで、「点字なし」「音声なし」の項目が一番最後になるように変更されました。(#2724)
- 点訳エンジン liblouis を 2.6.0 に更新しました。(#4434, #3835)
- ブラウズモードで E および Shift+E を押すとエディットフィールドに移動する機能が、編集可能コンボボックスを対象にするようになりました。これは最近の Google 検索の検索ボックスなどで使われています。(#4436)
- 通知領域のNVDAアイコンはマウス左クリックでNVDAメニューを開くようになりました。以前は右クリックでない場合は無視されていました。(#4459)

### バグ修正

- ブラウズモードドキュメントにフォーカスが戻るとき(すでに開いているウェブページにAlt+Tabキーで移動する場合など)、レビューカーソルが適切に仮想文字カーソルに移るようになりました。以前はフォーカスの移動した先のオブジェクト(近くのリンク項目など)に移っていました。(#4369)
- PowerPoint スライドショーにおいて、レビューカーソルが適切に仮想文字カーソルに追従するようになりました。(#4370)
- Mozilla Firefox などの Gecko 技術を用いたブラウザーにおいて、親ライブリージョンと内部のライブリージョンが異なるARIAライブタイプになっている場合も、内部のリージョンの新しいコンテンツが適切に通知されるようになりました。具体的にはpoliteと指定されたリージョンの内側にassertiveと指定されたコンテンツが追加された場合です。(#4169)
- Internet Explorer などの MSHTML コントロールにおいて、ドキュメントが別のドキュメントに含まれている場合に、内容の一部が操作不能になる問題に対応しました。例えばframesetの内側にframesetがある場合などです。(#4418)
- Handy Tech 点字ディスプレイを使おうとしたときに NVDA がクラッシュする問題に対応しました。(#3709)
- Windows Vista においてデスクトップのショートカットキー操作で NVDA を起動すると誤って "Entry Point Not Found" ダイアログが表示される問題に対応しました。(#4235)
- Eclipseの最近のバージョンでダイアログの編集可能テキストコントロールが致命的な不具合を起こしていた問題に対応しました。(#3872)
- Outlook 2010における連絡先や会議のリクエストで、場所フィールドのキャレット移動の不具合に対応しました。(#4126)
- ライブリージョンの内側で、aria-live="off" と指定されたコントロールが適切に解釈されるようになりました。(#4405)
- ステータスバーのテキストに名前がある場合の通知で、名前と内容テキストが適切に空白で区切られるようになりました。(#4430)
- 入力単語の通知が有効の場合にパスワード入力フィールドで、単語の先頭のアスタリスクが不適切に重複して通知される問題に対応しました。(#4402)
- Microsoft Outlook メッセージ一覧で、項目が不適切にデータ項目と通知されていた問題に対応しました。(#4439)
- Eclipse IDE のコード編集コントロールで、テキスト選択の選択範囲を変更するたびにすべての選択範囲を通知していた問題に対応しました。(#2314)
- Eclipseのいろいろなバージョン、例えば Spring Tool Suite や Android Developer Tools バンドルなどが Eclipse として認識され、適切に動作するようになりました。(#4360, #4454)
- Internet Explorer などの MSHTML コントロール(多くの Windows 8 アプリケーションにも含まれます)において、マウス追跡およびタッチ探索が、高解像度ディスプレイの場合やドキュメントのズーム倍率が変更された場合に不適切に動作していた問題に対応しました。(#3494)
- Internet Explorer などの MSHTML コントロールにおいてマウス追跡とタッチ探索は、より多くのボタンでラベルの通知を行うようになりました。(#4173)

### 開発者向けの変更

- いろいろなアプリケーションをホストする実行ファイル(javaw.exeなど)について、すべてのホストされたアプリケーションで共通のアプリケーションモジュールが読み込まれるのではなく、それぞれのアプリケーションに個別のアプリケーションモジュールを提供できるようになりました。(#4360)
  - 詳細はソースコード appModuleHandler.AppModule の説明を参照してください。
  - 現在は javaw.exe について実装されています。

## 2014.3

### 新機能

- NVDAの起動と終了の効果音を一般設定ダイアログのオプションで無効化できるようになりました。(#834)
- アドオンの管理画面の「ヘルプ」ボタンが、この機能に対応しているアドオンであれば利用できるようになりました。(#2694)
- Microsoft Outlook 2007 以降の「予定表」において、以下の操作に対応しました (#2943):
  - 矢印キーで移動したときに現在の位置の時刻を通知
  - 選択した時間帯が既存の予定と重なっている場合の通知
  - Tabキーを押したときに選択中の予定を通知
  - 新規に選択した時間や予定の終わりが別の日である場合にその日だけを通知するような、効率的な日付のフィルタリング
- Outlook 2010 以降の受信トレイやその他のメッセージ一覧のサポートについて、以下を改良しました (#3834):
  - 「書式情報」の「行／列見出しの通知」を無効にすると、差出人や題名などの列見出しを通知しないようにできます
  - テーブルの移動コマンド(Ctrl+Alt + 矢印キー)による列の移動
- Microsoft Word: 代替テキストのないインライン画像に対して画像にタイトルが付けられていたら NVDA はそれを通知します。(#4193)
- Microsoft Word: 書式の通知 (NVDA+F)で段落インデントを通知します。また「書式情報」で「段落インデントの通知」が有効であれば自動的に段落インデントを通知します。(#4165)
- 編集可能なドキュメントやエディットフィールドで、バレットや番号、タブインデントなど、Enterキーを押したときに自動的に挿入された文字を通知するようになりました。(#4185)
- Microsoft Word: NVDA+Alt+C を押すとキャレット位置のテキストにつけられたコメントを通知するようになりました。(#3528)
- Microsoft Excel における行や列の自動通知について、以下を改良しました(#3568):
  - Excelで定義されたセル範囲による見出しセルの指定(JAWSスクリーンリーダーと互換の仕様)
  - 列見出しの設定(NVDA+Shift+C) および行見出しの設定(NVDA+Shift+R) はワークシートに設定を保存するようになりました。次回シートを開いたときにも設定が有効になります。またセル範囲による見出しの指定は他のスクリーンリーダーと互換性があります。
  - これらのコマンドはひとつのシートで複数回使用できるようになり、領域ごとに異なる見出しを設定できます。
- Microsoft Word における行・列見出しの自動通知について、以下を改良しました (#3110):
  - Word のブックマークによる見出しセルの指定(JAWSスクリーンリーダーと互換の仕様)
  - 列見出しの設定(NVDA+Shift+C) および行見出しの設定(NVDA+Shift+R) 、つまり、テーブルの見出しの開始位置のセルで、NVDAにその見出しを自動通知するように設定できます。この設定はドキュメントに保存され、次回ドキュメントを開いたときにも設定が有効になります。またブックマークによる見出しの設定は他のスクリーンリーダーと互換性があります。
- Microsoft Word: ページ左端からの距離を Tab キーで通知します。(#1353)
- Microsoft Word: 音声と点字で書式についてのショートカットキー操作に対するフィードバックを行います(太字、イタリック、下線、行揃え、アウトラインレベル)(#1353)
- Microsoft Excel: 選択中のセルにコメントがある場合に NVDA+Alt+C で通知します。(#2920)
- Microsoft Excel: Shift+F2 でコメント編集モードに入ったときに、現在選択中のセルに対するコメントを編集するダイアログをNVDAが表示します。(#2920)
- Microsoft Excel: 選択範囲の移動のキー操作に対する音声および点字のフィードバックについて、下記を改良しました(#4211):
  - 垂直方向のページ移動(PageUp および PageDown)
  - 水平方向のページ移動(Alt+PageUp および Alt+PageDown)
  - 選択範囲の拡張 (前述の操作を Shift を押しながら実行)
  - 現在のセル範囲の選択(Ctrl+Shift+8)
- Microsoft Excel: 書式の通知 (NVDA+F) でセルの垂直方向および水平方向の配置を通知します。また「書式情報」の「配置の通知」が有効な場合は自動的に通知します。(#4212)
- Microsoft Excel: 書式の通知 (NVDA+F) でセルのスタイルを通知します。また「書式情報」の「スタイルの通知」が有効な場合は自動的に通知します。(#4213)
- Microsoft PowerPoint: スライドの中で図形を矢印キーで移動したときの図形の現在位置を通知について、下記を改良しました(#4214):
  - 図形からスライドの端までの距離の通知
  - 図形が他の図形の手前または奥にある場合、重なっている図形や重なりの範囲の通知
  - 図形を移動しなくても「位置情報の通知」(NVDA+Delete)を実行すれば、いつでもこれらの情報を通知します。
  - 図形を選択したときに、その図形が他の図形の奥にある場合は「隠れています」と通知します。
- 位置情報の通知(NVDA+Delete)は状況に応じて、以下の機能を持つようになりました (#4219):
  - 標準的なエディットフィールドやブラウズモードにおいて、カーソルの位置を、内容全体におけるパーセント表示や、スクリーン座標の位置などで通知します。
  - PowerPoint プレゼンテーションの図形に対しては、スライドや他の図形との相対位置を通知します。
  - このキーを2回押すと、以前の仕様だったオブジェクトの位置情報の通知を行います。
- 新しい言語: カタルーニャ語

### 変更点

- 点訳エンジン liblouis を 2.5.4 に更新しました。(#4103)

### バグ修正

- Google Chrome および Chrome の技術で作られたブラウザーにおいて、アラートやダイアログなどのテキストを通知するときに、強調部分など特定のテキストの範囲が繰り返される問題に対応しました。 (#4066)
- Mozilla アプリケーションのブラウズモードにおいて、特にFacebookのトップなど、特定のボタンでEnterキーが押されたときに、アクティブ化に失敗したり無関係なコントロールをアクティブ化したりしていた問題に対応しました。(#4106)
- iTunes のタブ移動の通知において、無意味な情報が通知される問題に対応しました。(#4128)
- ミュージックのリストなど iTunes の特定のリストに於いて、オブジェクトナビゲーションで次の項目に移動する操作が正しく動作するようになりました。(#4129)
- HTML 要素で WAI ARIA マークアップの指定で見出しと扱われるべき要素が、Internet Explorer ドキュメントのブラウズモードの要素リストや一文字ナビゲーションで正しく処理されるようになりました。(#4140)
- 新しいバージョンの Internet Explorer において、ブラウズモードのドキュメントでページ内リンクを実行したときに、移動が正しく行われ、移動先の位置が正しく通知されるようになりました。(#4134)
- Microsoft Outlook 2010 以降: 新規プロファイルやメールのセットアップなど保護つきダイアログへのアクセスを改善しました。(#4090, #4091, #4095)
- Microsoft Outlook: 特定のダイアログのナビゲーションににおいて、コマンドツールバーの無意味で冗長な通知を改善しました。(#4096, #3407)
- Microsoft Word: テーブルで空白のセルにタブ移動したときに、不適切にテーブルの終了を通知する問題に対応しました。(#4151)
- Microsoft Word: テーブル終了の直後の新しい空行などにおける最初の1文字が、不適切にテーブルの中だと扱われて通知される問題に対応しました。(#4152)
- Microsoft Word 2010 スペルチェックのダイアログ: 不適切に先頭の太字の単語だけを通知するのではなく、本当にスペルの誤りがある単語を通知するようになりました。(#3431)
- Internet Explorer および MSHTML コントロールのブラウズモードにおいて、タブ操作および一文字ナビゲーションでフォームフィールドに移動する場合に、ラベル(特にHTMLラベル要素が使われている場合)が適切に通知されなくなっていた問題に対応しました。(#4170)
- Microsoft Word: コメントの有無や配置などをより正確に通知するようになりました。(#3528)
- Microsoft Word, Excel, Outlook などの Office 製品における特定のダイアログのナビゲーションを改善し、ユーザーにとって有用ではない一部のコントロールコンテナのツールバーを通知しないようになりました。(#4198)
- Microsoft Word, Excel などのアプリケーションを起動したときに、クリップボードマネージャーやファイル回復などのタスクペインに偶然フォーカスが移動して通知される問題に対応しました。このような場合にユーザーはドキュメントやシートからいったんフォーカスを外してまた戻すような対策が必要でした。(#4199)
- Windows の言語をセルビア語(ラテン)に設定した場合などに最近のバージョンのWindowsでNVDAが起動できなかった問題に対応しました。(#4203)
- 入力ヘルプモードでナムロックが押された場合にモードの切替が動作するようになりました。以前はこのキーの状態によってはキーボードの状態とWindowsの内部状態の不一致が発生していました。(#4226)
- Google Chromeにおいてタブの切替を行ったときにドキュメントのタイトルが通知されていなかった問題に対応しました。これはNVDA 2014.2で動作が不確実になっていました。(#4222)
- Google Chromeおよび Chrome の技術で作られたブラウザーにおいて、ドキュメントを通知するときにそのドキュメントの URL が通知されていた問題に対応しました。(#4223)
- 「音声なし」音声ドライバー(これは自動テストに役立ちます)で「すべて読み上げ」を実行したときに、最初の行だけで中断するのではなく、ドキュメントの最後まで実行を行うようになりました。(#4225)
- Microsoft Outlook 署名ダイアログ: 署名のエディットフィールドがアクセシブルになりました。つまり、カーソルの移動が適切に処理され、書式の把握が可能になりました。(#3833)
- Microsoft Word: あるテーブルセルの内容の最後の行を読むときに、セルの全体が不適切に読み上げられる問題に対応しました。(#3421)
- Microsoft Word: 目次の最初または最後の行を読むときに、目次の全体が不適切に読み上げられる問題に対応しました。(#3421)
- 「入力単語の読み上げ」などにおいて、インド語派の言語の母音記号やviramaなどの記号によって単語が不適切に通知される問題に対応しました。(#4254)
- Goldwave の数値入力エディットフィールドが適切に処理されるようになりました。(#670)
- Microsoft Word: Ctrl+下矢印 および Ctrl+上矢印 での段落単位の移動を番号なし・番号付きの箇条書きで行うときに、キーを2回押さなくてはいけなかった問題に対応しました。(#3290)

### 開発者向けの変更

- NVDAアドオンがドキュメントを提供する仕組みを標準化しました。Developer Guide (開発者向けガイド)の Add-on Documentation の項目を参照してください。(#2694)
- __gestures で ScriptableObject にジェスチャーをバインドする場合に、スクリプトとして None キーワードを指定できるようになりました。これは基底クラスでのジェスチャーのバインドを解除します。(#4240)
- 通常の起動ショートカットキーで不具合が生じる言語において NVDA 起動のショートカットキーを変更できるようになりました。(#2209)
  - この変更には gettext が使われています。
  - NVDA インストールのダイアログで「デスクトップにショートカットを作成する」メッセージと、ユーザーガイドのショートカットキーの説明も、この変更と合わせて更新してください。

## 2014.2

### 新機能

- ディスプレイ情報が使われているカスタムエディットフィールドの一部で、テキスト選択の通知が可能になりました。(#770)
- アクセシブルな Java アプリケーションにおいて、ラジオボタンなどグループ化されたコントロールの位置が通知されるようになりました。(#3754)
- アクセシブルな Java アプリケーションにおいて、コントロールのキーボードショートカットが通知されるようになりました。(#3881)
- ブラウズモードにおいて、ランドマークのラベルが通知されるようになりました。この情報は要素リストにも表示されます。(#1195)
- ブラウズモードにおいて、ラベルのついた領域がランドマークとして扱われるようになりました。(#3741)
- Internet Explorer のドキュメントやアプリケーションにおいて、ライブ領域(Live Regions, W3c ARIA 標準の一部)をサポートしました。これによりWeb製作者は特定のコンテンツが書き換わったら自動的に読み上げるという記述ができます。(#1846)

### 変更点

- ブラウズモードのドキュメントにおいてダイアログやアプリケーションから抜けるときに、ブラウズモードのドキュメントの名前や種類を通知しないようになりました。(#4069)

### バグ修正

- Javaアプリケーションにおいて標準のWindowsシステムメニューが突然読み上げられなくなる不具合を修正しました。(#3882)
- 画面レビューでテキストをコピーするときに、改行を無視しないようになりました。(#3900)
- フォーカスの移動や簡易レビューモードでのオブジェクトナビゲーションにおいて、一部のアプリケーションで無意味な空白オブジェクトを通知しないようになりました。(#3839)
- NVDAのメッセージボックスやダイアログにおいて、ダイアログの通知を行う前に、直前の読み上げを中断しなかった不具合を修正しました。
- ブラウズモードにおいて、リンクやボタンなどのコントロールのラベルがアクセシビリティ関連の属性(具体的にはaria-labelやaria-labelledbyなど)でオーバライドされていても適切にレンダリングされるようになりました。(#1354)
- Internet Explorerのブラウズモードで、プレゼンテーション(ARIA role="presentation")と指定された要素に含まれるテキストが不適切に無視される不具合を修正しました。(#4031)
- Unikeyソフトウェアによるベトナム語の文字入力の不具合を解決しました。NVDAのキーボード設定「外部アプリケーションからの文字入力」をチェックなしにしてください。(#4043)
- ブラウズモードにおいて、ラジオボタンとチェックボックスのついたメニュー項目が単なるクリック可能テキストではなくコントロールとして扱われるようになりました。(#4092)
- ラジオボタンやチェックボックスのついたメニュー項目にフォーカス移動したときに不適切にフォーカスモードからブラウズモードに切り替わる不具合を修正しました。(#4092)
- Microsoft PowerPoint で「入力文字の読み上げ」が有効の場合に、バックスペースで消去された文字が入力文字列の一部として通知されていた不具合を修正しました。(#3231)
- Microsoft Office 2010 のオプションのダイアログで、コンボボックスのラベルが適切に通知されるようになりました。(#4056)
- Mozilla アプリケーションのブラウズモードで、一文字ナビゲーションで前後のボタンやフォームフィールドに移動するときにトグルボタンを無視しないようになりました。(#4098)
- Mozilla アプリケーションにおけるアラートの内容が2回通知される不具合を修正しました。(#3481)
- ブラウズモードにおいて、ナビゲーションとページ内容の更新が同時に行われるような場合(例えばFacebookやTwitterのウェブサイト閲覧)に、コンテナとランドマークが不適切に繰り返される不具合を修正しました。(#2199)
- 応答しなくなったアプリケーションから他のアプリケーションに切り替えたときにNVDAがより適切に処理を再開できるようになりました。(#3825)
- 画面に直接描画される編集可能テキストにおいて「すべて読み上げ」を実行したときに、キャレット(挿入ポイント)が適切に更新されない不具合を修正しました。(#4125)

## 2014.1

### 新機能

- Microsoft PowerPoint 2013に対応しました。ただし保護ビューには対応していません。(#3578)
- Microsoft Word および Excel で記号挿入ダイアログで記号を選択するときの選択された記号の読み上げに対応しました。(#3538)
- 書式設定ダイアログにクリック可能の通知オプションが追加されました。過去のバージョンの仕様に合わせて、このオプションはデフォルトで有効になっています。(#3556)
- Widcomm Bluetooth ソフトウェアが使われているコンピューターにおいて、Bluetoothによる点字ディスプレイ接続に対応しました。(#2418)
- PowerPoint でのテキスト編集においてハイパーリンクが通知されるようになりました。(#3416)
- ARIA アプリケーションやWebのダイアログにおいて、NVDA+スペース による強制的なブラウズモードへの切り替えが可能になりました。これにより、ドキュメント形式でのナビゲーションが可能になります。(#2023)
- Outlook Express / Windows Mail / Windows Live Mail において NVDA はメッセージに付けられた添付ファイルやフラグを通知するようになりました。(#1594)
- アクセシブルなJavaアプリケーションにおいて、テーブルのナビゲーションで行と列の座標を通知し、行見出しや列見出しがあれば合わせて通知するようになりました。(#3756)

### 変更点

- Papenmeier 点字ディスプレイにおいて、フラットレビューとフォーカスモードを切り替えるコマンドが廃止されました。入力ジェスチャーの設定でユーザーが割り当てることは可能です。(#3652)
- NVDA が依存する Microsoft VC ランタイムがバージョン 11 になりました。これにより Windows XP Service Pack 2 または Windows Server 2003 Service Pack 1 よりも以前のバージョンは非対応になりました。
- 英語の記号読み上げレベル「一部」でスター(*)およびプラス(+)を読み上げるようになりました。(#3614)
- eSpeak をバージョン 1.48.02 に更新し、読み誤りやクラッシュなどの不具合が修正されました (#3842, #3739)

### バグ修正

- Microsoft Excel のセル移動やセル選択において、選択範囲の移動に時間がかかったときに、NVDA は不適切に古いセルの情報を通知せず、新しいセルを通知するようになりました。(#3558)
- Microsoft Excel のセルにおいて、コンテクストメニューからドロップダウンリストを開いたときに、適切に処理されるようになりました。(#3586)
- iTunes 11 のストアページでストアの中のリンクを選択したときや最初にストアを開いたときに、新しいページ内容がブラウズモードで適切に表示されるようになりました。(#3625)
- iTunes 11 ストアの曲のプレビューボタンのラベルがブラウズモードで適切に表示されるようになりました。(#3638)
- Google Chrome のブラウズモードで、チェックボックスやラジオボタンのラベルが正しく処理されるようになりました。(#1562)
- Instantbird においてコンタクトリストの連絡先を移動するたびに不要な情報が通知される問題を解決しました。(#2667)
- Adobe Reader のブラウズモードにおいて、ボタンなどのラベルのテキストがツールチップや他のメニューでオーバライドされる場合に正しく処理されるようになりました。(#3640)
- Adobe Reader のブラウズモードにおいて、"mc-ref" テキストを含む無関係なグラフィックスが出力されないようになりました。(#3645)
- Microsoft Excel で書式情報としてアンダーラインが使われているセルを全て通知してしまう問題を修正しました。(#3669)
- Unicode プライベート領域の文字などがブラウズモードのドキュメントに現れたときに、より意味のある情報の出力ができず、無意味な文字しか出力されなかった問題を修正しました。(#2963)
- PuTTY で東アジア文字のための入力メソッド処理が失敗しないようになりました。(#3432)
- 「すべて読み上げ」をキャンセルした後で、ドキュメントのナビゲーションをすると、ドキュメントの続きにあるテーブルなどのフィールドが通知されなくなるなど、不適切だった処理を修正しました。(#3688)
- ブラウズモードでクイックナビゲーションコマンドを使うときに、「すべて読み上げ」で「流し読み」が有効なとき、テキストに加えて「見出し」と通知するなど、新しいフィールドの通知がより正確になりました。(#3689)
- コンテナの先頭や最後にジャンプするクイックナビゲーションコマンドが、「すべて読み上げ」で「流し読み」をキャンセルすることなく、適切に動作するようになりました。(#3675)
- NVDA 入力ジェスチャーのダイアログでタッチジェスチャーの名前がリスト中でわかりやすくなり国際化されました。(#3624)
- リッチエディット(TRichEdit)コントロールの上でマウスポインタを動かしたときに Jarte 5.1 や BRfacil など特定のプログラムがクラッシュする問題を修正しました。(#3693, #3603, #3581)
- Internet Explorer や MSHTML コントロールにおいて、ARIA でプレゼンテーションと指定されているテーブルなどのコンテナをユーザーに通知しないようになりました。(#3713)
- Microsoft Word において、テーブルのセルの行や列の情報を不適切に何度も点字ディスプレイに通知しないようになりました。(#3702)
- 1個の空白を数字のグルーピングや3桁ごとの区切りとして使うフランス語やドイツ語などで、空白で区切られた数字が別々に読み上げられる問題を修正しました。この問題は数字を含むテーブルのセルで特に深刻でした。(#3698)
- Microsoft Word 2013 でシステムキャレットを移動したときに点字ディスプレイが更新に失敗する問題を修正しました。(#3784)
- Microsoft Word において見出しの最初の文字に移動したときに、見出しやそのレベルなどが点字ディスプレイに出力されない問題を修正しました。(#3701)
- あるアプリケーションが設定プロファイルをトリガーした後でそのアプリケーションが終了した場合に、プロファイルが非アクティブ化されなかった問題を修正しました。(#3732)
- NVDA のブラウズモードの検索ダイアログなどでアジア文字入力をしたときに、候補リストが "NVDA" と不適切に通知される問題を修正しました。(#3726)
- Outlook 2013 オプションダイアログのタブが通知されるようになりました。(#3826)
- Firefox とその他の Mozilla Gecko アプリケーションにおいて ARIA ライブリージョンへの対応を改善しました:
  - aria-atomic 属性の指定された更新と aria-busy 属性による更新通知のフィルタリング(#2640)
  - 他の有用なテキストがない場合は代替テキスト(alt属性やaria-label属性)を通知に含める(#3329)
  - ライブリージョンの更新がフォーカス移動と同時に起きたときに適切に通知する(#3777)
- Firefox とその他の Mozilla Gecko アプリケーションにおいて特定のプレゼンテーション要素が不適切にブラウズモードで通知される問題を修正しました。具体的には aria-presentation と指定されたフォーカス可能な要素です。(#3781)
- Microsoft Word でスペルエラー通知を有効にした場合のナビゲーションの処理時間を改善しました。(#3785)
- アクセシブルなJavaアプリケーションへの対応を改善しました:
  - フレームやダイアログがフォアグラウンドになったときに、最初にフォーカスされたコントロールの通知ができない問題を修正しました。(#3753)
  - ラジオボタンで「1の1」のような無意味な位置情報を通知しないようになりました。(#3754)
  - JComboBox の通知を改善しました。htmlの通知をやめ、展開、折りたたみの状態の通知を改善しました。(#3755)
  - ダイアログのテキストを通知するときに、以前は欠落していた情報が含まれるようになりました。(#3757)
  - フォーカスされたコントロールの名前、値、説明の変更をより正確に通知するようになりました。(#3770)
- Windows 8 でテキストがたくさん含まれた特定の RichEdit コントロールにフォーカスすると NVDA がクラッシュする現象を修正しました。(例: NVDAログビューワー, windbg) (#3867)
- 高解像度ディスプレイのシステム(最近のシステムは最初からそうであることが多いです)において NVDA のマウス移動が間違った位置に移動しないようになりました。(#3758, #3703)
- Webブラウズで NVDA の動作がおかしくなり、クラッシュやフリーズはしないものの NVDA の再起動が必要になることがある不具合を修正しました。(#3804)
- Papenmeier点字ディスプレイがUSB接続されたことがない場合もPapenmeierディスプレイが使えるようになりました。(#3712)
- Papenmeier BRAILLEX 旧機種の点字ディスプレイが選択されていて接続されていないときにNVDAがフリーズする問題を修正しました。

### 開発者向けの変更

- AppModules に productName と productVersion のプロパティを追加しました。これは開発者向け情報(NVDA+f1)でも取得できます。(#1625)
- Python コンソールにおいて Tab キーで現在の識別子の補完が可能になりました。(#433)
  - 複数の候補がある場合は、もう1回 Tab キーを押すとリストが表示され選択ができます。

## 2013.3

### 新機能

- Microsoft Word 文書でフォームフィールドを読み上げるようになりました。 (#2295)
- NVDA は Microsoft Word で変更履歴の記録があるときに、改訂の情報を通知するようになりました。これは NVDA の文書読み上げ設定ダイアログで、校閲者による更新の通知(デフォルトはオフの状態)も有効にしないと通知されません。(#1670)
- Microsoft Excel 2003 から 2010 のドロップダウンリストを開いたりナビゲーションで移動したときに読み上げるようになりました。 (#3382)
- キーボード設定ダイアログの「すべて読み上げで流し読みを許可」オプションによって、ドキュメントをブラウズモードでナビゲーションしているときにクイックナビゲーションや行、段落単位での移動をしながら「すべて読み上げ」を継続できるようになりました。これはデフォルトでは無効です。 (#2766)
- 入力ジェスチャーのダイアログによって、NVDAの制御コマンドに対応するキーボードのキー操作などの入力ジェスチャーを簡単にカスタマイズできるようになりました。 (#1532)
- 設定プロファイルの機能によって設定を目的ごとに使い分けられるようになりました。プロファイルは手動でも自動(特定のアプリケーションへの切り替え)でもアクティベートできます。 (#87, #667, #1913)
- Microsoft Excel においてリンクになっているセルをリンクと通知するようになりました。 (#3042)
- Microsoft Excel においてセルにコメントがある場合に通知するようになりました。 (#2921)

### バグ修正

- Zend Studioは、Eclipseと同様に利用できるようになりました。 (#3420)
- Microsoft Outlook 2010のメッセージ仕分けルールのダイアログにおいて、チェックボックスの変更内容が、自動的に通知されるようになりました。 (#3063)
- Mozila Firefoxにおいて、ピンどめされたコントロールの内容を通知するようになりました。 (#3372)
- キーボードのAltキーおよび／あるいはWindowsキーを押すジェスチャーを、スクリプトに関連づけできるようになりました。以前はこのような記述をすると、操作をしたときにスタートメニューやメニューバーがアクティブになっていました。 (#3472)
- ブラウズモードでテキストを選択する操作(例えばcontrol+shift+endキー)を行うとき、複数のキーボードレイアウトが使われているシステムにおいても、キーボードレイアウトの切り替えが起こらないようにしました。 (#3472)
- NVDA終了時に、Internet Explorerが強制終了する、または使用できなくなる問題を修正しました。 (#3397)
- いくつかの新しいコンピュータの加速度センサーなどが発生するイベントが、不適切なキー入力として扱われていた問題を修正しました。以前は、このようなイベントが音声を休止させたり、NVDAのコマンドを誤って実行させたりしていました。 (#3468)
- NVDA は Poedit 1.5.7 で適切に動作するようになりました。これ以前のバージョンをお使いの場合はアップデートしてください。 (#3485)
- NVDA は Microsoft Word 2010 の保護された文書をクラッシュせず読み上げるようになりました。 (#1686)
- NVDA配布パッケージに未定義のコマンドライン引数を与えて実行したときに、エラーメッセージのダイアログが無限ループで表示される不具合を修正しました。 (#3463)
- Microsoft Wordでグラフィックやオブジェクトの代替テキストが引用符や他の非標準文字を含んでいる場合、代替テキストの通知を失敗しないようになりました。 (#3579)
- ブラウズモードで特定の横方向のリスト項目数が正しく処理されるようになりました。以前は正しい値の2倍の値として扱われることがありました。 (#2151)
- Microsoft Excel のワークシートで Ctrl+A を押したときに、選択範囲の更新が正しく通知されるようになりました。 (#3043)
- NVDA が Microsoft Internet Explorer やその他の MSHTML コントロールにおいて XHTML ドキュメントが正しく読み上げられるようになりました。 (#3542)
- キーボード設定ダイアログにて、NVDAキーとして割り当てられたキーがひとつもない場合に、ダイアログを閉じようとするとエラーを表示するようになりました。最低1個のキーをNVDAキーとして割り当ててください。 (#2871)
- Microsoft Excel で NVDA は結合されたセルを、複数セルの選択とは区別して通知するようになりました。 (#3567)
- ダイアログやドキュメントに埋め込まれたアプリケーションから他の場所に移動したときに、ブラウズモードのカーソル位置が不適切になる問題を修正しました。 (#3145)
- HumanWare Brailliant BI/B シリーズの点字ディスプレイをUSBで接続しているにも関わらず、このドライバーが点字設定ダイアログの選択肢として見つからない場合がある不具合を修正しました。

### 開発者向けの変更

- ScriptableObject クラスの scriptCategory 属性と script メソッドの category 属性によって、ユーザーに見せるためのカテゴリを指定できるようになりました。詳しくは baseObject.ScriptableObject のドキュメントを参照してください。 (#1532)
- config.save は非推奨になりました。将来のリリースでは廃止されます。config.conf.save を使ってください。 (#667)
- config.validateConfig は非推奨になりました。将来のリリースでは廃止されます。アドオンがこの機能を使用する場合は、同等の機能を独自に実装してください。 (#667, #3632)

## 2013.2

### 新機能

- いくつかのアプリケーションで使われているブラウザーコントロール Chromium Embedded Framework に対応しました。 (#3108)
- eSpeak の声色 Iven3 を追加しました。
- Skype において会話にフォーカスがある場合に、新しいチャットのメッセージが自動的に通知されます。(#2298)
- Tween に対応し、タブの名前の通知、効率的なツイートの読み上げができるようになりました。
- 点字設定のメッセージの表示終了待ち時間を0にするとNVDAのメッセージを点字ディスプレイに表示しないようになりました。(#2482)
- アドオン マネージャーに NVDA アドオンの Web サイトを開くボタンを追加しました。入手可能なアドオンを探してダウンロードできます。(#3209)
- NVDA を起動したときに表示される「ようこそ画面」で「Windowsへのログオン後にNVDAを自動的に起動する」オプションを設定できるようになりました。(#2234)
- Dolphin Cicero で自動的にスリープモードに切り替わるようになりました。(#2055)
- Windows x64 バージョンの Miranda IM/Miranda NG をサポートしました。(#3296)
- Windows 8.1 スタート画面で検索のサジェストが自動的に通知されるようになりました。(#3322)
- Microsoft Excel 2013 スプレッドシートのナビゲーションと編集をサポートしました。(#3360)
- Freedom Scientific の Focus 14 Blue および Focus 80 Blue 点字ディスプレイのBluetooth接続に対応しました。Focus 40 Blue ではこれまで未対応だった一部の設定にも対応しています。(#3307)
- Outlook 2010 オートコンプリートのサジェストを通知するようになりました。(#2816)
- 新しい点訳テーブル: 英語(英国)コンピューター点字、韓国語2級、ロシア語コンピューター点字。
- 新しい言語：ファルシ(ペルシア)語。(#1427)

### 変更点

